{
    "$graph": [
        {
            "class": "Workflow",
            "label": "Detect Variants workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#detect_variants.cwl/annotate_coding_only"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "id": "#detect_variants.cwl/cle_vcf_filter"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/custom_gnomad_vcf"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/docm_vcf"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "id": "#detect_variants.cwl/filter_docm_variants"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.001,
                    "id": "#detect_variants.cwl/filter_gnomADe_maximum_population_allele_frequency"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.15,
                    "id": "#detect_variants.cwl/filter_mapq0_threshold"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 1,
                    "id": "#detect_variants.cwl/filter_minimum_depth"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 5,
                    "id": "#detect_variants.cwl/filter_somatic_llr_threshold"
                },
                {
                    "type": "File",
                    "id": "#detect_variants.cwl/interval_list"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#detect_variants.cwl/mutect_scatter_count"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#detect_variants.cwl/normal_bam"
                },
                {
                    "type": "int",
                    "default": 400,
                    "id": "#detect_variants.cwl/pindel_insert_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#detect_variants.cwl/readcount_minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#detect_variants.cwl/readcount_minimum_mapping_quality"
                },
                {
                    "type": "string",
                    "id": "#detect_variants.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "id": "#detect_variants.cwl/strelka_cpu_reserved"
                },
                {
                    "type": "boolean",
                    "id": "#detect_variants.cwl/strelka_exome_mode"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#detect_variants.cwl/synonyms_file"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#detect_variants.cwl/tumor_bam"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "CHROM",
                        "POS",
                        "ID",
                        "REF",
                        "ALT",
                        "set",
                        "AC",
                        "AF"
                    ],
                    "id": "#detect_variants.cwl/variants_to_table_fields"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "GT",
                        "AD"
                    ],
                    "id": "#detect_variants.cwl/variants_to_table_genotype_fields"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#detect_variants.cwl/varscan_max_normal_freq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "id": "#detect_variants.cwl/varscan_min_coverage"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.1,
                    "id": "#detect_variants.cwl/varscan_min_var_freq"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.99,
                    "id": "#detect_variants.cwl/varscan_p_value"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "id": "#detect_variants.cwl/varscan_strand_filter"
                },
                {
                    "type": "string",
                    "id": "#detect_variants.cwl/vep_cache_dir"
                },
                {
                    "type": "string",
                    "doc": "genome assembly to use in vep. Examples: GRCh38 or GRCm38",
                    "id": "#detect_variants.cwl/vep_ensembl_assembly"
                },
                {
                    "type": "string",
                    "doc": "ensembl species - Must be present in the cache directory. Examples: homo_sapiens or mus_musculus",
                    "id": "#detect_variants.cwl/vep_ensembl_species"
                },
                {
                    "type": "string",
                    "doc": "ensembl version - Must be present in the cache directory. Example: 95",
                    "id": "#detect_variants.cwl/vep_ensembl_version"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#detect_variants.cwl/vep_pick/pick",
                                "#detect_variants.cwl/vep_pick/flag_pick",
                                "#detect_variants.cwl/vep_pick/pick_allele",
                                "#detect_variants.cwl/vep_pick/per_gene",
                                "#detect_variants.cwl/vep_pick/pick_allele_gene",
                                "#detect_variants.cwl/vep_pick/flag_pick_allele",
                                "#detect_variants.cwl/vep_pick/flag_pick_allele_gene"
                            ]
                        }
                    ],
                    "id": "#detect_variants.cwl/vep_pick"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "Downstream",
                        "Wildtype"
                    ],
                    "id": "#detect_variants.cwl/vep_plugins"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "HGVSc",
                        "HGVSp"
                    ],
                    "id": "#detect_variants.cwl/vep_to_table_fields"
                }
            ],
            "steps": [
                {
                    "run": "#docm_add_variants.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/combine/combined_vcf",
                            "id": "#detect_variants.cwl/add_docm_variants/callers_vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/docm/docm_variants_vcf",
                            "id": "#detect_variants.cwl/add_docm_variants/docm_vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/add_docm_variants/reference"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/add_docm_variants/merged_vcf"
                    ],
                    "id": "#detect_variants.cwl/add_docm_variants"
                },
                {
                    "run": "#vcf_readcount_annotator.cwl",
                    "in": [
                        {
                            "default": "DNA",
                            "id": "#detect_variants.cwl/add_normal_bam_readcount_to_vcf/data_type"
                        },
                        {
                            "source": "#detect_variants.cwl/normal_bam_readcount/indel_bam_readcount_tsv",
                            "id": "#detect_variants.cwl/add_normal_bam_readcount_to_vcf/indel_bam_readcount_tsv"
                        },
                        {
                            "default": "NORMAL",
                            "id": "#detect_variants.cwl/add_normal_bam_readcount_to_vcf/sample_name"
                        },
                        {
                            "source": "#detect_variants.cwl/normal_bam_readcount/snv_bam_readcount_tsv",
                            "id": "#detect_variants.cwl/add_normal_bam_readcount_to_vcf/snv_bam_readcount_tsv"
                        },
                        {
                            "source": "#detect_variants.cwl/add_tumor_bam_readcount_to_vcf/annotated_bam_readcount_vcf",
                            "id": "#detect_variants.cwl/add_normal_bam_readcount_to_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/add_normal_bam_readcount_to_vcf/annotated_bam_readcount_vcf"
                    ],
                    "id": "#detect_variants.cwl/add_normal_bam_readcount_to_vcf"
                },
                {
                    "run": "#vcf_readcount_annotator.cwl",
                    "in": [
                        {
                            "default": "DNA",
                            "id": "#detect_variants.cwl/add_tumor_bam_readcount_to_vcf/data_type"
                        },
                        {
                            "source": "#detect_variants.cwl/tumor_bam_readcount/indel_bam_readcount_tsv",
                            "id": "#detect_variants.cwl/add_tumor_bam_readcount_to_vcf/indel_bam_readcount_tsv"
                        },
                        {
                            "default": "TUMOR",
                            "id": "#detect_variants.cwl/add_tumor_bam_readcount_to_vcf/sample_name"
                        },
                        {
                            "source": "#detect_variants.cwl/tumor_bam_readcount/snv_bam_readcount_tsv",
                            "id": "#detect_variants.cwl/add_tumor_bam_readcount_to_vcf/snv_bam_readcount_tsv"
                        },
                        {
                            "source": "#detect_variants.cwl/annotate_variants/annotated_vcf",
                            "id": "#detect_variants.cwl/add_tumor_bam_readcount_to_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/add_tumor_bam_readcount_to_vcf/annotated_bam_readcount_vcf"
                    ],
                    "id": "#detect_variants.cwl/add_tumor_bam_readcount_to_vcf"
                },
                {
                    "run": "#add_vep_fields_to_table.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/variants_to_table/variants_tsv",
                            "id": "#detect_variants.cwl/add_vep_fields_to_table/tsv"
                        },
                        {
                            "source": "#detect_variants.cwl/annotated_filter_index/indexed_vcf",
                            "id": "#detect_variants.cwl/add_vep_fields_to_table/vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/vep_to_table_fields",
                            "id": "#detect_variants.cwl/add_vep_fields_to_table/vep_fields"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/add_vep_fields_to_table/annotated_variants_tsv"
                    ],
                    "id": "#detect_variants.cwl/add_vep_fields_to_table"
                },
                {
                    "run": "#vep.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/vep_cache_dir",
                            "id": "#detect_variants.cwl/annotate_variants/cache_dir"
                        },
                        {
                            "source": "#detect_variants.cwl/annotate_coding_only",
                            "id": "#detect_variants.cwl/annotate_variants/coding_only"
                        },
                        {
                            "source": "#detect_variants.cwl/custom_clinvar_vcf",
                            "id": "#detect_variants.cwl/annotate_variants/custom_clinvar_vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/custom_gnomad_vcf",
                            "id": "#detect_variants.cwl/annotate_variants/custom_gnomad_vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/vep_ensembl_assembly",
                            "id": "#detect_variants.cwl/annotate_variants/ensembl_assembly"
                        },
                        {
                            "source": "#detect_variants.cwl/vep_ensembl_species",
                            "id": "#detect_variants.cwl/annotate_variants/ensembl_species"
                        },
                        {
                            "source": "#detect_variants.cwl/vep_ensembl_version",
                            "id": "#detect_variants.cwl/annotate_variants/ensembl_version"
                        },
                        {
                            "source": "#detect_variants.cwl/vep_pick",
                            "id": "#detect_variants.cwl/annotate_variants/pick"
                        },
                        {
                            "source": "#detect_variants.cwl/vep_plugins",
                            "id": "#detect_variants.cwl/annotate_variants/plugins"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/annotate_variants/reference"
                        },
                        {
                            "source": "#detect_variants.cwl/synonyms_file",
                            "id": "#detect_variants.cwl/annotate_variants/synonyms_file"
                        },
                        {
                            "source": "#detect_variants.cwl/decompose_index/indexed_vcf",
                            "id": "#detect_variants.cwl/annotate_variants/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/annotate_variants/annotated_vcf",
                        "#detect_variants.cwl/annotate_variants/vep_summary"
                    ],
                    "id": "#detect_variants.cwl/annotate_variants"
                },
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/filter_vcf/filtered_vcf",
                            "id": "#detect_variants.cwl/annotated_filter_bgzip/file"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/annotated_filter_bgzip/bgzipped_file"
                    ],
                    "id": "#detect_variants.cwl/annotated_filter_bgzip"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/annotated_filter_bgzip/bgzipped_file",
                            "id": "#detect_variants.cwl/annotated_filter_index/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/annotated_filter_index/indexed_vcf"
                    ],
                    "id": "#detect_variants.cwl/annotated_filter_index"
                },
                {
                    "run": "#combine_variants.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/mutect/filtered_vcf",
                            "id": "#detect_variants.cwl/combine/mutect_vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/pindel/filtered_vcf",
                            "id": "#detect_variants.cwl/combine/pindel_vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/combine/reference"
                        },
                        {
                            "source": "#detect_variants.cwl/strelka/filtered_vcf",
                            "id": "#detect_variants.cwl/combine/strelka_vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/varscan/filtered_vcf",
                            "id": "#detect_variants.cwl/combine/varscan_vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/combine/combined_vcf"
                    ],
                    "id": "#detect_variants.cwl/combine"
                },
                {
                    "run": "#vt_decompose.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/add_docm_variants/merged_vcf",
                            "id": "#detect_variants.cwl/decompose/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/decompose/decomposed_vcf"
                    ],
                    "id": "#detect_variants.cwl/decompose"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/decompose/decomposed_vcf",
                            "id": "#detect_variants.cwl/decompose_index/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/decompose_index/indexed_vcf"
                    ],
                    "id": "#detect_variants.cwl/decompose_index"
                },
                {
                    "run": "#docm_cle.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/docm_vcf",
                            "id": "#detect_variants.cwl/docm/docm_vcf"
                        },
                        {
                            "source": "#detect_variants.cwl/filter_docm_variants",
                            "id": "#detect_variants.cwl/docm/filter_docm_variants"
                        },
                        {
                            "source": "#detect_variants.cwl/interval_list",
                            "id": "#detect_variants.cwl/docm/interval_list"
                        },
                        {
                            "source": "#detect_variants.cwl/normal_bam",
                            "id": "#detect_variants.cwl/docm/normal_bam"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/docm/reference"
                        },
                        {
                            "source": "#detect_variants.cwl/tumor_bam",
                            "id": "#detect_variants.cwl/docm/tumor_bam"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/docm/docm_variants_vcf"
                    ],
                    "id": "#detect_variants.cwl/docm"
                },
                {
                    "run": "#filter_vcf.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/cle_vcf_filter",
                            "id": "#detect_variants.cwl/filter_vcf/do_cle_vcf_filter"
                        },
                        {
                            "source": "#detect_variants.cwl/filter_gnomADe_maximum_population_allele_frequency",
                            "id": "#detect_variants.cwl/filter_vcf/filter_gnomADe_maximum_population_allele_frequency"
                        },
                        {
                            "source": "#detect_variants.cwl/filter_mapq0_threshold",
                            "id": "#detect_variants.cwl/filter_vcf/filter_mapq0_threshold"
                        },
                        {
                            "source": "#detect_variants.cwl/filter_minimum_depth",
                            "id": "#detect_variants.cwl/filter_vcf/filter_minimum_depth"
                        },
                        {
                            "source": "#detect_variants.cwl/filter_somatic_llr_threshold",
                            "id": "#detect_variants.cwl/filter_vcf/filter_somatic_llr_threshold"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/filter_vcf/reference"
                        },
                        {
                            "default": "NORMAL,TUMOR",
                            "id": "#detect_variants.cwl/filter_vcf/sample_names"
                        },
                        {
                            "source": "#detect_variants.cwl/tumor_bam",
                            "id": "#detect_variants.cwl/filter_vcf/tumor_bam"
                        },
                        {
                            "source": "#detect_variants.cwl/index/indexed_vcf",
                            "id": "#detect_variants.cwl/filter_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/filter_vcf/filtered_vcf"
                    ],
                    "id": "#detect_variants.cwl/filter_vcf"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/add_normal_bam_readcount_to_vcf/annotated_bam_readcount_vcf",
                            "id": "#detect_variants.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/index/indexed_vcf"
                    ],
                    "id": "#detect_variants.cwl/index"
                },
                {
                    "run": "#mutect.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/interval_list",
                            "id": "#detect_variants.cwl/mutect/interval_list"
                        },
                        {
                            "source": "#detect_variants.cwl/normal_bam",
                            "id": "#detect_variants.cwl/mutect/normal_bam"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/mutect/reference"
                        },
                        {
                            "source": "#detect_variants.cwl/mutect_scatter_count",
                            "id": "#detect_variants.cwl/mutect/scatter_count"
                        },
                        {
                            "source": "#detect_variants.cwl/tumor_bam",
                            "id": "#detect_variants.cwl/mutect/tumor_bam"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/mutect/unfiltered_vcf",
                        "#detect_variants.cwl/mutect/filtered_vcf"
                    ],
                    "id": "#detect_variants.cwl/mutect"
                },
                {
                    "run": "#bam_readcount.cwl_2",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/normal_bam",
                            "id": "#detect_variants.cwl/normal_bam_readcount/bam"
                        },
                        {
                            "source": "#detect_variants.cwl/readcount_minimum_base_quality",
                            "id": "#detect_variants.cwl/normal_bam_readcount/min_base_quality"
                        },
                        {
                            "source": "#detect_variants.cwl/readcount_minimum_mapping_quality",
                            "id": "#detect_variants.cwl/normal_bam_readcount/min_mapping_quality"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/normal_bam_readcount/reference_fasta"
                        },
                        {
                            "default": "NORMAL",
                            "id": "#detect_variants.cwl/normal_bam_readcount/sample"
                        },
                        {
                            "source": "#detect_variants.cwl/annotate_variants/annotated_vcf",
                            "id": "#detect_variants.cwl/normal_bam_readcount/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/normal_bam_readcount/snv_bam_readcount_tsv",
                        "#detect_variants.cwl/normal_bam_readcount/indel_bam_readcount_tsv"
                    ],
                    "id": "#detect_variants.cwl/normal_bam_readcount"
                },
                {
                    "run": "#pindel.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/pindel_insert_size",
                            "id": "#detect_variants.cwl/pindel/insert_size"
                        },
                        {
                            "source": "#detect_variants.cwl/interval_list",
                            "id": "#detect_variants.cwl/pindel/interval_list"
                        },
                        {
                            "source": "#detect_variants.cwl/normal_bam",
                            "id": "#detect_variants.cwl/pindel/normal_bam"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/pindel/reference"
                        },
                        {
                            "source": "#detect_variants.cwl/tumor_bam",
                            "id": "#detect_variants.cwl/pindel/tumor_bam"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/pindel/unfiltered_vcf",
                        "#detect_variants.cwl/pindel/filtered_vcf"
                    ],
                    "id": "#detect_variants.cwl/pindel"
                },
                {
                    "run": "#strelka_and_post_processing.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/strelka_cpu_reserved",
                            "id": "#detect_variants.cwl/strelka/cpu_reserved"
                        },
                        {
                            "source": "#detect_variants.cwl/strelka_exome_mode",
                            "id": "#detect_variants.cwl/strelka/exome_mode"
                        },
                        {
                            "source": "#detect_variants.cwl/interval_list",
                            "id": "#detect_variants.cwl/strelka/interval_list"
                        },
                        {
                            "source": "#detect_variants.cwl/normal_bam",
                            "id": "#detect_variants.cwl/strelka/normal_bam"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/strelka/reference"
                        },
                        {
                            "source": "#detect_variants.cwl/tumor_bam",
                            "id": "#detect_variants.cwl/strelka/tumor_bam"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/strelka/unfiltered_vcf",
                        "#detect_variants.cwl/strelka/filtered_vcf"
                    ],
                    "id": "#detect_variants.cwl/strelka"
                },
                {
                    "run": "#bam_readcount.cwl_2",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/tumor_bam",
                            "id": "#detect_variants.cwl/tumor_bam_readcount/bam"
                        },
                        {
                            "source": "#detect_variants.cwl/readcount_minimum_base_quality",
                            "id": "#detect_variants.cwl/tumor_bam_readcount/min_base_quality"
                        },
                        {
                            "source": "#detect_variants.cwl/readcount_minimum_mapping_quality",
                            "id": "#detect_variants.cwl/tumor_bam_readcount/min_mapping_quality"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/tumor_bam_readcount/reference_fasta"
                        },
                        {
                            "default": "TUMOR",
                            "id": "#detect_variants.cwl/tumor_bam_readcount/sample"
                        },
                        {
                            "source": "#detect_variants.cwl/annotate_variants/annotated_vcf",
                            "id": "#detect_variants.cwl/tumor_bam_readcount/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/tumor_bam_readcount/snv_bam_readcount_tsv",
                        "#detect_variants.cwl/tumor_bam_readcount/indel_bam_readcount_tsv"
                    ],
                    "id": "#detect_variants.cwl/tumor_bam_readcount"
                },
                {
                    "run": "#variants_to_table.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/variants_to_table_fields",
                            "id": "#detect_variants.cwl/variants_to_table/fields"
                        },
                        {
                            "source": "#detect_variants.cwl/variants_to_table_genotype_fields",
                            "id": "#detect_variants.cwl/variants_to_table/genotype_fields"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/variants_to_table/reference"
                        },
                        {
                            "source": "#detect_variants.cwl/annotated_filter_index/indexed_vcf",
                            "id": "#detect_variants.cwl/variants_to_table/vcf"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/variants_to_table/variants_tsv"
                    ],
                    "id": "#detect_variants.cwl/variants_to_table"
                },
                {
                    "run": "#varscan_pre_and_post_processing.cwl",
                    "in": [
                        {
                            "source": "#detect_variants.cwl/interval_list",
                            "id": "#detect_variants.cwl/varscan/interval_list"
                        },
                        {
                            "source": "#detect_variants.cwl/varscan_max_normal_freq",
                            "id": "#detect_variants.cwl/varscan/max_normal_freq"
                        },
                        {
                            "source": "#detect_variants.cwl/varscan_min_coverage",
                            "id": "#detect_variants.cwl/varscan/min_coverage"
                        },
                        {
                            "source": "#detect_variants.cwl/varscan_min_var_freq",
                            "id": "#detect_variants.cwl/varscan/min_var_freq"
                        },
                        {
                            "source": "#detect_variants.cwl/normal_bam",
                            "id": "#detect_variants.cwl/varscan/normal_bam"
                        },
                        {
                            "source": "#detect_variants.cwl/varscan_p_value",
                            "id": "#detect_variants.cwl/varscan/p_value"
                        },
                        {
                            "source": "#detect_variants.cwl/reference",
                            "id": "#detect_variants.cwl/varscan/reference"
                        },
                        {
                            "source": "#detect_variants.cwl/varscan_strand_filter",
                            "id": "#detect_variants.cwl/varscan/strand_filter"
                        },
                        {
                            "source": "#detect_variants.cwl/tumor_bam",
                            "id": "#detect_variants.cwl/varscan/tumor_bam"
                        }
                    ],
                    "out": [
                        "#detect_variants.cwl/varscan/unfiltered_vcf",
                        "#detect_variants.cwl/varscan/filtered_vcf"
                    ],
                    "id": "#detect_variants.cwl/varscan"
                }
            ],
            "id": "#detect_variants.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/docm/docm_variants_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/docm_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/annotated_filter_index/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/final_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/add_vep_fields_to_table/annotated_variants_tsv",
                    "id": "#detect_variants.cwl/final_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/index/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/final_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/mutect/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/mutect_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/mutect/unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/mutect_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/normal_bam_readcount/indel_bam_readcount_tsv",
                    "id": "#detect_variants.cwl/normal_indel_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/normal_bam_readcount/snv_bam_readcount_tsv",
                    "id": "#detect_variants.cwl/normal_snv_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/pindel/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/pindel_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/pindel/unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/pindel_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/strelka/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/strelka_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/strelka/unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/strelka_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/tumor_bam_readcount/indel_bam_readcount_tsv",
                    "id": "#detect_variants.cwl/tumor_indel_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/tumor_bam_readcount/snv_bam_readcount_tsv",
                    "id": "#detect_variants.cwl/tumor_snv_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/varscan/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/varscan_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/varscan/unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#detect_variants.cwl/varscan_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#detect_variants.cwl/annotate_variants/vep_summary",
                    "id": "#detect_variants.cwl/vep_summary"
                }
            ]
        },
        {
            "class": "Workflow",
            "label": "exome alignment with qc",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "type": "record",
                            "name": "#labelled_file.yml/labelled_file",
                            "label": "a file with a label",
                            "fields": [
                                {
                                    "type": "File",
                                    "name": "#labelled_file.yml/labelled_file/file"
                                },
                                {
                                    "type": "string",
                                    "name": "#labelled_file.yml/labelled_file/label"
                                }
                            ]
                        },
                        {
                            "type": "record",
                            "name": "#sequence_data.yml/sequence_data",
                            "label": "sequence data with readgroup information",
                            "fields": [
                                {
                                    "type": "string",
                                    "name": "#sequence_data.yml/sequence_data/readgroup"
                                },
                                {
                                    "type": [
                                        {
                                            "type": "record",
                                            "name": "#sequence_data.yml/sequence_data/sequence/bam",
                                            "fields": [
                                                {
                                                    "type": "File",
                                                    "name": "#sequence_data.yml/sequence_data/sequence/bam/bam"
                                                }
                                            ]
                                        },
                                        {
                                            "type": "record",
                                            "name": "#sequence_data.yml/sequence_data/sequence/fastqs",
                                            "fields": [
                                                {
                                                    "type": "File",
                                                    "name": "#sequence_data.yml/sequence_data/sequence/fastqs/fastq1"
                                                },
                                                {
                                                    "type": "File",
                                                    "name": "#sequence_data.yml/sequence_data/sequence/fastqs/fastq2"
                                                }
                                            ]
                                        }
                                    ],
                                    "name": "#sequence_data.yml/sequence_data/sequence"
                                }
                            ]
                        }
                    ]
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#exome_alignment.cwl/bait_intervals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#exome_alignment.cwl/bqsr_intervals"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#exome_alignment.cwl/dbsnp_vcf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#exome_alignment.cwl/final_name"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#exome_alignment.cwl/known_indels"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#exome_alignment.cwl/mills"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#exome_alignment.cwl/omni_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#exome_alignment.cwl/per_base_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#exome_alignment.cwl/per_target_intervals"
                },
                {
                    "type": "string",
                    "id": "#exome_alignment.cwl/picard_metric_accumulation_level"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#exome_alignment.cwl/qc_minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#exome_alignment.cwl/qc_minimum_mapping_quality"
                },
                {
                    "type": "string",
                    "id": "#exome_alignment.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#sequence_data.yml/sequence_data"
                    },
                    "id": "#exome_alignment.cwl/sequence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#exome_alignment.cwl/summary_intervals"
                },
                {
                    "type": "File",
                    "id": "#exome_alignment.cwl/target_intervals"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/qc/alignment_summary_metrics",
                    "id": "#exome_alignment.cwl/alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/alignment/final_bam",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#exome_alignment.cwl/bam"
                },
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/qc/flagstats",
                    "id": "#exome_alignment.cwl/flagstats"
                },
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/qc/hs_metrics",
                    "id": "#exome_alignment.cwl/hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/qc/insert_size_histogram",
                    "id": "#exome_alignment.cwl/insert_size_histogram"
                },
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/qc/insert_size_metrics",
                    "id": "#exome_alignment.cwl/insert_size_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/alignment/mark_duplicates_metrics_file",
                    "id": "#exome_alignment.cwl/mark_duplicates_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#exome_alignment.cwl/qc/per_base_coverage_metrics",
                    "id": "#exome_alignment.cwl/per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#exome_alignment.cwl/qc/per_base_hs_metrics",
                    "id": "#exome_alignment.cwl/per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#exome_alignment.cwl/qc/per_target_coverage_metrics",
                    "id": "#exome_alignment.cwl/per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#exome_alignment.cwl/qc/per_target_hs_metrics",
                    "id": "#exome_alignment.cwl/per_target_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#exome_alignment.cwl/qc/summary_hs_metrics",
                    "id": "#exome_alignment.cwl/summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/qc/verify_bam_id_depth",
                    "id": "#exome_alignment.cwl/verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#exome_alignment.cwl/qc/verify_bam_id_metrics",
                    "id": "#exome_alignment.cwl/verify_bam_id_metrics"
                }
            ],
            "steps": [
                {
                    "run": "#sequence_to_bqsr.cwl",
                    "in": [
                        {
                            "source": "#exome_alignment.cwl/bqsr_intervals",
                            "id": "#exome_alignment.cwl/alignment/bqsr_intervals"
                        },
                        {
                            "source": "#exome_alignment.cwl/dbsnp_vcf",
                            "id": "#exome_alignment.cwl/alignment/dbsnp_vcf"
                        },
                        {
                            "source": "#exome_alignment.cwl/final_name",
                            "id": "#exome_alignment.cwl/alignment/final_name"
                        },
                        {
                            "source": "#exome_alignment.cwl/known_indels",
                            "id": "#exome_alignment.cwl/alignment/known_indels"
                        },
                        {
                            "source": "#exome_alignment.cwl/mills",
                            "id": "#exome_alignment.cwl/alignment/mills"
                        },
                        {
                            "source": "#exome_alignment.cwl/reference",
                            "id": "#exome_alignment.cwl/alignment/reference"
                        },
                        {
                            "source": "#exome_alignment.cwl/sequence",
                            "id": "#exome_alignment.cwl/alignment/unaligned"
                        }
                    ],
                    "out": [
                        "#exome_alignment.cwl/alignment/final_bam",
                        "#exome_alignment.cwl/alignment/mark_duplicates_metrics_file"
                    ],
                    "id": "#exome_alignment.cwl/alignment"
                },
                {
                    "run": "#qc_exome.cwl",
                    "in": [
                        {
                            "source": "#exome_alignment.cwl/bait_intervals",
                            "id": "#exome_alignment.cwl/qc/bait_intervals"
                        },
                        {
                            "source": "#exome_alignment.cwl/alignment/final_bam",
                            "id": "#exome_alignment.cwl/qc/bam"
                        },
                        {
                            "source": "#exome_alignment.cwl/qc_minimum_base_quality",
                            "id": "#exome_alignment.cwl/qc/minimum_base_quality"
                        },
                        {
                            "source": "#exome_alignment.cwl/qc_minimum_mapping_quality",
                            "id": "#exome_alignment.cwl/qc/minimum_mapping_quality"
                        },
                        {
                            "source": "#exome_alignment.cwl/omni_vcf",
                            "id": "#exome_alignment.cwl/qc/omni_vcf"
                        },
                        {
                            "source": "#exome_alignment.cwl/per_base_intervals",
                            "id": "#exome_alignment.cwl/qc/per_base_intervals"
                        },
                        {
                            "source": "#exome_alignment.cwl/per_target_intervals",
                            "id": "#exome_alignment.cwl/qc/per_target_intervals"
                        },
                        {
                            "source": "#exome_alignment.cwl/picard_metric_accumulation_level",
                            "id": "#exome_alignment.cwl/qc/picard_metric_accumulation_level"
                        },
                        {
                            "source": "#exome_alignment.cwl/reference",
                            "id": "#exome_alignment.cwl/qc/reference"
                        },
                        {
                            "source": "#exome_alignment.cwl/summary_intervals",
                            "id": "#exome_alignment.cwl/qc/summary_intervals"
                        },
                        {
                            "source": "#exome_alignment.cwl/target_intervals",
                            "id": "#exome_alignment.cwl/qc/target_intervals"
                        }
                    ],
                    "out": [
                        "#exome_alignment.cwl/qc/insert_size_metrics",
                        "#exome_alignment.cwl/qc/insert_size_histogram",
                        "#exome_alignment.cwl/qc/alignment_summary_metrics",
                        "#exome_alignment.cwl/qc/hs_metrics",
                        "#exome_alignment.cwl/qc/per_target_coverage_metrics",
                        "#exome_alignment.cwl/qc/per_target_hs_metrics",
                        "#exome_alignment.cwl/qc/per_base_coverage_metrics",
                        "#exome_alignment.cwl/qc/per_base_hs_metrics",
                        "#exome_alignment.cwl/qc/summary_hs_metrics",
                        "#exome_alignment.cwl/qc/flagstats",
                        "#exome_alignment.cwl/qc/verify_bam_id_metrics",
                        "#exome_alignment.cwl/qc/verify_bam_id_depth"
                    ],
                    "id": "#exome_alignment.cwl/qc"
                }
            ],
            "id": "#exome_alignment.cwl"
        },
        {
            "class": "Workflow",
            "label": "exome alignment and germline variant detection",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#labelled_file.yml/labelled_file"
                        },
                        {
                            "$import": "#sequence_data.yml/sequence_data"
                        }
                    ]
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#germline_exome.cwl/annotate_coding_only"
                },
                {
                    "type": "File",
                    "id": "#germline_exome.cwl/bait_intervals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#germline_exome.cwl/bqsr_intervals"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/custom_gnomad_vcf"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/dbsnp_vcf"
                },
                {
                    "type": "string",
                    "id": "#germline_exome.cwl/emit_reference_confidence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#germline_exome.cwl/gvcf_gq_bands"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#germline_exome.cwl/intervals"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/known_indels"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/mills"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/omni_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#germline_exome.cwl/per_base_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#germline_exome.cwl/per_target_intervals"
                },
                {
                    "type": "string",
                    "id": "#germline_exome.cwl/picard_metric_accumulation_level"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#germline_exome.cwl/qc_minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#germline_exome.cwl/qc_minimum_mapping_quality"
                },
                {
                    "type": "string",
                    "id": "#germline_exome.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#sequence_data.yml/sequence_data"
                    },
                    "id": "#germline_exome.cwl/sequence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#germline_exome.cwl/summary_intervals"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#germline_exome.cwl/synonyms_file"
                },
                {
                    "type": "File",
                    "id": "#germline_exome.cwl/target_intervals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#germline_exome.cwl/variants_to_table_fields"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#germline_exome.cwl/variants_to_table_genotype_fields"
                },
                {
                    "type": "string",
                    "id": "#germline_exome.cwl/vep_cache_dir"
                },
                {
                    "type": "string",
                    "doc": "genome assembly to use in vep. Examples: GRCh38 or GRCm38",
                    "id": "#germline_exome.cwl/vep_ensembl_assembly"
                },
                {
                    "type": "string",
                    "doc": "ensembl species - Must be present in the cache directory. Examples: homo_sapiens or mus_musculus",
                    "id": "#germline_exome.cwl/vep_ensembl_species"
                },
                {
                    "type": "string",
                    "doc": "ensembl version - Must be present in the cache directory. Example: 95",
                    "id": "#germline_exome.cwl/vep_ensembl_version"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "doc": "array of plugins to use when running vep",
                    "id": "#germline_exome.cwl/vep_plugins"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#germline_exome.cwl/vep_to_table_fields"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/alignment_summary_metrics",
                    "id": "#germline_exome.cwl/alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/detect_variants/coding_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/coding_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/index_cram/indexed_cram",
                    "id": "#germline_exome.cwl/cram"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/detect_variants/final_tsv",
                    "id": "#germline_exome.cwl/final_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/detect_variants/final_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/final_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/flagstats",
                    "id": "#germline_exome.cwl/flagstats"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome.cwl/detect_variants/gvcf",
                    "id": "#germline_exome.cwl/gvcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/hs_metrics",
                    "id": "#germline_exome.cwl/hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/insert_size_histogram",
                    "id": "#germline_exome.cwl/insert_size_histogram"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/insert_size_metrics",
                    "id": "#germline_exome.cwl/insert_size_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/detect_variants/limited_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome.cwl/limited_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/mark_duplicates_metrics",
                    "id": "#germline_exome.cwl/mark_duplicates_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/per_base_coverage_metrics",
                    "id": "#germline_exome.cwl/per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/per_base_hs_metrics",
                    "id": "#germline_exome.cwl/per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/per_target_coverage_metrics",
                    "id": "#germline_exome.cwl/per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/per_target_hs_metrics",
                    "id": "#germline_exome.cwl/per_target_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/summary_hs_metrics",
                    "id": "#germline_exome.cwl/summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/detect_variants/vep_summary",
                    "id": "#germline_exome.cwl/vep_summary"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/verify_bam_id_depth",
                    "id": "#germline_exome.cwl/verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome.cwl/alignment_and_qc/verify_bam_id_metrics",
                    "id": "#germline_exome.cwl/verify_bam_id_metrics"
                }
            ],
            "steps": [
                {
                    "run": "#exome_alignment.cwl",
                    "in": [
                        {
                            "source": "#germline_exome.cwl/bait_intervals",
                            "id": "#germline_exome.cwl/alignment_and_qc/bait_intervals"
                        },
                        {
                            "source": "#germline_exome.cwl/bqsr_intervals",
                            "id": "#germline_exome.cwl/alignment_and_qc/bqsr_intervals"
                        },
                        {
                            "source": "#germline_exome.cwl/dbsnp_vcf",
                            "id": "#germline_exome.cwl/alignment_and_qc/dbsnp_vcf"
                        },
                        {
                            "source": "#germline_exome.cwl/known_indels",
                            "id": "#germline_exome.cwl/alignment_and_qc/known_indels"
                        },
                        {
                            "source": "#germline_exome.cwl/mills",
                            "id": "#germline_exome.cwl/alignment_and_qc/mills"
                        },
                        {
                            "source": "#germline_exome.cwl/omni_vcf",
                            "id": "#germline_exome.cwl/alignment_and_qc/omni_vcf"
                        },
                        {
                            "source": "#germline_exome.cwl/per_base_intervals",
                            "id": "#germline_exome.cwl/alignment_and_qc/per_base_intervals"
                        },
                        {
                            "source": "#germline_exome.cwl/per_target_intervals",
                            "id": "#germline_exome.cwl/alignment_and_qc/per_target_intervals"
                        },
                        {
                            "source": "#germline_exome.cwl/picard_metric_accumulation_level",
                            "id": "#germline_exome.cwl/alignment_and_qc/picard_metric_accumulation_level"
                        },
                        {
                            "source": "#germline_exome.cwl/qc_minimum_base_quality",
                            "id": "#germline_exome.cwl/alignment_and_qc/qc_minimum_base_quality"
                        },
                        {
                            "source": "#germline_exome.cwl/qc_minimum_mapping_quality",
                            "id": "#germline_exome.cwl/alignment_and_qc/qc_minimum_mapping_quality"
                        },
                        {
                            "source": "#germline_exome.cwl/reference",
                            "id": "#germline_exome.cwl/alignment_and_qc/reference"
                        },
                        {
                            "source": "#germline_exome.cwl/sequence",
                            "id": "#germline_exome.cwl/alignment_and_qc/sequence"
                        },
                        {
                            "source": "#germline_exome.cwl/summary_intervals",
                            "id": "#germline_exome.cwl/alignment_and_qc/summary_intervals"
                        },
                        {
                            "source": "#germline_exome.cwl/target_intervals",
                            "id": "#germline_exome.cwl/alignment_and_qc/target_intervals"
                        }
                    ],
                    "out": [
                        "#germline_exome.cwl/alignment_and_qc/bam",
                        "#germline_exome.cwl/alignment_and_qc/mark_duplicates_metrics",
                        "#germline_exome.cwl/alignment_and_qc/insert_size_metrics",
                        "#germline_exome.cwl/alignment_and_qc/insert_size_histogram",
                        "#germline_exome.cwl/alignment_and_qc/alignment_summary_metrics",
                        "#germline_exome.cwl/alignment_and_qc/hs_metrics",
                        "#germline_exome.cwl/alignment_and_qc/per_target_coverage_metrics",
                        "#germline_exome.cwl/alignment_and_qc/per_target_hs_metrics",
                        "#germline_exome.cwl/alignment_and_qc/per_base_coverage_metrics",
                        "#germline_exome.cwl/alignment_and_qc/per_base_hs_metrics",
                        "#germline_exome.cwl/alignment_and_qc/summary_hs_metrics",
                        "#germline_exome.cwl/alignment_and_qc/flagstats",
                        "#germline_exome.cwl/alignment_and_qc/verify_bam_id_metrics",
                        "#germline_exome.cwl/alignment_and_qc/verify_bam_id_depth"
                    ],
                    "id": "#germline_exome.cwl/alignment_and_qc"
                },
                {
                    "run": "#bam_to_cram.cwl",
                    "in": [
                        {
                            "source": "#germline_exome.cwl/alignment_and_qc/bam",
                            "id": "#germline_exome.cwl/bam_to_cram/bam"
                        },
                        {
                            "source": "#germline_exome.cwl/reference",
                            "id": "#germline_exome.cwl/bam_to_cram/reference"
                        }
                    ],
                    "out": [
                        "#germline_exome.cwl/bam_to_cram/cram"
                    ],
                    "id": "#germline_exome.cwl/bam_to_cram"
                },
                {
                    "run": "#germline_detect_variants.cwl",
                    "in": [
                        {
                            "source": "#germline_exome.cwl/annotate_coding_only",
                            "id": "#germline_exome.cwl/detect_variants/annotate_coding_only"
                        },
                        {
                            "source": "#germline_exome.cwl/alignment_and_qc/bam",
                            "id": "#germline_exome.cwl/detect_variants/bam"
                        },
                        {
                            "source": "#germline_exome.cwl/extract_freemix/freemix_score",
                            "id": "#germline_exome.cwl/detect_variants/contamination_fraction"
                        },
                        {
                            "source": "#germline_exome.cwl/custom_clinvar_vcf",
                            "id": "#germline_exome.cwl/detect_variants/custom_clinvar_vcf"
                        },
                        {
                            "source": "#germline_exome.cwl/custom_gnomad_vcf",
                            "id": "#germline_exome.cwl/detect_variants/custom_gnomad_vcf"
                        },
                        {
                            "source": "#germline_exome.cwl/emit_reference_confidence",
                            "id": "#germline_exome.cwl/detect_variants/emit_reference_confidence"
                        },
                        {
                            "source": "#germline_exome.cwl/gvcf_gq_bands",
                            "id": "#germline_exome.cwl/detect_variants/gvcf_gq_bands"
                        },
                        {
                            "source": "#germline_exome.cwl/intervals",
                            "id": "#germline_exome.cwl/detect_variants/intervals"
                        },
                        {
                            "source": "#germline_exome.cwl/target_intervals",
                            "id": "#germline_exome.cwl/detect_variants/limit_variant_intervals"
                        },
                        {
                            "source": "#germline_exome.cwl/reference",
                            "id": "#germline_exome.cwl/detect_variants/reference"
                        },
                        {
                            "source": "#germline_exome.cwl/synonyms_file",
                            "id": "#germline_exome.cwl/detect_variants/synonyms_file"
                        },
                        {
                            "source": "#germline_exome.cwl/variants_to_table_fields",
                            "id": "#germline_exome.cwl/detect_variants/variants_to_table_fields"
                        },
                        {
                            "source": "#germline_exome.cwl/variants_to_table_genotype_fields",
                            "id": "#germline_exome.cwl/detect_variants/variants_to_table_genotype_fields"
                        },
                        {
                            "source": "#germline_exome.cwl/vep_cache_dir",
                            "id": "#germline_exome.cwl/detect_variants/vep_cache_dir"
                        },
                        {
                            "source": "#germline_exome.cwl/vep_ensembl_assembly",
                            "id": "#germline_exome.cwl/detect_variants/vep_ensembl_assembly"
                        },
                        {
                            "source": "#germline_exome.cwl/vep_ensembl_species",
                            "id": "#germline_exome.cwl/detect_variants/vep_ensembl_species"
                        },
                        {
                            "source": "#germline_exome.cwl/vep_ensembl_version",
                            "id": "#germline_exome.cwl/detect_variants/vep_ensembl_version"
                        },
                        {
                            "source": "#germline_exome.cwl/vep_plugins",
                            "id": "#germline_exome.cwl/detect_variants/vep_plugins"
                        },
                        {
                            "source": "#germline_exome.cwl/vep_to_table_fields",
                            "id": "#germline_exome.cwl/detect_variants/vep_to_table_fields"
                        }
                    ],
                    "out": [
                        "#germline_exome.cwl/detect_variants/gvcf",
                        "#germline_exome.cwl/detect_variants/final_vcf",
                        "#germline_exome.cwl/detect_variants/coding_vcf",
                        "#germline_exome.cwl/detect_variants/limited_vcf",
                        "#germline_exome.cwl/detect_variants/vep_summary",
                        "#germline_exome.cwl/detect_variants/final_tsv"
                    ],
                    "id": "#germline_exome.cwl/detect_variants"
                },
                {
                    "in": [
                        {
                            "source": "#germline_exome.cwl/alignment_and_qc/verify_bam_id_metrics",
                            "id": "#germline_exome.cwl/extract_freemix/verify_bam_id_metrics"
                        }
                    ],
                    "out": [
                        "#germline_exome.cwl/extract_freemix/freemix_score"
                    ],
                    "run": {
                        "class": "ExpressionTool",
                        "requirements": [
                            {
                                "class": "InlineJavascriptRequirement"
                            }
                        ],
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "loadContents": true
                                },
                                "id": "#germline_exome.cwl/extract_freemix/89d91d45-d816-438f-bd5f-3e776eeb9885/verify_bam_id_metrics"
                            }
                        ],
                        "outputs": [
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "id": "#germline_exome.cwl/extract_freemix/89d91d45-d816-438f-bd5f-3e776eeb9885/freemix_score"
                            }
                        ],
                        "expression": "${\n    var metrics = inputs.verify_bam_id_metrics.contents.split(\"\\n\");\n    if ( metrics[0].split(\"\\t\")[6] == 'FREEMIX' ) {\n        return {'freemix_score': metrics[1].split(\"\\t\")[6]};\n    } else {\n        return {'freemix_score:': null };\n    }\n}\n",
                        "id": "#germline_exome.cwl/extract_freemix/89d91d45-d816-438f-bd5f-3e776eeb9885"
                    },
                    "id": "#germline_exome.cwl/extract_freemix"
                },
                {
                    "run": "#index_cram.cwl",
                    "in": [
                        {
                            "source": "#germline_exome.cwl/bam_to_cram/cram",
                            "id": "#germline_exome.cwl/index_cram/cram"
                        }
                    ],
                    "out": [
                        "#germline_exome.cwl/index_cram/indexed_cram"
                    ],
                    "id": "#germline_exome.cwl/index_cram"
                }
            ],
            "id": "#germline_exome.cwl"
        },
        {
            "class": "Workflow",
            "label": "exome alignment and germline variant detection, with optitype for HLA typing",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#labelled_file.yml/labelled_file"
                        },
                        {
                            "$import": "#sequence_data.yml/sequence_data"
                        }
                    ]
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/annotate_coding_only"
                },
                {
                    "type": "File",
                    "id": "#germline_exome_hla_typing.cwl/bait_intervals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#germline_exome_hla_typing.cwl/bqsr_intervals"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/custom_gnomad_vcf"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/dbsnp_vcf"
                },
                {
                    "type": "string",
                    "id": "#germline_exome_hla_typing.cwl/emit_reference_confidence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#germline_exome_hla_typing.cwl/gvcf_gq_bands"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#germline_exome_hla_typing.cwl/intervals"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/known_indels"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/mills"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/omni_vcf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/optitype_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#germline_exome_hla_typing.cwl/per_base_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#germline_exome_hla_typing.cwl/per_target_intervals"
                },
                {
                    "type": "string",
                    "id": "#germline_exome_hla_typing.cwl/picard_metric_accumulation_level"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/qc_minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/qc_minimum_mapping_quality"
                },
                {
                    "type": "string",
                    "id": "#germline_exome_hla_typing.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#sequence_data.yml/sequence_data"
                    },
                    "id": "#germline_exome_hla_typing.cwl/sequence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#germline_exome_hla_typing.cwl/summary_intervals"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/synonyms_file"
                },
                {
                    "type": "File",
                    "id": "#germline_exome_hla_typing.cwl/target_intervals"
                },
                {
                    "type": "string",
                    "id": "#germline_exome_hla_typing.cwl/vep_cache_dir"
                },
                {
                    "type": "string",
                    "doc": "genome assembly to use in vep. Examples: GRCh38 or GRCm38",
                    "id": "#germline_exome_hla_typing.cwl/vep_ensembl_assembly"
                },
                {
                    "type": "string",
                    "doc": "ensembl species - Must be present in the cache directory. Examples: homo_sapiens or mus_musculus",
                    "id": "#germline_exome_hla_typing.cwl/vep_ensembl_species"
                },
                {
                    "type": "string",
                    "doc": "ensembl version - Must be present in the cache directory. Example: 95",
                    "id": "#germline_exome_hla_typing.cwl/vep_ensembl_version"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/alignment_summary_metrics",
                    "id": "#germline_exome_hla_typing.cwl/alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/coding_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/coding_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/cram",
                    "id": "#germline_exome_hla_typing.cwl/cram"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/final_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/final_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/flagstats",
                    "id": "#germline_exome_hla_typing.cwl/flagstats"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/gvcf",
                    "id": "#germline_exome_hla_typing.cwl/gvcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/hs_metrics",
                    "id": "#germline_exome_hla_typing.cwl/hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/insert_size_histogram",
                    "id": "#germline_exome_hla_typing.cwl/insert_size_histogram"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/insert_size_metrics",
                    "id": "#germline_exome_hla_typing.cwl/insert_size_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/limited_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/limited_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/mark_duplicates_metrics",
                    "id": "#germline_exome_hla_typing.cwl/mark_duplicates_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/optitype/optitype_plot",
                    "id": "#germline_exome_hla_typing.cwl/optitype_plot"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/optitype/optitype_tsv",
                    "id": "#germline_exome_hla_typing.cwl/optitype_tsv"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/per_base_coverage_metrics",
                    "id": "#germline_exome_hla_typing.cwl/per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/per_base_hs_metrics",
                    "id": "#germline_exome_hla_typing.cwl/per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/per_target_coverage_metrics",
                    "id": "#germline_exome_hla_typing.cwl/per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/per_target_hs_metrics",
                    "id": "#germline_exome_hla_typing.cwl/per_target_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/summary_hs_metrics",
                    "id": "#germline_exome_hla_typing.cwl/summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/vep_summary",
                    "id": "#germline_exome_hla_typing.cwl/vep_summary"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/verify_bam_id_depth",
                    "id": "#germline_exome_hla_typing.cwl/verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_exome_hla_typing.cwl/germline_exome/verify_bam_id_metrics",
                    "id": "#germline_exome_hla_typing.cwl/verify_bam_id_metrics"
                }
            ],
            "steps": [
                {
                    "run": "#germline_exome.cwl",
                    "in": [
                        {
                            "source": "#germline_exome_hla_typing.cwl/annotate_coding_only",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/annotate_coding_only"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/bait_intervals",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/bait_intervals"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/bqsr_intervals",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/bqsr_intervals"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/custom_clinvar_vcf",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/custom_clinvar_vcf"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/custom_gnomad_vcf",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/custom_gnomad_vcf"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/dbsnp_vcf",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/dbsnp_vcf"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/emit_reference_confidence",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/emit_reference_confidence"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/gvcf_gq_bands",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/gvcf_gq_bands"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/intervals",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/intervals"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/known_indels",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/known_indels"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/mills",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/mills"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/omni_vcf",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/omni_vcf"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/per_base_intervals",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/per_base_intervals"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/per_target_intervals",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/per_target_intervals"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/picard_metric_accumulation_level",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/picard_metric_accumulation_level"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/qc_minimum_base_quality",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/qc_minimum_base_quality"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/qc_minimum_mapping_quality",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/qc_minimum_mapping_quality"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/reference",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/reference"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/sequence",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/sequence"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/summary_intervals",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/summary_intervals"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/synonyms_file",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/synonyms_file"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/target_intervals",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/target_intervals"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/vep_cache_dir",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/vep_cache_dir"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/vep_ensembl_assembly",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/vep_ensembl_assembly"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/vep_ensembl_species",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/vep_ensembl_species"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/vep_ensembl_version",
                            "id": "#germline_exome_hla_typing.cwl/germline_exome/vep_ensembl_version"
                        }
                    ],
                    "out": [
                        "#germline_exome_hla_typing.cwl/germline_exome/cram",
                        "#germline_exome_hla_typing.cwl/germline_exome/mark_duplicates_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/insert_size_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/insert_size_histogram",
                        "#germline_exome_hla_typing.cwl/germline_exome/alignment_summary_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/hs_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/per_target_coverage_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/per_target_hs_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/per_base_coverage_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/per_base_hs_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/summary_hs_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/flagstats",
                        "#germline_exome_hla_typing.cwl/germline_exome/verify_bam_id_metrics",
                        "#germline_exome_hla_typing.cwl/germline_exome/verify_bam_id_depth",
                        "#germline_exome_hla_typing.cwl/germline_exome/gvcf",
                        "#germline_exome_hla_typing.cwl/germline_exome/final_vcf",
                        "#germline_exome_hla_typing.cwl/germline_exome/coding_vcf",
                        "#germline_exome_hla_typing.cwl/germline_exome/limited_vcf",
                        "#germline_exome_hla_typing.cwl/germline_exome/vep_summary"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/germline_exome"
                },
                {
                    "run": "#optitype_dna.cwl",
                    "in": [
                        {
                            "source": "#germline_exome_hla_typing.cwl/germline_exome/cram",
                            "id": "#germline_exome_hla_typing.cwl/optitype/cram"
                        },
                        {
                            "source": "#germline_exome_hla_typing.cwl/optitype_name",
                            "id": "#germline_exome_hla_typing.cwl/optitype/optitype_name"
                        }
                    ],
                    "out": [
                        "#germline_exome_hla_typing.cwl/optitype/optitype_tsv",
                        "#germline_exome_hla_typing.cwl/optitype/optitype_plot"
                    ],
                    "id": "#germline_exome_hla_typing.cwl/optitype"
                }
            ],
            "id": "#germline_exome_hla_typing.cwl"
        },
        {
            "class": "Workflow",
            "label": "Immunotherapy Workflow",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#labelled_file.yml/labelled_file"
                        },
                        {
                            "$import": "#sequence_data.yml/sequence_data"
                        }
                    ]
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#main/additional_report_columns/sample_name"
                            ]
                        }
                    ],
                    "id": "#main/additional_report_columns"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/allele_specific_binding_thresholds"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/annotate_coding_only"
                },
                {
                    "type": "File",
                    "id": "#main/bait_intervals"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/binding_threshold"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/bqsr_intervals"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "id": "#main/cle_vcf_filter"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/cosmic_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/custom_gnomad_vcf"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/dbsnp_vcf"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/docm_vcf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/downstream_sequence_length"
                },
                {
                    "type": "string",
                    "id": "#main/emit_reference_confidence"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "int"
                        }
                    ],
                    "id": "#main/epitope_lengths"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/exclude_nas"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/expn_val"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/fasta_size"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "id": "#main/filter_docm_variants"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#main/gatk_haplotypecaller_intervals"
                },
                {
                    "type": "File",
                    "id": "#main/gene_transcript_lookup_table"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/gvcf_gq_bands"
                },
                {
                    "type": "string",
                    "id": "#main/immuno_normal_sample_name"
                },
                {
                    "type": "string",
                    "id": "#main/immuno_tumor_sample_name"
                },
                {
                    "type": "File",
                    "id": "#main/interval_list"
                },
                {
                    "type": "File",
                    "id": "#main/kallisto_index"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/known_indels"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/manta_call_regions"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "id": "#main/manta_non_wgs"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/manta_output_contigs"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#main/maximum_transcript_support_level/1",
                                "#main/maximum_transcript_support_level/2",
                                "#main/maximum_transcript_support_level/3",
                                "#main/maximum_transcript_support_level/4",
                                "#main/maximum_transcript_support_level/5"
                            ]
                        }
                    ],
                    "id": "#main/maximum_transcript_support_level"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/mills"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/minimum_fold_change"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "id": "#main/mutect_artifact_detection_mode"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/mutect_max_alt_allele_in_normal_fraction"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/mutect_max_alt_alleles_in_normal_count"
                },
                {
                    "type": "int",
                    "id": "#main/mutect_scatter_count"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#main/net_chop_method/cterm",
                                "#main/net_chop_method/20s"
                            ]
                        }
                    ],
                    "id": "#main/net_chop_method"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/net_chop_threshold"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/netmhc_stab"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/normal_cov"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "normal",
                    "id": "#main/normal_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#sequence_data.yml/sequence_data"
                    },
                    "id": "#main/normal_sequence"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/normal_vaf"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/omni_vcf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/optitype_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/panel_of_normals_vcf"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/peptide_sequence_length"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#main/per_base_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#main/per_target_intervals"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/phased_proximal_variants_vcf"
                },
                {
                    "type": "string",
                    "id": "#main/picard_metric_accumulation_level"
                },
                {
                    "type": "int",
                    "default": 400,
                    "id": "#main/pindel_insert_size"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/prediction_algorithms"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/pvacseq_threads"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "id": "#main/qc_minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "id": "#main/qc_minimum_mapping_quality"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#main/read_group_fields"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/readcount_minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/readcount_minimum_mapping_quality"
                },
                {
                    "type": "File",
                    "id": "#main/refFlat"
                },
                {
                    "type": "string",
                    "id": "#main/reference"
                },
                {
                    "type": "File",
                    "id": "#main/reference_annotation"
                },
                {
                    "type": "File",
                    "id": "#main/reference_dict"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".1.ht2",
                        ".2.ht2",
                        ".3.ht2",
                        ".4.ht2",
                        ".5.ht2",
                        ".6.ht2",
                        ".7.ht2",
                        ".8.ht2"
                    ],
                    "id": "#main/reference_index"
                },
                {
                    "type": "File",
                    "id": "#main/reference_transcriptome"
                },
                {
                    "type": "File",
                    "id": "#main/ribosomal_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/rna_bams"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/rna_readgroups"
                },
                {
                    "type": "string",
                    "id": "#main/sample_name"
                },
                {
                    "type": "File",
                    "id": "#main/somalier_vcf"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#main/strand/first",
                                "#main/strand/second",
                                "#main/strand/unstranded"
                            ]
                        }
                    ],
                    "id": "#main/strand"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "id": "#main/strelka_cpu_reserved"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#main/summary_intervals"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/synonyms_file"
                },
                {
                    "type": "File",
                    "id": "#main/target_intervals"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/tdna_cov"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/tdna_vaf"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#main/top_score_metric/lowest",
                                "#main/top_score_metric/median"
                            ]
                        }
                    ],
                    "id": "#main/top_score_metric"
                },
                {
                    "type": "int",
                    "id": "#main/trimming_adapter_min_overlap"
                },
                {
                    "type": "string",
                    "id": "#main/trimming_adapter_trim_end"
                },
                {
                    "type": "File",
                    "id": "#main/trimming_adapters"
                },
                {
                    "type": "int",
                    "id": "#main/trimming_max_uncalled"
                },
                {
                    "type": "int",
                    "id": "#main/trimming_min_readlength"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/trna_cov"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/trna_vaf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "tumor",
                    "id": "#main/tumor_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#sequence_data.yml/sequence_data"
                    },
                    "id": "#main/tumor_sequence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "default": [
                        "CHROM",
                        "POS",
                        "ID",
                        "REF",
                        "ALT",
                        "set",
                        "AC",
                        "AF"
                    ],
                    "id": "#main/variants_to_table_fields"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "default": [
                        "GT",
                        "AD"
                    ],
                    "id": "#main/variants_to_table_genotype_fields"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/varscan_max_normal_freq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "id": "#main/varscan_min_coverage"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.05,
                    "id": "#main/varscan_min_var_freq"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.99,
                    "id": "#main/varscan_p_value"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "id": "#main/varscan_strand_filter"
                },
                {
                    "type": "string",
                    "id": "#main/vep_cache_dir"
                },
                {
                    "type": "string",
                    "doc": "genome assembly to use in vep. Examples: GRCh38 or GRCm38",
                    "id": "#main/vep_ensembl_assembly"
                },
                {
                    "type": "string",
                    "doc": "ensembl species - Must be present in the cache directory. Examples: homo_sapiens or mus_musculus",
                    "id": "#main/vep_ensembl_species"
                },
                {
                    "type": "string",
                    "doc": "ensembl version - Must be present in the cache directory. Example: 95",
                    "id": "#main/vep_ensembl_version"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#main/vep_pick/pick",
                                "#main/vep_pick/flag_pick",
                                "#main/vep_pick/pick_allele",
                                "#main/vep_pick/per_gene",
                                "#main/vep_pick/pick_allele_gene",
                                "#main/vep_pick/flag_pick_allele",
                                "#main/vep_pick/flag_pick_allele_gene"
                            ]
                        }
                    ],
                    "id": "#main/vep_pick"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "default": [
                        "HGVSc",
                        "HGVSp"
                    ],
                    "id": "#main/vep_to_table_fields"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/germline/alignment_summary_metrics",
                    "id": "#main/alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/all_candidates",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/all_candidates"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "outputSource": "#main/extract_alleles/allele_string",
                    "id": "#main/allele_string"
                },
                {
                    "type": "File",
                    "outputSource": "#main/pvacseq/annotated_tsv",
                    "id": "#main/annotated_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#main/pvacseq/annotated_vcf",
                    "id": "#main/annotated_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/chart",
                    "id": "#main/chart"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/somatic/cn_diagram",
                    "id": "#main/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/somatic/cn_scatter_plot",
                    "id": "#main/cn_scatter_plot"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/coding_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/coding_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/combined_all_epitopes",
                    "id": "#main/combined_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/combined_filtered_epitopes",
                    "id": "#main/combined_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/combined_ranked_epitopes",
                    "id": "#main/combined_ranked_epitopes"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/cram",
                    "id": "#main/cram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/somatic/diploid_variants",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/diploid_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/docm_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/docm_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/filtered_fusion_seqs",
                    "id": "#main/filtered_fusion_seqs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/filtered_fusions_json",
                    "id": "#main/filtered_fusions_json"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/final_bam",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#main/final_bam"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/final_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/final_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/final_fusion_calls",
                    "id": "#main/final_fusion_calls"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/final_tsv",
                    "id": "#main/final_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/flagstats",
                    "id": "#main/flagstats"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/fusion_evidence",
                    "id": "#main/fusion_evidence"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/gene_abundance",
                    "id": "#main/gene_abundance"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/final_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/germline_final_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/vep_summary",
                    "id": "#main/germline_vep_summary"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/germline/gvcf",
                    "id": "#main/gvcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/hs_metrics",
                    "id": "#main/hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/insert_size_histogram",
                    "id": "#main/insert_size_histogram"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/insert_size_metrics",
                    "id": "#main/insert_size_metrics"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/somatic/intervals_antitarget",
                    "id": "#main/intervals_antitarget"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/somatic/intervals_target",
                    "id": "#main/intervals_target"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/limited_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/limited_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/mark_duplicates_metrics",
                    "id": "#main/mark_duplicates_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/metrics",
                    "id": "#main/metrics"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/mhc_i_all_epitopes",
                    "id": "#main/mhc_i_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/mhc_i_filtered_epitopes",
                    "id": "#main/mhc_i_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/mhc_i_ranked_epitopes",
                    "id": "#main/mhc_i_ranked_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/mhc_ii_all_epitopes",
                    "id": "#main/mhc_ii_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/mhc_ii_filtered_epitopes",
                    "id": "#main/mhc_ii_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/pvacseq/mhc_ii_ranked_epitopes",
                    "id": "#main/mhc_ii_ranked_epitopes"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/mutect_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/mutect_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/mutect_unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/mutect_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_alignment_summary_metrics",
                    "id": "#main/normal_alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_antitarget_coverage",
                    "id": "#main/normal_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_cram",
                    "id": "#main/normal_cram"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_flagstats",
                    "id": "#main/normal_flagstats"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_hs_metrics",
                    "id": "#main/normal_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_indel_bam_readcount_tsv",
                    "id": "#main/normal_indel_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_insert_size_metrics",
                    "id": "#main/normal_insert_size_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_mark_duplicates_metrics",
                    "id": "#main/normal_mark_duplicates_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/normal_per_base_coverage_metrics",
                    "id": "#main/normal_per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/normal_per_base_hs_metrics",
                    "id": "#main/normal_per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/normal_per_target_coverage_metrics",
                    "id": "#main/normal_per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/normal_per_target_hs_metrics",
                    "id": "#main/normal_per_target_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_snv_bam_readcount_tsv",
                    "id": "#main/normal_snv_bam_readcount_tsv"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/normal_summary_hs_metrics",
                    "id": "#main/normal_summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_target_coverage",
                    "id": "#main/normal_target_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_verify_bam_id_depth",
                    "id": "#main/normal_verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/normal_verify_bam_id_metrics",
                    "id": "#main/normal_verify_bam_id_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/optitype_plot",
                    "id": "#main/optitype_plot"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/optitype_tsv",
                    "id": "#main/optitype_tsv"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/germline/per_base_coverage_metrics",
                    "id": "#main/per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/germline/per_base_hs_metrics",
                    "id": "#main/per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/germline/per_target_coverage_metrics",
                    "id": "#main/per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/germline/per_target_hs_metrics",
                    "id": "#main/per_target_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/phase_vcf/phased_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/phased_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/pindel_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/pindel_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/pindel_unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/pindel_unfiltered_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/somatic/reference_coverage",
                    "id": "#main/reference_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/small_candidates",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/small_candidates"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/somalier_concordance_metrics",
                    "id": "#main/somalier_concordance_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/somalier_concordance_statistics",
                    "id": "#main/somalier_concordance_statistics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/final_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/somatic_final_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/somatic/somatic_variants",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/somatic_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/vep_summary",
                    "id": "#main/somatic_vep_summary"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/strelka_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/strelka_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/strelka_unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/strelka_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/stringtie_gene_expression_tsv",
                    "id": "#main/stringtie_gene_expression_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/stringtie_transcript_gtf",
                    "id": "#main/stringtie_transcript_gtf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/germline/summary_hs_metrics",
                    "id": "#main/summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/transcript_abundance_h5",
                    "id": "#main/transcript_abundance_h5"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/transcript_abundance_tsv",
                    "id": "#main/transcript_abundance_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_alignment_summary_metrics",
                    "id": "#main/tumor_alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_antitarget_coverage",
                    "id": "#main/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_bin_level_ratios",
                    "id": "#main/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_cram",
                    "id": "#main/tumor_cram"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_flagstats",
                    "id": "#main/tumor_flagstats"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_hs_metrics",
                    "id": "#main/tumor_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_indel_bam_readcount_tsv",
                    "id": "#main/tumor_indel_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_insert_size_metrics",
                    "id": "#main/tumor_insert_size_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_mark_duplicates_metrics",
                    "id": "#main/tumor_mark_duplicates_metrics"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/somatic/tumor_only_variants",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/tumor_only_variants"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/tumor_per_base_coverage_metrics",
                    "id": "#main/tumor_per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/tumor_per_base_hs_metrics",
                    "id": "#main/tumor_per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/tumor_per_target_coverage_metrics",
                    "id": "#main/tumor_per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/tumor_per_target_hs_metrics",
                    "id": "#main/tumor_per_target_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_segmented_ratios",
                    "id": "#main/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_snv_bam_readcount_tsv",
                    "id": "#main/tumor_snv_bam_readcount_tsv"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/somatic/tumor_summary_hs_metrics",
                    "id": "#main/tumor_summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_target_coverage",
                    "id": "#main/tumor_target_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_verify_bam_id_depth",
                    "id": "#main/tumor_verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/tumor_verify_bam_id_metrics",
                    "id": "#main/tumor_verify_bam_id_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/unfiltered_fusion_seqs",
                    "id": "#main/unfiltered_fusion_seqs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/rnaseq/unfiltered_fusions_json",
                    "id": "#main/unfiltered_fusions_json"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/varscan_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/varscan_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/varscan_unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/varscan_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/verify_bam_id_depth",
                    "id": "#main/verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#main/germline/verify_bam_id_metrics",
                    "id": "#main/verify_bam_id_metrics"
                }
            ],
            "steps": [
                {
                    "run": "#extract_hla_alleles.cwl",
                    "in": [
                        {
                            "source": "#main/germline/optitype_tsv",
                            "id": "#main/extract_alleles/allele_file"
                        }
                    ],
                    "out": [
                        "#main/extract_alleles/allele_string"
                    ],
                    "id": "#main/extract_alleles"
                },
                {
                    "run": "#germline_exome_hla_typing.cwl",
                    "in": [
                        {
                            "source": "#main/annotate_coding_only",
                            "id": "#main/germline/annotate_coding_only"
                        },
                        {
                            "source": "#main/bait_intervals",
                            "id": "#main/germline/bait_intervals"
                        },
                        {
                            "source": "#main/bqsr_intervals",
                            "id": "#main/germline/bqsr_intervals"
                        },
                        {
                            "source": "#main/custom_clinvar_vcf",
                            "id": "#main/germline/custom_clinvar_vcf"
                        },
                        {
                            "source": "#main/custom_gnomad_vcf",
                            "id": "#main/germline/custom_gnomad_vcf"
                        },
                        {
                            "source": "#main/dbsnp_vcf",
                            "id": "#main/germline/dbsnp_vcf"
                        },
                        {
                            "source": "#main/emit_reference_confidence",
                            "id": "#main/germline/emit_reference_confidence"
                        },
                        {
                            "source": "#main/gvcf_gq_bands",
                            "id": "#main/germline/gvcf_gq_bands"
                        },
                        {
                            "source": "#main/gatk_haplotypecaller_intervals",
                            "id": "#main/germline/intervals"
                        },
                        {
                            "source": "#main/known_indels",
                            "id": "#main/germline/known_indels"
                        },
                        {
                            "source": "#main/mills",
                            "id": "#main/germline/mills"
                        },
                        {
                            "source": "#main/omni_vcf",
                            "id": "#main/germline/omni_vcf"
                        },
                        {
                            "source": "#main/optitype_name",
                            "id": "#main/germline/optitype_name"
                        },
                        {
                            "source": "#main/per_base_intervals",
                            "id": "#main/germline/per_base_intervals"
                        },
                        {
                            "source": "#main/per_target_intervals",
                            "id": "#main/germline/per_target_intervals"
                        },
                        {
                            "source": "#main/picard_metric_accumulation_level",
                            "id": "#main/germline/picard_metric_accumulation_level"
                        },
                        {
                            "source": "#main/qc_minimum_base_quality",
                            "id": "#main/germline/qc_minimum_base_quality"
                        },
                        {
                            "source": "#main/qc_minimum_mapping_quality",
                            "id": "#main/germline/qc_minimum_mapping_quality"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/germline/reference"
                        },
                        {
                            "source": "#main/normal_sequence",
                            "id": "#main/germline/sequence"
                        },
                        {
                            "source": "#main/summary_intervals",
                            "id": "#main/germline/summary_intervals"
                        },
                        {
                            "source": "#main/synonyms_file",
                            "id": "#main/germline/synonyms_file"
                        },
                        {
                            "source": "#main/target_intervals",
                            "id": "#main/germline/target_intervals"
                        },
                        {
                            "source": "#main/vep_cache_dir",
                            "id": "#main/germline/vep_cache_dir"
                        },
                        {
                            "source": "#main/vep_ensembl_assembly",
                            "id": "#main/germline/vep_ensembl_assembly"
                        },
                        {
                            "source": "#main/vep_ensembl_species",
                            "id": "#main/germline/vep_ensembl_species"
                        },
                        {
                            "source": "#main/vep_ensembl_version",
                            "id": "#main/germline/vep_ensembl_version"
                        }
                    ],
                    "out": [
                        "#main/germline/cram",
                        "#main/germline/mark_duplicates_metrics",
                        "#main/germline/insert_size_metrics",
                        "#main/germline/insert_size_histogram",
                        "#main/germline/alignment_summary_metrics",
                        "#main/germline/hs_metrics",
                        "#main/germline/per_target_coverage_metrics",
                        "#main/germline/per_target_hs_metrics",
                        "#main/germline/per_base_coverage_metrics",
                        "#main/germline/per_base_hs_metrics",
                        "#main/germline/summary_hs_metrics",
                        "#main/germline/flagstats",
                        "#main/germline/verify_bam_id_metrics",
                        "#main/germline/verify_bam_id_depth",
                        "#main/germline/gvcf",
                        "#main/germline/final_vcf",
                        "#main/germline/coding_vcf",
                        "#main/germline/limited_vcf",
                        "#main/germline/vep_summary",
                        "#main/germline/optitype_tsv",
                        "#main/germline/optitype_plot"
                    ],
                    "id": "#main/germline"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#main/rename_somatic_vcf_normal_sample/renamed_vcf",
                            "id": "#main/index_renamed_somatic/vcf"
                        }
                    ],
                    "out": [
                        "#main/index_renamed_somatic/indexed_vcf"
                    ],
                    "id": "#main/index_renamed_somatic"
                },
                {
                    "run": "#phase_vcf.cwl",
                    "in": [
                        {
                            "source": "#main/somatic/tumor_cram",
                            "id": "#main/phase_vcf/bam"
                        },
                        {
                            "source": "#main/germline/final_vcf",
                            "id": "#main/phase_vcf/germline_vcf"
                        },
                        {
                            "source": "#main/immuno_normal_sample_name",
                            "id": "#main/phase_vcf/normal_sample_name"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/phase_vcf/reference"
                        },
                        {
                            "source": "#main/reference_dict",
                            "id": "#main/phase_vcf/reference_dict"
                        },
                        {
                            "source": "#main/index_renamed_somatic/indexed_vcf",
                            "id": "#main/phase_vcf/somatic_vcf"
                        },
                        {
                            "source": "#main/immuno_tumor_sample_name",
                            "id": "#main/phase_vcf/tumor_sample_name"
                        }
                    ],
                    "out": [
                        "#main/phase_vcf/phased_vcf"
                    ],
                    "id": "#main/phase_vcf"
                },
                {
                    "run": "#pvacseq.cwl",
                    "in": [
                        {
                            "source": "#main/additional_report_columns",
                            "id": "#main/pvacseq/additional_report_columns"
                        },
                        {
                            "source": "#main/allele_specific_binding_thresholds",
                            "id": "#main/pvacseq/allele_specific_binding_thresholds"
                        },
                        {
                            "source": "#main/extract_alleles/allele_string",
                            "id": "#main/pvacseq/alleles"
                        },
                        {
                            "source": "#main/binding_threshold",
                            "id": "#main/pvacseq/binding_threshold"
                        },
                        {
                            "source": "#main/index_renamed_somatic/indexed_vcf",
                            "id": "#main/pvacseq/detect_variants_vcf"
                        },
                        {
                            "source": "#main/downstream_sequence_length",
                            "id": "#main/pvacseq/downstream_sequence_length"
                        },
                        {
                            "source": "#main/epitope_lengths",
                            "id": "#main/pvacseq/epitope_lengths"
                        },
                        {
                            "source": "#main/exclude_nas",
                            "id": "#main/pvacseq/exclude_nas"
                        },
                        {
                            "source": "#main/expn_val",
                            "id": "#main/pvacseq/expn_val"
                        },
                        {
                            "source": "#main/fasta_size",
                            "id": "#main/pvacseq/fasta_size"
                        },
                        {
                            "source": "#main/rnaseq/gene_abundance",
                            "id": "#main/pvacseq/gene_expression_file"
                        },
                        {
                            "source": "#main/maximum_transcript_support_level",
                            "id": "#main/pvacseq/maximum_transcript_support_level"
                        },
                        {
                            "source": "#main/minimum_fold_change",
                            "id": "#main/pvacseq/minimum_fold_change"
                        },
                        {
                            "source": "#main/pvacseq_threads",
                            "id": "#main/pvacseq/n_threads"
                        },
                        {
                            "source": "#main/net_chop_method",
                            "id": "#main/pvacseq/net_chop_method"
                        },
                        {
                            "source": "#main/net_chop_threshold",
                            "id": "#main/pvacseq/net_chop_threshold"
                        },
                        {
                            "source": "#main/netmhc_stab",
                            "id": "#main/pvacseq/netmhc_stab"
                        },
                        {
                            "source": "#main/normal_cov",
                            "id": "#main/pvacseq/normal_cov"
                        },
                        {
                            "source": "#main/immuno_normal_sample_name",
                            "id": "#main/pvacseq/normal_sample_name"
                        },
                        {
                            "source": "#main/normal_vaf",
                            "id": "#main/pvacseq/normal_vaf"
                        },
                        {
                            "source": "#main/peptide_sequence_length",
                            "id": "#main/pvacseq/peptide_sequence_length"
                        },
                        {
                            "source": "#main/phase_vcf/phased_vcf",
                            "id": "#main/pvacseq/phased_proximal_variants_vcf"
                        },
                        {
                            "source": "#main/prediction_algorithms",
                            "id": "#main/pvacseq/prediction_algorithms"
                        },
                        {
                            "source": "#main/readcount_minimum_base_quality",
                            "id": "#main/pvacseq/readcount_minimum_base_quality"
                        },
                        {
                            "source": "#main/readcount_minimum_mapping_quality",
                            "id": "#main/pvacseq/readcount_minimum_mapping_quality"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/pvacseq/reference_fasta"
                        },
                        {
                            "source": "#main/rnaseq/final_bam",
                            "id": "#main/pvacseq/rnaseq_bam"
                        },
                        {
                            "source": "#main/immuno_tumor_sample_name",
                            "id": "#main/pvacseq/sample_name"
                        },
                        {
                            "source": "#main/tdna_cov",
                            "id": "#main/pvacseq/tdna_cov"
                        },
                        {
                            "source": "#main/tdna_vaf",
                            "id": "#main/pvacseq/tdna_vaf"
                        },
                        {
                            "source": "#main/top_score_metric",
                            "id": "#main/pvacseq/top_score_metric"
                        },
                        {
                            "source": "#main/rnaseq/transcript_abundance_tsv",
                            "id": "#main/pvacseq/transcript_expression_file"
                        },
                        {
                            "source": "#main/trna_cov",
                            "id": "#main/pvacseq/trna_cov"
                        },
                        {
                            "source": "#main/trna_vaf",
                            "id": "#main/pvacseq/trna_vaf"
                        },
                        {
                            "source": "#main/variants_to_table_fields",
                            "id": "#main/pvacseq/variants_to_table_fields"
                        },
                        {
                            "source": "#main/variants_to_table_genotype_fields",
                            "id": "#main/pvacseq/variants_to_table_genotype_fields"
                        },
                        {
                            "source": "#main/vep_to_table_fields",
                            "id": "#main/pvacseq/vep_to_table_fields"
                        }
                    ],
                    "out": [
                        "#main/pvacseq/annotated_vcf",
                        "#main/pvacseq/annotated_tsv",
                        "#main/pvacseq/mhc_i_all_epitopes",
                        "#main/pvacseq/mhc_i_filtered_epitopes",
                        "#main/pvacseq/mhc_i_ranked_epitopes",
                        "#main/pvacseq/mhc_ii_all_epitopes",
                        "#main/pvacseq/mhc_ii_filtered_epitopes",
                        "#main/pvacseq/mhc_ii_ranked_epitopes",
                        "#main/pvacseq/combined_all_epitopes",
                        "#main/pvacseq/combined_filtered_epitopes",
                        "#main/pvacseq/combined_ranked_epitopes"
                    ],
                    "id": "#main/pvacseq"
                },
                {
                    "run": "#replace_vcf_sample_name.cwl",
                    "in": [
                        {
                            "source": "#main/rename_somatic_vcf_tumor_sample/renamed_vcf",
                            "id": "#main/rename_somatic_vcf_normal_sample/input_vcf"
                        },
                        {
                            "source": "#main/immuno_normal_sample_name",
                            "id": "#main/rename_somatic_vcf_normal_sample/new_sample_name"
                        },
                        {
                            "default": "NORMAL",
                            "id": "#main/rename_somatic_vcf_normal_sample/sample_to_replace"
                        }
                    ],
                    "out": [
                        "#main/rename_somatic_vcf_normal_sample/renamed_vcf"
                    ],
                    "id": "#main/rename_somatic_vcf_normal_sample"
                },
                {
                    "run": "#replace_vcf_sample_name.cwl",
                    "in": [
                        {
                            "source": "#main/somatic/final_vcf",
                            "id": "#main/rename_somatic_vcf_tumor_sample/input_vcf"
                        },
                        {
                            "source": "#main/immuno_tumor_sample_name",
                            "id": "#main/rename_somatic_vcf_tumor_sample/new_sample_name"
                        },
                        {
                            "default": "TUMOR",
                            "id": "#main/rename_somatic_vcf_tumor_sample/sample_to_replace"
                        }
                    ],
                    "out": [
                        "#main/rename_somatic_vcf_tumor_sample/renamed_vcf"
                    ],
                    "id": "#main/rename_somatic_vcf_tumor_sample"
                },
                {
                    "run": "#rnaseq.cwl",
                    "in": [
                        {
                            "source": "#main/vep_ensembl_assembly",
                            "id": "#main/rnaseq/assembly"
                        },
                        {
                            "source": "#main/gene_transcript_lookup_table",
                            "id": "#main/rnaseq/gene_transcript_lookup_table"
                        },
                        {
                            "source": "#main/rna_bams",
                            "id": "#main/rnaseq/instrument_data_bams"
                        },
                        {
                            "source": "#main/kallisto_index",
                            "id": "#main/rnaseq/kallisto_index"
                        },
                        {
                            "source": "#main/read_group_fields",
                            "id": "#main/rnaseq/read_group_fields"
                        },
                        {
                            "source": "#main/rna_readgroups",
                            "id": "#main/rnaseq/read_group_id"
                        },
                        {
                            "source": "#main/refFlat",
                            "id": "#main/rnaseq/refFlat"
                        },
                        {
                            "source": "#main/reference_annotation",
                            "id": "#main/rnaseq/reference_annotation"
                        },
                        {
                            "source": "#main/reference_index",
                            "id": "#main/rnaseq/reference_index"
                        },
                        {
                            "source": "#main/reference_transcriptome",
                            "id": "#main/rnaseq/reference_transcriptome"
                        },
                        {
                            "source": "#main/ribosomal_intervals",
                            "id": "#main/rnaseq/ribosomal_intervals"
                        },
                        {
                            "source": "#main/sample_name",
                            "id": "#main/rnaseq/sample_name"
                        },
                        {
                            "source": "#main/vep_ensembl_species",
                            "id": "#main/rnaseq/species"
                        },
                        {
                            "source": "#main/strand",
                            "id": "#main/rnaseq/strand"
                        },
                        {
                            "source": "#main/trimming_adapter_min_overlap",
                            "id": "#main/rnaseq/trimming_adapter_min_overlap"
                        },
                        {
                            "source": "#main/trimming_adapter_trim_end",
                            "id": "#main/rnaseq/trimming_adapter_trim_end"
                        },
                        {
                            "source": "#main/trimming_adapters",
                            "id": "#main/rnaseq/trimming_adapters"
                        },
                        {
                            "source": "#main/trimming_max_uncalled",
                            "id": "#main/rnaseq/trimming_max_uncalled"
                        },
                        {
                            "source": "#main/trimming_min_readlength",
                            "id": "#main/rnaseq/trimming_min_readlength"
                        }
                    ],
                    "out": [
                        "#main/rnaseq/final_bam",
                        "#main/rnaseq/stringtie_transcript_gtf",
                        "#main/rnaseq/stringtie_gene_expression_tsv",
                        "#main/rnaseq/transcript_abundance_tsv",
                        "#main/rnaseq/transcript_abundance_h5",
                        "#main/rnaseq/gene_abundance",
                        "#main/rnaseq/metrics",
                        "#main/rnaseq/chart",
                        "#main/rnaseq/fusion_evidence",
                        "#main/rnaseq/unfiltered_fusion_seqs",
                        "#main/rnaseq/unfiltered_fusions_json",
                        "#main/rnaseq/filtered_fusion_seqs",
                        "#main/rnaseq/filtered_fusions_json",
                        "#main/rnaseq/final_fusion_calls"
                    ],
                    "id": "#main/rnaseq"
                },
                {
                    "run": "#somatic_exome.cwl",
                    "in": [
                        {
                            "source": "#main/annotate_coding_only",
                            "id": "#main/somatic/annotate_coding_only"
                        },
                        {
                            "source": "#main/bait_intervals",
                            "id": "#main/somatic/bait_intervals"
                        },
                        {
                            "source": "#main/bqsr_intervals",
                            "id": "#main/somatic/bqsr_intervals"
                        },
                        {
                            "source": "#main/cle_vcf_filter",
                            "id": "#main/somatic/cle_vcf_filter"
                        },
                        {
                            "source": "#main/cosmic_vcf",
                            "id": "#main/somatic/cosmic_vcf"
                        },
                        {
                            "source": "#main/custom_clinvar_vcf",
                            "id": "#main/somatic/custom_clinvar_vcf"
                        },
                        {
                            "source": "#main/custom_gnomad_vcf",
                            "id": "#main/somatic/custom_gnomad_vcf"
                        },
                        {
                            "source": "#main/dbsnp_vcf",
                            "id": "#main/somatic/dbsnp_vcf"
                        },
                        {
                            "source": "#main/docm_vcf",
                            "id": "#main/somatic/docm_vcf"
                        },
                        {
                            "source": "#main/filter_docm_variants",
                            "id": "#main/somatic/filter_docm_variants"
                        },
                        {
                            "source": "#main/interval_list",
                            "id": "#main/somatic/interval_list"
                        },
                        {
                            "source": "#main/known_indels",
                            "id": "#main/somatic/known_indels"
                        },
                        {
                            "source": "#main/manta_call_regions",
                            "id": "#main/somatic/manta_call_regions"
                        },
                        {
                            "source": "#main/manta_non_wgs",
                            "id": "#main/somatic/manta_non_wgs"
                        },
                        {
                            "source": "#main/manta_output_contigs",
                            "id": "#main/somatic/manta_output_contigs"
                        },
                        {
                            "source": "#main/mills",
                            "id": "#main/somatic/mills"
                        },
                        {
                            "source": "#main/mutect_artifact_detection_mode",
                            "id": "#main/somatic/mutect_artifact_detection_mode"
                        },
                        {
                            "source": "#main/mutect_max_alt_allele_in_normal_fraction",
                            "id": "#main/somatic/mutect_max_alt_allele_in_normal_fraction"
                        },
                        {
                            "source": "#main/mutect_max_alt_alleles_in_normal_count",
                            "id": "#main/somatic/mutect_max_alt_alleles_in_normal_count"
                        },
                        {
                            "source": "#main/mutect_scatter_count",
                            "id": "#main/somatic/mutect_scatter_count"
                        },
                        {
                            "source": "#main/normal_name",
                            "id": "#main/somatic/normal_name"
                        },
                        {
                            "source": "#main/normal_sequence",
                            "id": "#main/somatic/normal_sequence"
                        },
                        {
                            "source": "#main/omni_vcf",
                            "id": "#main/somatic/omni_vcf"
                        },
                        {
                            "source": "#main/panel_of_normals_vcf",
                            "id": "#main/somatic/panel_of_normals_vcf"
                        },
                        {
                            "source": "#main/per_base_intervals",
                            "id": "#main/somatic/per_base_intervals"
                        },
                        {
                            "source": "#main/per_target_intervals",
                            "id": "#main/somatic/per_target_intervals"
                        },
                        {
                            "source": "#main/picard_metric_accumulation_level",
                            "id": "#main/somatic/picard_metric_accumulation_level"
                        },
                        {
                            "source": "#main/pindel_insert_size",
                            "id": "#main/somatic/pindel_insert_size"
                        },
                        {
                            "source": "#main/qc_minimum_base_quality",
                            "id": "#main/somatic/qc_minimum_base_quality"
                        },
                        {
                            "source": "#main/qc_minimum_mapping_quality",
                            "id": "#main/somatic/qc_minimum_mapping_quality"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/somatic/reference"
                        },
                        {
                            "source": "#main/somalier_vcf",
                            "id": "#main/somatic/somalier_vcf"
                        },
                        {
                            "source": "#main/strelka_cpu_reserved",
                            "id": "#main/somatic/strelka_cpu_reserved"
                        },
                        {
                            "source": "#main/summary_intervals",
                            "id": "#main/somatic/summary_intervals"
                        },
                        {
                            "source": "#main/synonyms_file",
                            "id": "#main/somatic/synonyms_file"
                        },
                        {
                            "source": "#main/target_intervals",
                            "id": "#main/somatic/target_intervals"
                        },
                        {
                            "source": "#main/tumor_name",
                            "id": "#main/somatic/tumor_name"
                        },
                        {
                            "source": "#main/tumor_sequence",
                            "id": "#main/somatic/tumor_sequence"
                        },
                        {
                            "source": "#main/variants_to_table_fields",
                            "id": "#main/somatic/variants_to_table_fields"
                        },
                        {
                            "source": "#main/variants_to_table_genotype_fields",
                            "id": "#main/somatic/variants_to_table_genotype_fields"
                        },
                        {
                            "source": "#main/varscan_max_normal_freq",
                            "id": "#main/somatic/varscan_max_normal_freq"
                        },
                        {
                            "source": "#main/varscan_min_coverage",
                            "id": "#main/somatic/varscan_min_coverage"
                        },
                        {
                            "source": "#main/varscan_min_var_freq",
                            "id": "#main/somatic/varscan_min_var_freq"
                        },
                        {
                            "source": "#main/varscan_p_value",
                            "id": "#main/somatic/varscan_p_value"
                        },
                        {
                            "source": "#main/varscan_strand_filter",
                            "id": "#main/somatic/varscan_strand_filter"
                        },
                        {
                            "source": "#main/vep_cache_dir",
                            "id": "#main/somatic/vep_cache_dir"
                        },
                        {
                            "source": "#main/vep_ensembl_assembly",
                            "id": "#main/somatic/vep_ensembl_assembly"
                        },
                        {
                            "source": "#main/vep_ensembl_species",
                            "id": "#main/somatic/vep_ensembl_species"
                        },
                        {
                            "source": "#main/vep_ensembl_version",
                            "id": "#main/somatic/vep_ensembl_version"
                        },
                        {
                            "source": "#main/vep_pick",
                            "id": "#main/somatic/vep_pick"
                        },
                        {
                            "source": "#main/vep_to_table_fields",
                            "id": "#main/somatic/vep_to_table_fields"
                        }
                    ],
                    "out": [
                        "#main/somatic/tumor_cram",
                        "#main/somatic/tumor_mark_duplicates_metrics",
                        "#main/somatic/tumor_insert_size_metrics",
                        "#main/somatic/tumor_alignment_summary_metrics",
                        "#main/somatic/tumor_hs_metrics",
                        "#main/somatic/tumor_per_target_coverage_metrics",
                        "#main/somatic/tumor_per_target_hs_metrics",
                        "#main/somatic/tumor_per_base_coverage_metrics",
                        "#main/somatic/tumor_per_base_hs_metrics",
                        "#main/somatic/tumor_summary_hs_metrics",
                        "#main/somatic/tumor_flagstats",
                        "#main/somatic/tumor_verify_bam_id_metrics",
                        "#main/somatic/tumor_verify_bam_id_depth",
                        "#main/somatic/normal_cram",
                        "#main/somatic/normal_mark_duplicates_metrics",
                        "#main/somatic/normal_insert_size_metrics",
                        "#main/somatic/normal_alignment_summary_metrics",
                        "#main/somatic/normal_hs_metrics",
                        "#main/somatic/normal_per_target_coverage_metrics",
                        "#main/somatic/normal_per_target_hs_metrics",
                        "#main/somatic/normal_per_base_coverage_metrics",
                        "#main/somatic/normal_per_base_hs_metrics",
                        "#main/somatic/normal_summary_hs_metrics",
                        "#main/somatic/normal_flagstats",
                        "#main/somatic/normal_verify_bam_id_metrics",
                        "#main/somatic/normal_verify_bam_id_depth",
                        "#main/somatic/mutect_unfiltered_vcf",
                        "#main/somatic/mutect_filtered_vcf",
                        "#main/somatic/strelka_unfiltered_vcf",
                        "#main/somatic/strelka_filtered_vcf",
                        "#main/somatic/varscan_unfiltered_vcf",
                        "#main/somatic/varscan_filtered_vcf",
                        "#main/somatic/pindel_unfiltered_vcf",
                        "#main/somatic/pindel_filtered_vcf",
                        "#main/somatic/docm_filtered_vcf",
                        "#main/somatic/final_vcf",
                        "#main/somatic/final_filtered_vcf",
                        "#main/somatic/final_tsv",
                        "#main/somatic/vep_summary",
                        "#main/somatic/tumor_snv_bam_readcount_tsv",
                        "#main/somatic/tumor_indel_bam_readcount_tsv",
                        "#main/somatic/normal_snv_bam_readcount_tsv",
                        "#main/somatic/normal_indel_bam_readcount_tsv",
                        "#main/somatic/intervals_antitarget",
                        "#main/somatic/intervals_target",
                        "#main/somatic/normal_antitarget_coverage",
                        "#main/somatic/normal_target_coverage",
                        "#main/somatic/reference_coverage",
                        "#main/somatic/cn_diagram",
                        "#main/somatic/cn_scatter_plot",
                        "#main/somatic/tumor_antitarget_coverage",
                        "#main/somatic/tumor_target_coverage",
                        "#main/somatic/tumor_bin_level_ratios",
                        "#main/somatic/tumor_segmented_ratios",
                        "#main/somatic/diploid_variants",
                        "#main/somatic/somatic_variants",
                        "#main/somatic/all_candidates",
                        "#main/somatic/small_candidates",
                        "#main/somatic/tumor_only_variants",
                        "#main/somatic/somalier_concordance_metrics",
                        "#main/somatic/somalier_concordance_statistics"
                    ],
                    "id": "#main/somatic"
                }
            ],
            "id": "#main"
        },
        {
            "class": "Workflow",
            "label": "RNA-Seq alignment and transcript/gene abundance workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "doc": "the assembly used, such as GRCh37/38, GRCm37/38",
                    "id": "#rnaseq.cwl/assembly"
                },
                {
                    "type": "File",
                    "id": "#rnaseq.cwl/gene_transcript_lookup_table"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#rnaseq.cwl/instrument_data_bams"
                },
                {
                    "type": "File",
                    "id": "#rnaseq.cwl/kallisto_index"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#rnaseq.cwl/read_group_fields"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#rnaseq.cwl/read_group_id"
                },
                {
                    "type": "File",
                    "id": "#rnaseq.cwl/refFlat"
                },
                {
                    "type": "File",
                    "id": "#rnaseq.cwl/reference_annotation"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".1.ht2",
                        ".2.ht2",
                        ".3.ht2",
                        ".4.ht2",
                        ".5.ht2",
                        ".6.ht2",
                        ".7.ht2",
                        ".8.ht2"
                    ],
                    "id": "#rnaseq.cwl/reference_index"
                },
                {
                    "type": "File",
                    "id": "#rnaseq.cwl/reference_transcriptome"
                },
                {
                    "type": "File",
                    "id": "#rnaseq.cwl/ribosomal_intervals"
                },
                {
                    "type": "string",
                    "id": "#rnaseq.cwl/sample_name"
                },
                {
                    "type": "string",
                    "doc": "the species being analyzed, such as homo_sapiens or mus_musculus",
                    "id": "#rnaseq.cwl/species"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#rnaseq.cwl/strand/first",
                                "#rnaseq.cwl/strand/second",
                                "#rnaseq.cwl/strand/unstranded"
                            ]
                        }
                    ],
                    "id": "#rnaseq.cwl/strand"
                },
                {
                    "type": "int",
                    "id": "#rnaseq.cwl/trimming_adapter_min_overlap"
                },
                {
                    "type": "string",
                    "id": "#rnaseq.cwl/trimming_adapter_trim_end"
                },
                {
                    "type": "File",
                    "id": "#rnaseq.cwl/trimming_adapters"
                },
                {
                    "type": "int",
                    "id": "#rnaseq.cwl/trimming_max_uncalled"
                },
                {
                    "type": "int",
                    "id": "#rnaseq.cwl/trimming_min_readlength"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/generate_qc_metrics/chart",
                    "id": "#rnaseq.cwl/chart"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/pizzly/filtered_fusion_seqs",
                    "id": "#rnaseq.cwl/filtered_fusion_seqs"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/pizzly/filtered_fusions_json",
                    "id": "#rnaseq.cwl/filtered_fusions_json"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/mark_dup/sorted_bam",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#rnaseq.cwl/final_bam"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/grolar/parsed_fusion_calls",
                    "id": "#rnaseq.cwl/final_fusion_calls"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/kallisto/fusion_evidence",
                    "id": "#rnaseq.cwl/fusion_evidence"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/transcript_to_gene/gene_abundance",
                    "id": "#rnaseq.cwl/gene_abundance"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/generate_qc_metrics/metrics",
                    "id": "#rnaseq.cwl/metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/stringtie/gene_expression_tsv",
                    "id": "#rnaseq.cwl/stringtie_gene_expression_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/stringtie/transcript_gtf",
                    "id": "#rnaseq.cwl/stringtie_transcript_gtf"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/kallisto/expression_transcript_h5",
                    "id": "#rnaseq.cwl/transcript_abundance_h5"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/kallisto/expression_transcript_table",
                    "id": "#rnaseq.cwl/transcript_abundance_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/pizzly/unfiltered_fusion_seqs",
                    "id": "#rnaseq.cwl/unfiltered_fusion_seqs"
                },
                {
                    "type": "File",
                    "outputSource": "#rnaseq.cwl/pizzly/unfiltered_fusions_json",
                    "id": "#rnaseq.cwl/unfiltered_fusions_json"
                }
            ],
            "steps": [
                {
                    "run": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl",
                    "scatter": [
                        "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/bam",
                        "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/read_group_id",
                        "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/read_group_fields"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/trimming_adapter_min_overlap",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/adapter_min_overlap"
                        },
                        {
                            "source": "#rnaseq.cwl/trimming_adapter_trim_end",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/adapter_trim_end"
                        },
                        {
                            "source": "#rnaseq.cwl/trimming_adapters",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/adapters"
                        },
                        {
                            "source": "#rnaseq.cwl/instrument_data_bams",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/bam"
                        },
                        {
                            "source": "#rnaseq.cwl/trimming_max_uncalled",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/max_uncalled"
                        },
                        {
                            "source": "#rnaseq.cwl/trimming_min_readlength",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/min_readlength"
                        },
                        {
                            "source": "#rnaseq.cwl/read_group_fields",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/read_group_fields"
                        },
                        {
                            "source": "#rnaseq.cwl/read_group_id",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/read_group_id"
                        },
                        {
                            "source": "#rnaseq.cwl/reference_index",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/reference_index"
                        },
                        {
                            "source": "#rnaseq.cwl/strand",
                            "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/strand"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/fastqs",
                        "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/aligned_bam"
                    ],
                    "id": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments"
                },
                {
                    "run": "#generate_qc_metrics.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/index_bam/indexed_bam",
                            "id": "#rnaseq.cwl/generate_qc_metrics/bam"
                        },
                        {
                            "source": "#rnaseq.cwl/refFlat",
                            "id": "#rnaseq.cwl/generate_qc_metrics/refFlat"
                        },
                        {
                            "source": "#rnaseq.cwl/ribosomal_intervals",
                            "id": "#rnaseq.cwl/generate_qc_metrics/ribosomal_intervals"
                        },
                        {
                            "source": "#rnaseq.cwl/strand",
                            "id": "#rnaseq.cwl/generate_qc_metrics/strand"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/generate_qc_metrics/metrics",
                        "#rnaseq.cwl/generate_qc_metrics/chart"
                    ],
                    "id": "#rnaseq.cwl/generate_qc_metrics"
                },
                {
                    "run": "#kmer_size_from_index.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/kallisto_index",
                            "id": "#rnaseq.cwl/get_index_kmer_size/kallisto_index"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/get_index_kmer_size/kmer_length"
                    ],
                    "id": "#rnaseq.cwl/get_index_kmer_size"
                },
                {
                    "run": "#grolar.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/assembly",
                            "id": "#rnaseq.cwl/grolar/assembly"
                        },
                        {
                            "source": "#rnaseq.cwl/pizzly/filtered_fusions_json",
                            "id": "#rnaseq.cwl/grolar/pizzly_calls"
                        },
                        {
                            "source": "#rnaseq.cwl/species",
                            "id": "#rnaseq.cwl/grolar/species"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/grolar/parsed_fusion_calls"
                    ],
                    "id": "#rnaseq.cwl/grolar"
                },
                {
                    "run": "#index_bam.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/merge/merged_bam",
                            "id": "#rnaseq.cwl/index_bam/bam"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/index_bam/indexed_bam"
                    ],
                    "id": "#rnaseq.cwl/index_bam"
                },
                {
                    "run": "#kallisto.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/fastqs",
                            "id": "#rnaseq.cwl/kallisto/fastqs"
                        },
                        {
                            "source": "#rnaseq.cwl/kallisto_index",
                            "id": "#rnaseq.cwl/kallisto/kallisto_index"
                        },
                        {
                            "source": "#rnaseq.cwl/strand",
                            "id": "#rnaseq.cwl/kallisto/strand"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/kallisto/expression_transcript_table",
                        "#rnaseq.cwl/kallisto/expression_transcript_h5",
                        "#rnaseq.cwl/kallisto/fusion_evidence"
                    ],
                    "id": "#rnaseq.cwl/kallisto"
                },
                {
                    "run": "#mark_duplicates_and_sort.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/merge/merged_bam",
                            "id": "#rnaseq.cwl/mark_dup/bam"
                        },
                        {
                            "default": "coordinate",
                            "id": "#rnaseq.cwl/mark_dup/input_sort_order"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/mark_dup/sorted_bam",
                        "#rnaseq.cwl/mark_dup/metrics_file"
                    ],
                    "id": "#rnaseq.cwl/mark_dup"
                },
                {
                    "run": "#merge_bams.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/bam_to_trimmed_fastq_and_hisat_alignments/aligned_bam",
                            "id": "#rnaseq.cwl/merge/bams"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/merge/merged_bam"
                    ],
                    "id": "#rnaseq.cwl/merge"
                },
                {
                    "run": "#pizzly.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/kallisto/fusion_evidence",
                            "id": "#rnaseq.cwl/pizzly/fusion_evidence"
                        },
                        {
                            "source": "#rnaseq.cwl/get_index_kmer_size/kmer_length",
                            "id": "#rnaseq.cwl/pizzly/kallisto_kmer_size"
                        },
                        {
                            "source": "#rnaseq.cwl/reference_transcriptome",
                            "id": "#rnaseq.cwl/pizzly/reference_transcriptome"
                        },
                        {
                            "source": "#rnaseq.cwl/reference_annotation",
                            "id": "#rnaseq.cwl/pizzly/transcriptome_annotations"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/pizzly/unfiltered_fusion_seqs",
                        "#rnaseq.cwl/pizzly/unfiltered_fusions_json",
                        "#rnaseq.cwl/pizzly/filtered_fusion_seqs",
                        "#rnaseq.cwl/pizzly/filtered_fusions_json"
                    ],
                    "id": "#rnaseq.cwl/pizzly"
                },
                {
                    "run": "#stringtie.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/mark_dup/sorted_bam",
                            "id": "#rnaseq.cwl/stringtie/bam"
                        },
                        {
                            "source": "#rnaseq.cwl/reference_annotation",
                            "id": "#rnaseq.cwl/stringtie/reference_annotation"
                        },
                        {
                            "source": "#rnaseq.cwl/sample_name",
                            "id": "#rnaseq.cwl/stringtie/sample_name"
                        },
                        {
                            "source": "#rnaseq.cwl/strand",
                            "id": "#rnaseq.cwl/stringtie/strand"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/stringtie/transcript_gtf",
                        "#rnaseq.cwl/stringtie/gene_expression_tsv"
                    ],
                    "id": "#rnaseq.cwl/stringtie"
                },
                {
                    "run": "#transcript_to_gene.cwl",
                    "in": [
                        {
                            "source": "#rnaseq.cwl/gene_transcript_lookup_table",
                            "id": "#rnaseq.cwl/transcript_to_gene/gene_transcript_lookup_table"
                        },
                        {
                            "source": "#rnaseq.cwl/kallisto/expression_transcript_h5",
                            "id": "#rnaseq.cwl/transcript_to_gene/transcript_table_h5"
                        }
                    ],
                    "out": [
                        "#rnaseq.cwl/transcript_to_gene/gene_abundance"
                    ],
                    "id": "#rnaseq.cwl/transcript_to_gene"
                }
            ],
            "id": "#rnaseq.cwl"
        },
        {
            "class": "Workflow",
            "label": "exome alignment and somatic variant detection",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#labelled_file.yml/labelled_file"
                        },
                        {
                            "$import": "#sequence_data.yml/sequence_data"
                        }
                    ]
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#somatic_exome.cwl/annotate_coding_only"
                },
                {
                    "type": "File",
                    "id": "#somatic_exome.cwl/bait_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#somatic_exome.cwl/bqsr_intervals"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "id": "#somatic_exome.cwl/cle_vcf_filter"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/cosmic_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/custom_gnomad_vcf"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/dbsnp_vcf"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/docm_vcf"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "id": "#somatic_exome.cwl/filter_docm_variants"
                },
                {
                    "type": "File",
                    "id": "#somatic_exome.cwl/interval_list"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/known_indels"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/manta_call_regions"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "id": "#somatic_exome.cwl/manta_non_wgs"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#somatic_exome.cwl/manta_output_contigs"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/mills"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "id": "#somatic_exome.cwl/mutect_artifact_detection_mode"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#somatic_exome.cwl/mutect_max_alt_allele_in_normal_fraction"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#somatic_exome.cwl/mutect_max_alt_alleles_in_normal_count"
                },
                {
                    "type": "int",
                    "id": "#somatic_exome.cwl/mutect_scatter_count"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "normal",
                    "id": "#somatic_exome.cwl/normal_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#sequence_data.yml/sequence_data"
                    },
                    "id": "#somatic_exome.cwl/normal_sequence"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/omni_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/panel_of_normals_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#somatic_exome.cwl/per_base_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#somatic_exome.cwl/per_target_intervals"
                },
                {
                    "type": "string",
                    "id": "#somatic_exome.cwl/picard_metric_accumulation_level"
                },
                {
                    "type": "int",
                    "default": 400,
                    "id": "#somatic_exome.cwl/pindel_insert_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "id": "#somatic_exome.cwl/qc_minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "id": "#somatic_exome.cwl/qc_minimum_mapping_quality"
                },
                {
                    "type": "string",
                    "id": "#somatic_exome.cwl/reference"
                },
                {
                    "type": "File",
                    "id": "#somatic_exome.cwl/somalier_vcf"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "id": "#somatic_exome.cwl/strelka_cpu_reserved"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#somatic_exome.cwl/summary_intervals"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#somatic_exome.cwl/synonyms_file"
                },
                {
                    "type": "File",
                    "id": "#somatic_exome.cwl/target_intervals"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "tumor",
                    "id": "#somatic_exome.cwl/tumor_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#sequence_data.yml/sequence_data"
                    },
                    "id": "#somatic_exome.cwl/tumor_sequence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "default": [
                        "CHROM",
                        "POS",
                        "ID",
                        "REF",
                        "ALT",
                        "set",
                        "AC",
                        "AF"
                    ],
                    "id": "#somatic_exome.cwl/variants_to_table_fields"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "default": [
                        "GT",
                        "AD"
                    ],
                    "id": "#somatic_exome.cwl/variants_to_table_genotype_fields"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#somatic_exome.cwl/varscan_max_normal_freq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "id": "#somatic_exome.cwl/varscan_min_coverage"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.05,
                    "id": "#somatic_exome.cwl/varscan_min_var_freq"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.99,
                    "id": "#somatic_exome.cwl/varscan_p_value"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "id": "#somatic_exome.cwl/varscan_strand_filter"
                },
                {
                    "type": "string",
                    "id": "#somatic_exome.cwl/vep_cache_dir"
                },
                {
                    "type": "string",
                    "doc": "genome assembly to use in vep. Examples: GRCh38 or GRCm38",
                    "id": "#somatic_exome.cwl/vep_ensembl_assembly"
                },
                {
                    "type": "string",
                    "doc": "ensembl species - Must be present in the cache directory. Examples: homo_sapiens or mus_musculus",
                    "id": "#somatic_exome.cwl/vep_ensembl_species"
                },
                {
                    "type": "string",
                    "doc": "ensembl version - Must be present in the cache directory. Example: 95",
                    "id": "#somatic_exome.cwl/vep_ensembl_version"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#somatic_exome.cwl/vep_pick/pick",
                                "#somatic_exome.cwl/vep_pick/flag_pick",
                                "#somatic_exome.cwl/vep_pick/pick_allele",
                                "#somatic_exome.cwl/vep_pick/per_gene",
                                "#somatic_exome.cwl/vep_pick/pick_allele_gene",
                                "#somatic_exome.cwl/vep_pick/flag_pick_allele",
                                "#somatic_exome.cwl/vep_pick/flag_pick_allele_gene"
                            ]
                        }
                    ],
                    "id": "#somatic_exome.cwl/vep_pick"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "default": [
                        "HGVSc",
                        "HGVSp"
                    ],
                    "id": "#somatic_exome.cwl/vep_to_table_fields"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/manta/all_candidates",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/all_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#somatic_exome.cwl/cnvkit/cn_diagram",
                    "id": "#somatic_exome.cwl/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#somatic_exome.cwl/cnvkit/cn_scatter_plot",
                    "id": "#somatic_exome.cwl/cn_scatter_plot"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#somatic_exome.cwl/manta/diploid_variants",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/diploid_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/docm_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/docm_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/final_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/final_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/final_tsv",
                    "id": "#somatic_exome.cwl/final_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/final_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/final_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#somatic_exome.cwl/cnvkit/intervals_antitarget",
                    "id": "#somatic_exome.cwl/intervals_antitarget"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#somatic_exome.cwl/cnvkit/intervals_target",
                    "id": "#somatic_exome.cwl/intervals_target"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/mutect_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/mutect_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/mutect_unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/mutect_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/alignment_summary_metrics",
                    "id": "#somatic_exome.cwl/normal_alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/cnvkit/normal_antitarget_coverage",
                    "id": "#somatic_exome.cwl/normal_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/normal_index_cram/indexed_cram",
                    "id": "#somatic_exome.cwl/normal_cram"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/flagstats",
                    "id": "#somatic_exome.cwl/normal_flagstats"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/hs_metrics",
                    "id": "#somatic_exome.cwl/normal_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/normal_indel_bam_readcount_tsv",
                    "id": "#somatic_exome.cwl/normal_indel_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/insert_size_metrics",
                    "id": "#somatic_exome.cwl/normal_insert_size_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/mark_duplicates_metrics",
                    "id": "#somatic_exome.cwl/normal_mark_duplicates_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/per_base_coverage_metrics",
                    "id": "#somatic_exome.cwl/normal_per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/per_base_hs_metrics",
                    "id": "#somatic_exome.cwl/normal_per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/per_target_coverage_metrics",
                    "id": "#somatic_exome.cwl/normal_per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/per_target_hs_metrics",
                    "id": "#somatic_exome.cwl/normal_per_target_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/normal_snv_bam_readcount_tsv",
                    "id": "#somatic_exome.cwl/normal_snv_bam_readcount_tsv"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/summary_hs_metrics",
                    "id": "#somatic_exome.cwl/normal_summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/cnvkit/normal_target_coverage",
                    "id": "#somatic_exome.cwl/normal_target_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/verify_bam_id_depth",
                    "id": "#somatic_exome.cwl/normal_verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/normal_alignment_and_qc/verify_bam_id_metrics",
                    "id": "#somatic_exome.cwl/normal_verify_bam_id_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/pindel_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/pindel_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/pindel_unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/pindel_unfiltered_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#somatic_exome.cwl/cnvkit/reference_coverage",
                    "id": "#somatic_exome.cwl/reference_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/manta/small_candidates",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/small_candidates"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/concordance/somalier_pairs",
                    "id": "#somatic_exome.cwl/somalier_concordance_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/concordance/somalier_samples",
                    "id": "#somatic_exome.cwl/somalier_concordance_statistics"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#somatic_exome.cwl/manta/somatic_variants",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/somatic_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/strelka_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/strelka_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/strelka_unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/strelka_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/alignment_summary_metrics",
                    "id": "#somatic_exome.cwl/tumor_alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/cnvkit/tumor_antitarget_coverage",
                    "id": "#somatic_exome.cwl/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/cnvkit/tumor_bin_level_ratios",
                    "id": "#somatic_exome.cwl/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/tumor_index_cram/indexed_cram",
                    "id": "#somatic_exome.cwl/tumor_cram"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/flagstats",
                    "id": "#somatic_exome.cwl/tumor_flagstats"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/hs_metrics",
                    "id": "#somatic_exome.cwl/tumor_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/tumor_indel_bam_readcount_tsv",
                    "id": "#somatic_exome.cwl/tumor_indel_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/insert_size_metrics",
                    "id": "#somatic_exome.cwl/tumor_insert_size_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/mark_duplicates_metrics",
                    "id": "#somatic_exome.cwl/tumor_mark_duplicates_metrics"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#somatic_exome.cwl/manta/tumor_only_variants",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/tumor_only_variants"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/per_base_coverage_metrics",
                    "id": "#somatic_exome.cwl/tumor_per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/per_base_hs_metrics",
                    "id": "#somatic_exome.cwl/tumor_per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/per_target_coverage_metrics",
                    "id": "#somatic_exome.cwl/tumor_per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/per_target_hs_metrics",
                    "id": "#somatic_exome.cwl/tumor_per_target_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/cnvkit/tumor_segmented_ratios",
                    "id": "#somatic_exome.cwl/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/tumor_snv_bam_readcount_tsv",
                    "id": "#somatic_exome.cwl/tumor_snv_bam_readcount_tsv"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/summary_hs_metrics",
                    "id": "#somatic_exome.cwl/tumor_summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/cnvkit/tumor_target_coverage",
                    "id": "#somatic_exome.cwl/tumor_target_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/verify_bam_id_depth",
                    "id": "#somatic_exome.cwl/tumor_verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/tumor_alignment_and_qc/verify_bam_id_metrics",
                    "id": "#somatic_exome.cwl/tumor_verify_bam_id_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/varscan_filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/varscan_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/varscan_unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#somatic_exome.cwl/varscan_unfiltered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#somatic_exome.cwl/detect_variants/vep_summary",
                    "id": "#somatic_exome.cwl/vep_summary"
                }
            ],
            "steps": [
                {
                    "run": "#cnvkit_batch.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/bait_intervals",
                            "id": "#somatic_exome.cwl/cnvkit/bait_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/normal_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/cnvkit/normal_bam"
                        },
                        {
                            "source": "#somatic_exome.cwl/reference",
                            "id": "#somatic_exome.cwl/cnvkit/reference"
                        },
                        {
                            "source": "#somatic_exome.cwl/tumor_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/cnvkit/tumor_bam"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/cnvkit/intervals_antitarget",
                        "#somatic_exome.cwl/cnvkit/intervals_target",
                        "#somatic_exome.cwl/cnvkit/normal_antitarget_coverage",
                        "#somatic_exome.cwl/cnvkit/normal_target_coverage",
                        "#somatic_exome.cwl/cnvkit/reference_coverage",
                        "#somatic_exome.cwl/cnvkit/cn_diagram",
                        "#somatic_exome.cwl/cnvkit/cn_scatter_plot",
                        "#somatic_exome.cwl/cnvkit/tumor_antitarget_coverage",
                        "#somatic_exome.cwl/cnvkit/tumor_target_coverage",
                        "#somatic_exome.cwl/cnvkit/tumor_bin_level_ratios",
                        "#somatic_exome.cwl/cnvkit/tumor_segmented_ratios"
                    ],
                    "id": "#somatic_exome.cwl/cnvkit"
                },
                {
                    "run": "#concordance.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/tumor_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/concordance/bam_1"
                        },
                        {
                            "source": "#somatic_exome.cwl/normal_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/concordance/bam_2"
                        },
                        {
                            "source": "#somatic_exome.cwl/reference",
                            "id": "#somatic_exome.cwl/concordance/reference"
                        },
                        {
                            "source": "#somatic_exome.cwl/somalier_vcf",
                            "id": "#somatic_exome.cwl/concordance/vcf"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/concordance/somalier_pairs",
                        "#somatic_exome.cwl/concordance/somalier_samples"
                    ],
                    "id": "#somatic_exome.cwl/concordance"
                },
                {
                    "run": "#detect_variants.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/annotate_coding_only",
                            "id": "#somatic_exome.cwl/detect_variants/annotate_coding_only"
                        },
                        {
                            "source": "#somatic_exome.cwl/cle_vcf_filter",
                            "id": "#somatic_exome.cwl/detect_variants/cle_vcf_filter"
                        },
                        {
                            "source": "#somatic_exome.cwl/custom_clinvar_vcf",
                            "id": "#somatic_exome.cwl/detect_variants/custom_clinvar_vcf"
                        },
                        {
                            "source": "#somatic_exome.cwl/custom_gnomad_vcf",
                            "id": "#somatic_exome.cwl/detect_variants/custom_gnomad_vcf"
                        },
                        {
                            "source": "#somatic_exome.cwl/docm_vcf",
                            "id": "#somatic_exome.cwl/detect_variants/docm_vcf"
                        },
                        {
                            "source": "#somatic_exome.cwl/filter_docm_variants",
                            "id": "#somatic_exome.cwl/detect_variants/filter_docm_variants"
                        },
                        {
                            "source": "#somatic_exome.cwl/interval_list",
                            "id": "#somatic_exome.cwl/detect_variants/interval_list"
                        },
                        {
                            "source": "#somatic_exome.cwl/mutect_scatter_count",
                            "id": "#somatic_exome.cwl/detect_variants/mutect_scatter_count"
                        },
                        {
                            "source": "#somatic_exome.cwl/normal_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/detect_variants/normal_bam"
                        },
                        {
                            "source": "#somatic_exome.cwl/pindel_insert_size",
                            "id": "#somatic_exome.cwl/detect_variants/pindel_insert_size"
                        },
                        {
                            "source": "#somatic_exome.cwl/reference",
                            "id": "#somatic_exome.cwl/detect_variants/reference"
                        },
                        {
                            "source": "#somatic_exome.cwl/strelka_cpu_reserved",
                            "id": "#somatic_exome.cwl/detect_variants/strelka_cpu_reserved"
                        },
                        {
                            "default": true,
                            "id": "#somatic_exome.cwl/detect_variants/strelka_exome_mode"
                        },
                        {
                            "source": "#somatic_exome.cwl/synonyms_file",
                            "id": "#somatic_exome.cwl/detect_variants/synonyms_file"
                        },
                        {
                            "source": "#somatic_exome.cwl/tumor_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/detect_variants/tumor_bam"
                        },
                        {
                            "source": "#somatic_exome.cwl/variants_to_table_fields",
                            "id": "#somatic_exome.cwl/detect_variants/variants_to_table_fields"
                        },
                        {
                            "source": "#somatic_exome.cwl/variants_to_table_genotype_fields",
                            "id": "#somatic_exome.cwl/detect_variants/variants_to_table_genotype_fields"
                        },
                        {
                            "source": "#somatic_exome.cwl/varscan_max_normal_freq",
                            "id": "#somatic_exome.cwl/detect_variants/varscan_max_normal_freq"
                        },
                        {
                            "source": "#somatic_exome.cwl/varscan_min_coverage",
                            "id": "#somatic_exome.cwl/detect_variants/varscan_min_coverage"
                        },
                        {
                            "source": "#somatic_exome.cwl/varscan_min_var_freq",
                            "id": "#somatic_exome.cwl/detect_variants/varscan_min_var_freq"
                        },
                        {
                            "source": "#somatic_exome.cwl/varscan_p_value",
                            "id": "#somatic_exome.cwl/detect_variants/varscan_p_value"
                        },
                        {
                            "source": "#somatic_exome.cwl/varscan_strand_filter",
                            "id": "#somatic_exome.cwl/detect_variants/varscan_strand_filter"
                        },
                        {
                            "source": "#somatic_exome.cwl/vep_cache_dir",
                            "id": "#somatic_exome.cwl/detect_variants/vep_cache_dir"
                        },
                        {
                            "source": "#somatic_exome.cwl/vep_ensembl_assembly",
                            "id": "#somatic_exome.cwl/detect_variants/vep_ensembl_assembly"
                        },
                        {
                            "source": "#somatic_exome.cwl/vep_ensembl_species",
                            "id": "#somatic_exome.cwl/detect_variants/vep_ensembl_species"
                        },
                        {
                            "source": "#somatic_exome.cwl/vep_ensembl_version",
                            "id": "#somatic_exome.cwl/detect_variants/vep_ensembl_version"
                        },
                        {
                            "source": "#somatic_exome.cwl/vep_pick",
                            "id": "#somatic_exome.cwl/detect_variants/vep_pick"
                        },
                        {
                            "source": "#somatic_exome.cwl/vep_to_table_fields",
                            "id": "#somatic_exome.cwl/detect_variants/vep_to_table_fields"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/detect_variants/mutect_unfiltered_vcf",
                        "#somatic_exome.cwl/detect_variants/mutect_filtered_vcf",
                        "#somatic_exome.cwl/detect_variants/strelka_unfiltered_vcf",
                        "#somatic_exome.cwl/detect_variants/strelka_filtered_vcf",
                        "#somatic_exome.cwl/detect_variants/varscan_unfiltered_vcf",
                        "#somatic_exome.cwl/detect_variants/varscan_filtered_vcf",
                        "#somatic_exome.cwl/detect_variants/pindel_unfiltered_vcf",
                        "#somatic_exome.cwl/detect_variants/pindel_filtered_vcf",
                        "#somatic_exome.cwl/detect_variants/docm_filtered_vcf",
                        "#somatic_exome.cwl/detect_variants/final_vcf",
                        "#somatic_exome.cwl/detect_variants/final_filtered_vcf",
                        "#somatic_exome.cwl/detect_variants/final_tsv",
                        "#somatic_exome.cwl/detect_variants/vep_summary",
                        "#somatic_exome.cwl/detect_variants/tumor_snv_bam_readcount_tsv",
                        "#somatic_exome.cwl/detect_variants/tumor_indel_bam_readcount_tsv",
                        "#somatic_exome.cwl/detect_variants/normal_snv_bam_readcount_tsv",
                        "#somatic_exome.cwl/detect_variants/normal_indel_bam_readcount_tsv"
                    ],
                    "id": "#somatic_exome.cwl/detect_variants"
                },
                {
                    "run": "#manta_somatic.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/manta_call_regions",
                            "id": "#somatic_exome.cwl/manta/call_regions"
                        },
                        {
                            "source": "#somatic_exome.cwl/manta_non_wgs",
                            "id": "#somatic_exome.cwl/manta/non_wgs"
                        },
                        {
                            "source": "#somatic_exome.cwl/normal_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/manta/normal_bam"
                        },
                        {
                            "source": "#somatic_exome.cwl/manta_output_contigs",
                            "id": "#somatic_exome.cwl/manta/output_contigs"
                        },
                        {
                            "source": "#somatic_exome.cwl/reference",
                            "id": "#somatic_exome.cwl/manta/reference"
                        },
                        {
                            "source": "#somatic_exome.cwl/tumor_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/manta/tumor_bam"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/manta/diploid_variants",
                        "#somatic_exome.cwl/manta/somatic_variants",
                        "#somatic_exome.cwl/manta/all_candidates",
                        "#somatic_exome.cwl/manta/small_candidates",
                        "#somatic_exome.cwl/manta/tumor_only_variants"
                    ],
                    "id": "#somatic_exome.cwl/manta"
                },
                {
                    "run": "#exome_alignment.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/bait_intervals",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/bait_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/bqsr_intervals",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/bqsr_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/dbsnp_vcf",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/dbsnp_vcf"
                        },
                        {
                            "source": "#somatic_exome.cwl/normal_name",
                            "valueFrom": "$(self).bam",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/final_name"
                        },
                        {
                            "source": "#somatic_exome.cwl/known_indels",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/known_indels"
                        },
                        {
                            "source": "#somatic_exome.cwl/mills",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/mills"
                        },
                        {
                            "source": "#somatic_exome.cwl/omni_vcf",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/omni_vcf"
                        },
                        {
                            "source": "#somatic_exome.cwl/per_base_intervals",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/per_base_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/per_target_intervals",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/per_target_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/picard_metric_accumulation_level",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/picard_metric_accumulation_level"
                        },
                        {
                            "source": "#somatic_exome.cwl/qc_minimum_base_quality",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/qc_minimum_base_quality"
                        },
                        {
                            "source": "#somatic_exome.cwl/qc_minimum_mapping_quality",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/qc_minimum_mapping_quality"
                        },
                        {
                            "source": "#somatic_exome.cwl/reference",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/reference"
                        },
                        {
                            "source": "#somatic_exome.cwl/normal_sequence",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/sequence"
                        },
                        {
                            "source": "#somatic_exome.cwl/summary_intervals",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/summary_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/target_intervals",
                            "id": "#somatic_exome.cwl/normal_alignment_and_qc/target_intervals"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/normal_alignment_and_qc/bam",
                        "#somatic_exome.cwl/normal_alignment_and_qc/mark_duplicates_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/insert_size_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/alignment_summary_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/hs_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/per_target_coverage_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/per_target_hs_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/per_base_coverage_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/per_base_hs_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/summary_hs_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/flagstats",
                        "#somatic_exome.cwl/normal_alignment_and_qc/verify_bam_id_metrics",
                        "#somatic_exome.cwl/normal_alignment_and_qc/verify_bam_id_depth"
                    ],
                    "id": "#somatic_exome.cwl/normal_alignment_and_qc"
                },
                {
                    "run": "#bam_to_cram.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/normal_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/normal_bam_to_cram/bam"
                        },
                        {
                            "source": "#somatic_exome.cwl/reference",
                            "id": "#somatic_exome.cwl/normal_bam_to_cram/reference"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/normal_bam_to_cram/cram"
                    ],
                    "id": "#somatic_exome.cwl/normal_bam_to_cram"
                },
                {
                    "run": "#index_cram.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/normal_bam_to_cram/cram",
                            "id": "#somatic_exome.cwl/normal_index_cram/cram"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/normal_index_cram/indexed_cram"
                    ],
                    "id": "#somatic_exome.cwl/normal_index_cram"
                },
                {
                    "run": "#exome_alignment.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/bait_intervals",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/bait_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/bqsr_intervals",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/bqsr_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/dbsnp_vcf",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/dbsnp_vcf"
                        },
                        {
                            "source": "#somatic_exome.cwl/tumor_name",
                            "valueFrom": "$(self).bam",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/final_name"
                        },
                        {
                            "source": "#somatic_exome.cwl/known_indels",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/known_indels"
                        },
                        {
                            "source": "#somatic_exome.cwl/mills",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/mills"
                        },
                        {
                            "source": "#somatic_exome.cwl/omni_vcf",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/omni_vcf"
                        },
                        {
                            "source": "#somatic_exome.cwl/per_base_intervals",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/per_base_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/per_target_intervals",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/per_target_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/picard_metric_accumulation_level",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/picard_metric_accumulation_level"
                        },
                        {
                            "source": "#somatic_exome.cwl/qc_minimum_base_quality",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/qc_minimum_base_quality"
                        },
                        {
                            "source": "#somatic_exome.cwl/qc_minimum_mapping_quality",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/qc_minimum_mapping_quality"
                        },
                        {
                            "source": "#somatic_exome.cwl/reference",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/reference"
                        },
                        {
                            "source": "#somatic_exome.cwl/tumor_sequence",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/sequence"
                        },
                        {
                            "source": "#somatic_exome.cwl/summary_intervals",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/summary_intervals"
                        },
                        {
                            "source": "#somatic_exome.cwl/target_intervals",
                            "id": "#somatic_exome.cwl/tumor_alignment_and_qc/target_intervals"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/tumor_alignment_and_qc/bam",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/mark_duplicates_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/insert_size_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/alignment_summary_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/hs_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/per_target_coverage_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/per_target_hs_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/per_base_coverage_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/per_base_hs_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/summary_hs_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/flagstats",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/verify_bam_id_metrics",
                        "#somatic_exome.cwl/tumor_alignment_and_qc/verify_bam_id_depth"
                    ],
                    "id": "#somatic_exome.cwl/tumor_alignment_and_qc"
                },
                {
                    "run": "#bam_to_cram.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/tumor_alignment_and_qc/bam",
                            "id": "#somatic_exome.cwl/tumor_bam_to_cram/bam"
                        },
                        {
                            "source": "#somatic_exome.cwl/reference",
                            "id": "#somatic_exome.cwl/tumor_bam_to_cram/reference"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/tumor_bam_to_cram/cram"
                    ],
                    "id": "#somatic_exome.cwl/tumor_bam_to_cram"
                },
                {
                    "run": "#index_cram.cwl",
                    "in": [
                        {
                            "source": "#somatic_exome.cwl/tumor_bam_to_cram/cram",
                            "id": "#somatic_exome.cwl/tumor_index_cram/cram"
                        }
                    ],
                    "out": [
                        "#somatic_exome.cwl/tumor_index_cram/indexed_cram"
                    ],
                    "id": "#somatic_exome.cwl/tumor_index_cram"
                }
            ],
            "id": "#somatic_exome.cwl"
        },
        {
            "class": "Workflow",
            "label": "bam_readcount workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bam_readcount.cwl/bam"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#bam_readcount.cwl/min_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#bam_readcount.cwl/min_mapping_quality"
                },
                {
                    "type": "string",
                    "id": "#bam_readcount.cwl/reference_fasta"
                },
                {
                    "type": "string",
                    "id": "#bam_readcount.cwl/sample"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#bam_readcount.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#bam_readcount.cwl/bam_readcount/indel_bam_readcount_tsv",
                    "id": "#bam_readcount.cwl/indel_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#bam_readcount.cwl/decompose_variants/decomposed_vcf",
                    "id": "#bam_readcount.cwl/normalized_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#bam_readcount.cwl/bam_readcount/snv_bam_readcount_tsv",
                    "id": "#bam_readcount.cwl/snv_bam_readcount_tsv"
                }
            ],
            "steps": [
                {
                    "run": "#bam_readcount.cwl_2",
                    "in": [
                        {
                            "source": "#bam_readcount.cwl/bam",
                            "id": "#bam_readcount.cwl/bam_readcount/bam"
                        },
                        {
                            "source": "#bam_readcount.cwl/min_base_quality",
                            "id": "#bam_readcount.cwl/bam_readcount/min_base_quality"
                        },
                        {
                            "source": "#bam_readcount.cwl/min_mapping_quality",
                            "id": "#bam_readcount.cwl/bam_readcount/min_mapping_quality"
                        },
                        {
                            "source": "#bam_readcount.cwl/reference_fasta",
                            "id": "#bam_readcount.cwl/bam_readcount/reference_fasta"
                        },
                        {
                            "source": "#bam_readcount.cwl/sample",
                            "id": "#bam_readcount.cwl/bam_readcount/sample"
                        },
                        {
                            "source": "#bam_readcount.cwl/decompose_variants/decomposed_vcf",
                            "id": "#bam_readcount.cwl/bam_readcount/vcf"
                        }
                    ],
                    "out": [
                        "#bam_readcount.cwl/bam_readcount/snv_bam_readcount_tsv",
                        "#bam_readcount.cwl/bam_readcount/indel_bam_readcount_tsv"
                    ],
                    "id": "#bam_readcount.cwl/bam_readcount"
                },
                {
                    "run": "#vt_decompose.cwl",
                    "in": [
                        {
                            "source": "#bam_readcount.cwl/normalize_variants/normalized_vcf",
                            "id": "#bam_readcount.cwl/decompose_variants/vcf"
                        }
                    ],
                    "out": [
                        "#bam_readcount.cwl/decompose_variants/decomposed_vcf"
                    ],
                    "id": "#bam_readcount.cwl/decompose_variants"
                },
                {
                    "run": "#normalize_variants.cwl",
                    "in": [
                        {
                            "source": "#bam_readcount.cwl/reference_fasta",
                            "id": "#bam_readcount.cwl/normalize_variants/reference"
                        },
                        {
                            "source": "#bam_readcount.cwl/vcf",
                            "id": "#bam_readcount.cwl/normalize_variants/vcf"
                        }
                    ],
                    "out": [
                        "#bam_readcount.cwl/normalize_variants/normalized_vcf"
                    ],
                    "id": "#bam_readcount.cwl/normalize_variants"
                }
            ],
            "id": "#bam_readcount.cwl"
        },
        {
            "class": "Workflow",
            "label": "bam to trimmed fastqs and HISAT alignments",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/adapter_min_overlap"
                },
                {
                    "type": "string",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/adapter_trim_end"
                },
                {
                    "type": "File",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/adapters"
                },
                {
                    "type": "File",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/bam"
                },
                {
                    "type": "int",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/max_uncalled"
                },
                {
                    "type": "int",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/min_readlength"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/read_group_fields"
                },
                {
                    "type": "string",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/read_group_id"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".1.ht2",
                        ".2.ht2",
                        ".3.ht2",
                        ".4.ht2",
                        ".5.ht2",
                        ".6.ht2",
                        ".7.ht2",
                        ".8.ht2"
                    ],
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/reference_index"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/strand/first",
                                "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/strand/second",
                                "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/strand/unstranded"
                            ]
                        }
                    ],
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/strand"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align/aligned_bam",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/aligned_bam"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/fastqs",
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/fastqs"
                }
            ],
            "steps": [
                {
                    "run": "#bam_to_fastq.cwl",
                    "in": [
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/bam",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/bam_to_fastq/bam"
                        }
                    ],
                    "out": [
                        "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/bam_to_fastq/fastq1",
                        "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/bam_to_fastq/fastq2"
                    ],
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/bam_to_fastq"
                },
                {
                    "run": "#hisat2_align.cwl",
                    "in": [
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/fastqs",
                            "valueFrom": "$(self[0])",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align/fastq1"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/fastqs",
                            "valueFrom": "$(self[1])",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align/fastq2"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/read_group_fields",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align/read_group_fields"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/read_group_id",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align/read_group_id"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/reference_index",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align/reference_index"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/strand",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align/strand"
                        }
                    ],
                    "out": [
                        "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align/aligned_bam"
                    ],
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/hisat2_align"
                },
                {
                    "run": "#trim_fastq.cwl",
                    "in": [
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/adapter_min_overlap",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/adapter_min_overlap"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/adapter_trim_end",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/adapter_trim_end"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/adapters",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/adapters"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/max_uncalled",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/max_uncalled"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/min_readlength",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/min_readlength"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/bam_to_fastq/fastq1",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/reads1"
                        },
                        {
                            "source": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/bam_to_fastq/fastq2",
                            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/reads2"
                        }
                    ],
                    "out": [
                        "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq/fastqs"
                    ],
                    "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl/trim_fastq"
                }
            ],
            "id": "#bam_to_trimmed_fastq_and_hisat_alignments.cwl"
        },
        {
            "class": "Workflow",
            "label": "bgzip and index VCF",
            "inputs": [
                {
                    "type": "File",
                    "id": "#bgzip_and_index.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#bgzip_and_index.cwl/index/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#bgzip_and_index.cwl/indexed_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#bgzip_and_index.cwl/vcf",
                            "id": "#bgzip_and_index.cwl/bgzip/file"
                        }
                    ],
                    "out": [
                        "#bgzip_and_index.cwl/bgzip/bgzipped_file"
                    ],
                    "id": "#bgzip_and_index.cwl/bgzip"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#bgzip_and_index.cwl/bgzip/bgzipped_file",
                            "id": "#bgzip_and_index.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#bgzip_and_index.cwl/index/indexed_vcf"
                    ],
                    "id": "#bgzip_and_index.cwl/index"
                }
            ],
            "id": "#bgzip_and_index.cwl"
        },
        {
            "class": "Workflow",
            "label": "Detect Docm variants",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#docm_cle.cwl/docm_vcf"
                },
                {
                    "type": "boolean",
                    "id": "#docm_cle.cwl/filter_docm_variants"
                },
                {
                    "type": "File",
                    "id": "#docm_cle.cwl/interval_list"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#docm_cle.cwl/normal_bam"
                },
                {
                    "type": "string",
                    "id": "#docm_cle.cwl/reference"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#docm_cle.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#docm_cle.cwl/index2/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#docm_cle.cwl/docm_variants_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#docm_gatk_haplotype_caller.cwl",
                    "in": [
                        {
                            "source": "#docm_cle.cwl/tumor_bam",
                            "id": "#docm_cle.cwl/GATK_haplotype_caller/bam"
                        },
                        {
                            "source": "#docm_cle.cwl/docm_vcf",
                            "id": "#docm_cle.cwl/GATK_haplotype_caller/docm_vcf"
                        },
                        {
                            "source": "#docm_cle.cwl/interval_list",
                            "id": "#docm_cle.cwl/GATK_haplotype_caller/interval_list"
                        },
                        {
                            "source": "#docm_cle.cwl/normal_bam",
                            "id": "#docm_cle.cwl/GATK_haplotype_caller/normal_bam"
                        },
                        {
                            "source": "#docm_cle.cwl/reference",
                            "id": "#docm_cle.cwl/GATK_haplotype_caller/reference"
                        }
                    ],
                    "out": [
                        "#docm_cle.cwl/GATK_haplotype_caller/docm_raw_variants"
                    ],
                    "id": "#docm_cle.cwl/GATK_haplotype_caller"
                },
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#docm_cle.cwl/GATK_haplotype_caller/docm_raw_variants",
                            "id": "#docm_cle.cwl/bgzip/file"
                        }
                    ],
                    "out": [
                        "#docm_cle.cwl/bgzip/bgzipped_file"
                    ],
                    "id": "#docm_cle.cwl/bgzip"
                },
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#docm_cle.cwl/docm_filter/docm_filtered_variants",
                            "id": "#docm_cle.cwl/bgzip2/file"
                        }
                    ],
                    "out": [
                        "#docm_cle.cwl/bgzip2/bgzipped_file"
                    ],
                    "id": "#docm_cle.cwl/bgzip2"
                },
                {
                    "run": "#vt_decompose.cwl",
                    "in": [
                        {
                            "source": "#docm_cle.cwl/index/indexed_vcf",
                            "id": "#docm_cle.cwl/decompose/vcf"
                        }
                    ],
                    "out": [
                        "#docm_cle.cwl/decompose/decomposed_vcf"
                    ],
                    "id": "#docm_cle.cwl/decompose"
                },
                {
                    "run": "#filter_vcf_docm.cwl",
                    "in": [
                        {
                            "source": "#docm_cle.cwl/decompose/decomposed_vcf",
                            "id": "#docm_cle.cwl/docm_filter/docm_raw_variants"
                        },
                        {
                            "source": "#docm_cle.cwl/filter_docm_variants",
                            "id": "#docm_cle.cwl/docm_filter/filter_docm_variants"
                        },
                        {
                            "source": "#docm_cle.cwl/normal_bam",
                            "id": "#docm_cle.cwl/docm_filter/normal_bam"
                        },
                        {
                            "source": "#docm_cle.cwl/tumor_bam",
                            "id": "#docm_cle.cwl/docm_filter/tumor_bam"
                        }
                    ],
                    "out": [
                        "#docm_cle.cwl/docm_filter/docm_filtered_variants"
                    ],
                    "id": "#docm_cle.cwl/docm_filter"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#docm_cle.cwl/bgzip/bgzipped_file",
                            "id": "#docm_cle.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#docm_cle.cwl/index/indexed_vcf"
                    ],
                    "id": "#docm_cle.cwl/index"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#docm_cle.cwl/bgzip2/bgzipped_file",
                            "id": "#docm_cle.cwl/index2/vcf"
                        }
                    ],
                    "out": [
                        "#docm_cle.cwl/index2/indexed_vcf"
                    ],
                    "id": "#docm_cle.cwl/index2"
                }
            ],
            "id": "#docm_cle.cwl"
        },
        {
            "class": "Workflow",
            "label": "Apply filters to VCF file",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "boolean",
                    "id": "#filter_vcf.cwl/do_cle_vcf_filter"
                },
                {
                    "type": "float",
                    "id": "#filter_vcf.cwl/filter_gnomADe_maximum_population_allele_frequency"
                },
                {
                    "type": "float",
                    "id": "#filter_vcf.cwl/filter_mapq0_threshold"
                },
                {
                    "type": "int",
                    "id": "#filter_vcf.cwl/filter_minimum_depth"
                },
                {
                    "type": "float",
                    "id": "#filter_vcf.cwl/filter_somatic_llr_threshold"
                },
                {
                    "type": "string",
                    "id": "#filter_vcf.cwl/reference"
                },
                {
                    "type": "string",
                    "id": "#filter_vcf.cwl/sample_names"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#filter_vcf.cwl/tumor_bam"
                },
                {
                    "type": "File",
                    "id": "#filter_vcf.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#filter_vcf.cwl/set_final_vcf_name/replacement",
                    "id": "#filter_vcf.cwl/filtered_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#filter_vcf_cle.cwl",
                    "in": [
                        {
                            "source": "#filter_vcf.cwl/do_cle_vcf_filter",
                            "id": "#filter_vcf.cwl/filter_vcf_cle/filter"
                        },
                        {
                            "source": "#filter_vcf.cwl/filter_vcf_mapq0/mapq0_filtered_vcf",
                            "id": "#filter_vcf.cwl/filter_vcf_cle/vcf"
                        }
                    ],
                    "out": [
                        "#filter_vcf.cwl/filter_vcf_cle/cle_filtered_vcf"
                    ],
                    "id": "#filter_vcf.cwl/filter_vcf_cle"
                },
                {
                    "run": "#filter_vcf_depth.cwl",
                    "in": [
                        {
                            "source": "#filter_vcf.cwl/filter_minimum_depth",
                            "id": "#filter_vcf.cwl/filter_vcf_depth/minimum_depth"
                        },
                        {
                            "source": "#filter_vcf.cwl/sample_names",
                            "id": "#filter_vcf.cwl/filter_vcf_depth/sample_names"
                        },
                        {
                            "source": "#filter_vcf.cwl/filter_vcf_cle/cle_filtered_vcf",
                            "id": "#filter_vcf.cwl/filter_vcf_depth/vcf"
                        }
                    ],
                    "out": [
                        "#filter_vcf.cwl/filter_vcf_depth/depth_filtered_vcf"
                    ],
                    "id": "#filter_vcf.cwl/filter_vcf_depth"
                },
                {
                    "run": "#filter_vcf_gnomADe_allele_freq.cwl",
                    "in": [
                        {
                            "source": "#filter_vcf.cwl/filter_gnomADe_maximum_population_allele_frequency",
                            "id": "#filter_vcf.cwl/filter_vcf_gnomADe_allele_freq/maximum_population_allele_frequency"
                        },
                        {
                            "source": "#filter_vcf.cwl/vcf",
                            "id": "#filter_vcf.cwl/filter_vcf_gnomADe_allele_freq/vcf"
                        }
                    ],
                    "out": [
                        "#filter_vcf.cwl/filter_vcf_gnomADe_allele_freq/filtered_vcf"
                    ],
                    "id": "#filter_vcf.cwl/filter_vcf_gnomADe_allele_freq"
                },
                {
                    "run": "#filter_vcf_mapq0.cwl",
                    "in": [
                        {
                            "source": "#filter_vcf.cwl/reference",
                            "id": "#filter_vcf.cwl/filter_vcf_mapq0/reference"
                        },
                        {
                            "source": "#filter_vcf.cwl/filter_mapq0_threshold",
                            "id": "#filter_vcf.cwl/filter_vcf_mapq0/threshold"
                        },
                        {
                            "source": "#filter_vcf.cwl/tumor_bam",
                            "id": "#filter_vcf.cwl/filter_vcf_mapq0/tumor_bam"
                        },
                        {
                            "source": "#filter_vcf.cwl/filter_vcf_gnomADe_allele_freq/filtered_vcf",
                            "id": "#filter_vcf.cwl/filter_vcf_mapq0/vcf"
                        }
                    ],
                    "out": [
                        "#filter_vcf.cwl/filter_vcf_mapq0/mapq0_filtered_vcf"
                    ],
                    "id": "#filter_vcf.cwl/filter_vcf_mapq0"
                },
                {
                    "run": "#filter_vcf_somatic_llr.cwl",
                    "in": [
                        {
                            "source": "#filter_vcf.cwl/filter_somatic_llr_threshold",
                            "id": "#filter_vcf.cwl/filter_vcf_somatic_llr/threshold"
                        },
                        {
                            "source": "#filter_vcf.cwl/filter_vcf_depth/depth_filtered_vcf",
                            "id": "#filter_vcf.cwl/filter_vcf_somatic_llr/vcf"
                        }
                    ],
                    "out": [
                        "#filter_vcf.cwl/filter_vcf_somatic_llr/somatic_llr_filtered_vcf"
                    ],
                    "id": "#filter_vcf.cwl/filter_vcf_somatic_llr"
                },
                {
                    "run": "#staged_rename.cwl",
                    "in": [
                        {
                            "valueFrom": "annotated_filtered.vcf",
                            "id": "#filter_vcf.cwl/set_final_vcf_name/name"
                        },
                        {
                            "source": "#filter_vcf.cwl/filter_vcf_somatic_llr/somatic_llr_filtered_vcf",
                            "id": "#filter_vcf.cwl/set_final_vcf_name/original"
                        }
                    ],
                    "out": [
                        "#filter_vcf.cwl/set_final_vcf_name/replacement"
                    ],
                    "id": "#filter_vcf.cwl/set_final_vcf_name"
                }
            ],
            "id": "#filter_vcf.cwl"
        },
        {
            "class": "Workflow",
            "label": "fp_filter workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#fp_filter.cwl/bam"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#fp_filter.cwl/min_var_freq"
                },
                {
                    "type": "string",
                    "id": "#fp_filter.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#fp_filter.cwl/sample_name"
                },
                {
                    "type": "string",
                    "id": "#fp_filter.cwl/variant_caller"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#fp_filter.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#fp_filter.cwl/hard_filter/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#fp_filter.cwl/filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#fp_filter.cwl/fp_index/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#fp_filter.cwl/unfiltered_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#vt_decompose.cwl",
                    "in": [
                        {
                            "source": "#fp_filter.cwl/normalize_variants/normalized_vcf",
                            "id": "#fp_filter.cwl/decompose_variants/vcf"
                        }
                    ],
                    "out": [
                        "#fp_filter.cwl/decompose_variants/decomposed_vcf"
                    ],
                    "id": "#fp_filter.cwl/decompose_variants"
                },
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#fp_filter.cwl/fp_filter/filtered_vcf",
                            "id": "#fp_filter.cwl/fp_bgzip/file"
                        }
                    ],
                    "out": [
                        "#fp_filter.cwl/fp_bgzip/bgzipped_file"
                    ],
                    "id": "#fp_filter.cwl/fp_bgzip"
                },
                {
                    "run": "#fp_filter.cwl_2",
                    "in": [
                        {
                            "source": "#fp_filter.cwl/bam",
                            "id": "#fp_filter.cwl/fp_filter/bam"
                        },
                        {
                            "source": "#fp_filter.cwl/min_var_freq",
                            "id": "#fp_filter.cwl/fp_filter/min_var_freq"
                        },
                        {
                            "source": "#fp_filter.cwl/variant_caller",
                            "valueFrom": "$(self)_full",
                            "id": "#fp_filter.cwl/fp_filter/output_vcf_basename"
                        },
                        {
                            "source": "#fp_filter.cwl/reference",
                            "id": "#fp_filter.cwl/fp_filter/reference"
                        },
                        {
                            "source": "#fp_filter.cwl/sample_name",
                            "id": "#fp_filter.cwl/fp_filter/sample_name"
                        },
                        {
                            "source": "#fp_filter.cwl/index/indexed_vcf",
                            "id": "#fp_filter.cwl/fp_filter/vcf"
                        }
                    ],
                    "out": [
                        "#fp_filter.cwl/fp_filter/filtered_vcf"
                    ],
                    "id": "#fp_filter.cwl/fp_filter"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#fp_filter.cwl/fp_bgzip/bgzipped_file",
                            "id": "#fp_filter.cwl/fp_index/vcf"
                        }
                    ],
                    "out": [
                        "#fp_filter.cwl/fp_index/indexed_vcf"
                    ],
                    "id": "#fp_filter.cwl/fp_index"
                },
                {
                    "run": "#select_variants.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#fp_filter.cwl/hard_filter/exclude_filtered"
                        },
                        {
                            "source": "#fp_filter.cwl/variant_caller",
                            "valueFrom": "$(self)_filtered",
                            "id": "#fp_filter.cwl/hard_filter/output_vcf_basename"
                        },
                        {
                            "source": "#fp_filter.cwl/reference",
                            "id": "#fp_filter.cwl/hard_filter/reference"
                        },
                        {
                            "source": "#fp_filter.cwl/fp_index/indexed_vcf",
                            "id": "#fp_filter.cwl/hard_filter/vcf"
                        }
                    ],
                    "out": [
                        "#fp_filter.cwl/hard_filter/filtered_vcf"
                    ],
                    "id": "#fp_filter.cwl/hard_filter"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#fp_filter.cwl/decompose_variants/decomposed_vcf",
                            "id": "#fp_filter.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#fp_filter.cwl/index/indexed_vcf"
                    ],
                    "id": "#fp_filter.cwl/index"
                },
                {
                    "run": "#normalize_variants.cwl",
                    "in": [
                        {
                            "source": "#fp_filter.cwl/reference",
                            "id": "#fp_filter.cwl/normalize_variants/reference"
                        },
                        {
                            "source": "#fp_filter.cwl/sanitize_vcf/sanitized_vcf",
                            "id": "#fp_filter.cwl/normalize_variants/vcf"
                        }
                    ],
                    "out": [
                        "#fp_filter.cwl/normalize_variants/normalized_vcf"
                    ],
                    "id": "#fp_filter.cwl/normalize_variants"
                },
                {
                    "run": "#vcf_sanitize.cwl",
                    "in": [
                        {
                            "source": "#fp_filter.cwl/vcf",
                            "id": "#fp_filter.cwl/sanitize_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#fp_filter.cwl/sanitize_vcf/sanitized_vcf"
                    ],
                    "id": "#fp_filter.cwl/sanitize_vcf"
                }
            ],
            "id": "#fp_filter.cwl"
        },
        {
            "class": "Workflow",
            "label": "scatter GATK HaplotypeCaller over intervals",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#gatk_haplotypecaller_iterator.cwl/bam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#gatk_haplotypecaller_iterator.cwl/contamination_fraction"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk_haplotypecaller_iterator.cwl/dbsnp_vcf"
                },
                {
                    "type": "string",
                    "id": "#gatk_haplotypecaller_iterator.cwl/emit_reference_confidence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#gatk_haplotypecaller_iterator.cwl/gvcf_gq_bands"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#gatk_haplotypecaller_iterator.cwl/intervals"
                },
                {
                    "type": "string",
                    "id": "#gatk_haplotypecaller_iterator.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/gvcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk_haplotypecaller_iterator.cwl/gvcf"
                }
            ],
            "steps": [
                {
                    "scatter": [
                        "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/intervals"
                    ],
                    "run": "#gatk_haplotype_caller.cwl",
                    "in": [
                        {
                            "source": "#gatk_haplotypecaller_iterator.cwl/bam",
                            "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/bam"
                        },
                        {
                            "source": "#gatk_haplotypecaller_iterator.cwl/contamination_fraction",
                            "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/contamination_fraction"
                        },
                        {
                            "source": "#gatk_haplotypecaller_iterator.cwl/dbsnp_vcf",
                            "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/dbsnp_vcf"
                        },
                        {
                            "source": "#gatk_haplotypecaller_iterator.cwl/emit_reference_confidence",
                            "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/emit_reference_confidence"
                        },
                        {
                            "source": "#gatk_haplotypecaller_iterator.cwl/gvcf_gq_bands",
                            "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/gvcf_gq_bands"
                        },
                        {
                            "source": "#gatk_haplotypecaller_iterator.cwl/intervals",
                            "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/intervals"
                        },
                        {
                            "valueFrom": "${ if (inputs.intervals.length == 1 && inputs.intervals[0].match(/^[0-9A-Za-z]+$/)) { return inputs.intervals[0] + \".g.vcf.gz\"; } else { return \"output.g.vcf.gz\"; } }",
                            "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/output_file_name"
                        },
                        {
                            "source": "#gatk_haplotypecaller_iterator.cwl/reference",
                            "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/reference"
                        }
                    ],
                    "out": [
                        "#gatk_haplotypecaller_iterator.cwl/haplotype_caller/gvcf"
                    ],
                    "id": "#gatk_haplotypecaller_iterator.cwl/haplotype_caller"
                }
            ],
            "id": "#gatk_haplotypecaller_iterator.cwl"
        },
        {
            "class": "Workflow",
            "label": "exome alignment and germline variant detection",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#germline_detect_variants.cwl/annotate_coding_only"
                },
                {
                    "type": "File",
                    "id": "#germline_detect_variants.cwl/bam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#germline_detect_variants.cwl/contamination_fraction"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_detect_variants.cwl/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_detect_variants.cwl/custom_gnomad_vcf"
                },
                {
                    "type": "string",
                    "id": "#germline_detect_variants.cwl/emit_reference_confidence"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "variants",
                    "id": "#germline_detect_variants.cwl/final_tsv_prefix"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#germline_detect_variants.cwl/gvcf_gq_bands"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "string"
                        }
                    },
                    "id": "#germline_detect_variants.cwl/intervals"
                },
                {
                    "type": "File",
                    "id": "#germline_detect_variants.cwl/limit_variant_intervals"
                },
                {
                    "type": "string",
                    "id": "#germline_detect_variants.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#germline_detect_variants.cwl/synonyms_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "CHROM",
                        "POS",
                        "ID",
                        "REF",
                        "ALT"
                    ],
                    "id": "#germline_detect_variants.cwl/variants_to_table_fields"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#germline_detect_variants.cwl/variants_to_table_genotype_fields"
                },
                {
                    "type": "string",
                    "id": "#germline_detect_variants.cwl/vep_cache_dir"
                },
                {
                    "type": "string",
                    "doc": "genome assembly to use in vep. Examples: GRCh38 or GRCm38",
                    "id": "#germline_detect_variants.cwl/vep_ensembl_assembly"
                },
                {
                    "type": "string",
                    "doc": "ensembl species - Must be present in the cache directory. Examples: homo_sapiens or mus_musculus",
                    "id": "#germline_detect_variants.cwl/vep_ensembl_species"
                },
                {
                    "type": "string",
                    "doc": "ensembl version - Must be present in the cache directory. Example: 95",
                    "id": "#germline_detect_variants.cwl/vep_ensembl_version"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "Downstream",
                        "Wildtype"
                    ],
                    "id": "#germline_detect_variants.cwl/vep_plugins"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#germline_detect_variants.cwl/vep_to_table_fields"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#germline_detect_variants.cwl/index_coding_vcf/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_detect_variants.cwl/coding_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_detect_variants.cwl/add_vep_fields_to_table/annotated_variants_tsv",
                    "id": "#germline_detect_variants.cwl/final_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_detect_variants.cwl/index_annotated_vcf/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_detect_variants.cwl/final_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#germline_detect_variants.cwl/haplotype_caller/gvcf",
                    "id": "#germline_detect_variants.cwl/gvcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_detect_variants.cwl/limit_variants/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#germline_detect_variants.cwl/limited_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#germline_detect_variants.cwl/annotate_variants/vep_summary",
                    "id": "#germline_detect_variants.cwl/vep_summary"
                }
            ],
            "steps": [
                {
                    "run": "#add_vep_fields_to_table.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/final_tsv_prefix",
                            "id": "#germline_detect_variants.cwl/add_vep_fields_to_table/prefix"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/variants_to_table/variants_tsv",
                            "id": "#germline_detect_variants.cwl/add_vep_fields_to_table/tsv"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/limit_variants/filtered_vcf",
                            "id": "#germline_detect_variants.cwl/add_vep_fields_to_table/vcf"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/vep_to_table_fields",
                            "id": "#germline_detect_variants.cwl/add_vep_fields_to_table/vep_fields"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/add_vep_fields_to_table/annotated_variants_tsv"
                    ],
                    "id": "#germline_detect_variants.cwl/add_vep_fields_to_table"
                },
                {
                    "run": "#vep.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/vep_cache_dir",
                            "id": "#germline_detect_variants.cwl/annotate_variants/cache_dir"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/annotate_coding_only",
                            "id": "#germline_detect_variants.cwl/annotate_variants/coding_only"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/custom_clinvar_vcf",
                            "id": "#germline_detect_variants.cwl/annotate_variants/custom_clinvar_vcf"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/custom_gnomad_vcf",
                            "id": "#germline_detect_variants.cwl/annotate_variants/custom_gnomad_vcf"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/vep_ensembl_assembly",
                            "id": "#germline_detect_variants.cwl/annotate_variants/ensembl_assembly"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/vep_ensembl_species",
                            "id": "#germline_detect_variants.cwl/annotate_variants/ensembl_species"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/vep_ensembl_version",
                            "id": "#germline_detect_variants.cwl/annotate_variants/ensembl_version"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/vep_plugins",
                            "id": "#germline_detect_variants.cwl/annotate_variants/plugins"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/reference",
                            "id": "#germline_detect_variants.cwl/annotate_variants/reference"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/synonyms_file",
                            "id": "#germline_detect_variants.cwl/annotate_variants/synonyms_file"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/genotype_gvcfs/genotype_vcf",
                            "id": "#germline_detect_variants.cwl/annotate_variants/vcf"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/annotate_variants/annotated_vcf",
                        "#germline_detect_variants.cwl/annotate_variants/vep_summary"
                    ],
                    "id": "#germline_detect_variants.cwl/annotate_variants"
                },
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/annotate_variants/annotated_vcf",
                            "id": "#germline_detect_variants.cwl/bgzip_annotated_vcf/file"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/bgzip_annotated_vcf/bgzipped_file"
                    ],
                    "id": "#germline_detect_variants.cwl/bgzip_annotated_vcf"
                },
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/coding_variant_filter/filtered_vcf",
                            "id": "#germline_detect_variants.cwl/bgzip_coding_vcf/file"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/bgzip_coding_vcf/bgzipped_file"
                    ],
                    "id": "#germline_detect_variants.cwl/bgzip_coding_vcf"
                },
                {
                    "run": "#filter_vcf_coding_variant.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/annotate_variants/annotated_vcf",
                            "id": "#germline_detect_variants.cwl/coding_variant_filter/vcf"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/coding_variant_filter/filtered_vcf"
                    ],
                    "id": "#germline_detect_variants.cwl/coding_variant_filter"
                },
                {
                    "run": "#gatk_genotypegvcfs.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/haplotype_caller/gvcf",
                            "id": "#germline_detect_variants.cwl/genotype_gvcfs/gvcfs"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/reference",
                            "id": "#germline_detect_variants.cwl/genotype_gvcfs/reference"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/genotype_gvcfs/genotype_vcf"
                    ],
                    "id": "#germline_detect_variants.cwl/genotype_gvcfs"
                },
                {
                    "run": "#gatk_haplotypecaller_iterator.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/bam",
                            "id": "#germline_detect_variants.cwl/haplotype_caller/bam"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/contamination_fraction",
                            "id": "#germline_detect_variants.cwl/haplotype_caller/contamination_fraction"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/emit_reference_confidence",
                            "id": "#germline_detect_variants.cwl/haplotype_caller/emit_reference_confidence"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/gvcf_gq_bands",
                            "id": "#germline_detect_variants.cwl/haplotype_caller/gvcf_gq_bands"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/intervals",
                            "id": "#germline_detect_variants.cwl/haplotype_caller/intervals"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/reference",
                            "id": "#germline_detect_variants.cwl/haplotype_caller/reference"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/haplotype_caller/gvcf"
                    ],
                    "id": "#germline_detect_variants.cwl/haplotype_caller"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/bgzip_annotated_vcf/bgzipped_file",
                            "id": "#germline_detect_variants.cwl/index_annotated_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/index_annotated_vcf/indexed_vcf"
                    ],
                    "id": "#germline_detect_variants.cwl/index_annotated_vcf"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/bgzip_coding_vcf/bgzipped_file",
                            "id": "#germline_detect_variants.cwl/index_coding_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/index_coding_vcf/indexed_vcf"
                    ],
                    "id": "#germline_detect_variants.cwl/index_coding_vcf"
                },
                {
                    "run": "#select_variants.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#germline_detect_variants.cwl/limit_variants/exclude_filtered"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/limit_variant_intervals",
                            "id": "#germline_detect_variants.cwl/limit_variants/interval_list"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/reference",
                            "id": "#germline_detect_variants.cwl/limit_variants/reference"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/index_coding_vcf/indexed_vcf",
                            "id": "#germline_detect_variants.cwl/limit_variants/vcf"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/limit_variants/filtered_vcf"
                    ],
                    "id": "#germline_detect_variants.cwl/limit_variants"
                },
                {
                    "run": "#variants_to_table.cwl",
                    "in": [
                        {
                            "source": "#germline_detect_variants.cwl/variants_to_table_fields",
                            "id": "#germline_detect_variants.cwl/variants_to_table/fields"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/variants_to_table_genotype_fields",
                            "id": "#germline_detect_variants.cwl/variants_to_table/genotype_fields"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/reference",
                            "id": "#germline_detect_variants.cwl/variants_to_table/reference"
                        },
                        {
                            "source": "#germline_detect_variants.cwl/limit_variants/filtered_vcf",
                            "id": "#germline_detect_variants.cwl/variants_to_table/vcf"
                        }
                    ],
                    "out": [
                        "#germline_detect_variants.cwl/variants_to_table/variants_tsv"
                    ],
                    "id": "#germline_detect_variants.cwl/variants_to_table"
                }
            ],
            "id": "#germline_detect_variants.cwl"
        },
        {
            "class": "Workflow",
            "label": "HS Metrics workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#labelled_file.yml/labelled_file"
                        }
                    ]
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#hs_metrics.cwl/bam"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#hs_metrics.cwl/minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#hs_metrics.cwl/minimum_mapping_quality"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#hs_metrics.cwl/per_base_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#hs_metrics.cwl/per_target_intervals"
                },
                {
                    "type": "string",
                    "id": "#hs_metrics.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#hs_metrics.cwl/summary_intervals"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#hs_metrics.cwl/collect_per_base_hs_metrics/per_base_coverage_metrics",
                    "id": "#hs_metrics.cwl/per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#hs_metrics.cwl/collect_per_base_hs_metrics/hs_metrics",
                    "id": "#hs_metrics.cwl/per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#hs_metrics.cwl/collect_per_target_hs_metrics/per_target_coverage_metrics",
                    "id": "#hs_metrics.cwl/per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#hs_metrics.cwl/collect_per_target_hs_metrics/hs_metrics",
                    "id": "#hs_metrics.cwl/per_target_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#hs_metrics.cwl/collect_summary_hs_metrics/hs_metrics",
                    "id": "#hs_metrics.cwl/summary_hs_metrics"
                }
            ],
            "steps": [
                {
                    "run": "#collect_hs_metrics.cwl",
                    "scatter": [
                        "#hs_metrics.cwl/collect_per_base_hs_metrics/bait_intervals",
                        "#hs_metrics.cwl/collect_per_base_hs_metrics/target_intervals",
                        "#hs_metrics.cwl/collect_per_base_hs_metrics/output_prefix"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#hs_metrics.cwl/per_base_intervals",
                            "valueFrom": "$(self.file)",
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/bait_intervals"
                        },
                        {
                            "source": "#hs_metrics.cwl/bam",
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/bam"
                        },
                        {
                            "valueFrom": "ALL_READS",
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/metric_accumulation_level"
                        },
                        {
                            "source": "#hs_metrics.cwl/minimum_base_quality",
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/minimum_base_quality"
                        },
                        {
                            "source": "#hs_metrics.cwl/minimum_mapping_quality",
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/minimum_mapping_quality"
                        },
                        {
                            "source": "#hs_metrics.cwl/per_base_intervals",
                            "valueFrom": "base-$(self.label)",
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/output_prefix"
                        },
                        {
                            "default": true,
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/per_base_coverage"
                        },
                        {
                            "default": false,
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/per_target_coverage"
                        },
                        {
                            "source": "#hs_metrics.cwl/reference",
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/reference"
                        },
                        {
                            "source": "#hs_metrics.cwl/per_base_intervals",
                            "valueFrom": "$(self.file)",
                            "id": "#hs_metrics.cwl/collect_per_base_hs_metrics/target_intervals"
                        }
                    ],
                    "out": [
                        "#hs_metrics.cwl/collect_per_base_hs_metrics/hs_metrics",
                        "#hs_metrics.cwl/collect_per_base_hs_metrics/per_base_coverage_metrics"
                    ],
                    "id": "#hs_metrics.cwl/collect_per_base_hs_metrics"
                },
                {
                    "run": "#collect_hs_metrics.cwl",
                    "scatter": [
                        "#hs_metrics.cwl/collect_per_target_hs_metrics/bait_intervals",
                        "#hs_metrics.cwl/collect_per_target_hs_metrics/target_intervals",
                        "#hs_metrics.cwl/collect_per_target_hs_metrics/output_prefix"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#hs_metrics.cwl/per_target_intervals",
                            "valueFrom": "$(self.file)",
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/bait_intervals"
                        },
                        {
                            "source": "#hs_metrics.cwl/bam",
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/bam"
                        },
                        {
                            "valueFrom": "ALL_READS",
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/metric_accumulation_level"
                        },
                        {
                            "source": "#hs_metrics.cwl/minimum_base_quality",
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/minimum_base_quality"
                        },
                        {
                            "source": "#hs_metrics.cwl/minimum_mapping_quality",
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/minimum_mapping_quality"
                        },
                        {
                            "source": "#hs_metrics.cwl/per_target_intervals",
                            "valueFrom": "target-$(self.label)",
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/output_prefix"
                        },
                        {
                            "default": false,
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/per_base_coverage"
                        },
                        {
                            "default": true,
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/per_target_coverage"
                        },
                        {
                            "source": "#hs_metrics.cwl/reference",
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/reference"
                        },
                        {
                            "source": "#hs_metrics.cwl/per_target_intervals",
                            "valueFrom": "$(self.file)",
                            "id": "#hs_metrics.cwl/collect_per_target_hs_metrics/target_intervals"
                        }
                    ],
                    "out": [
                        "#hs_metrics.cwl/collect_per_target_hs_metrics/hs_metrics",
                        "#hs_metrics.cwl/collect_per_target_hs_metrics/per_target_coverage_metrics"
                    ],
                    "id": "#hs_metrics.cwl/collect_per_target_hs_metrics"
                },
                {
                    "run": "#collect_hs_metrics.cwl",
                    "scatter": [
                        "#hs_metrics.cwl/collect_summary_hs_metrics/bait_intervals",
                        "#hs_metrics.cwl/collect_summary_hs_metrics/target_intervals",
                        "#hs_metrics.cwl/collect_summary_hs_metrics/output_prefix"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#hs_metrics.cwl/summary_intervals",
                            "valueFrom": "$(self.file)",
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/bait_intervals"
                        },
                        {
                            "source": "#hs_metrics.cwl/bam",
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/bam"
                        },
                        {
                            "valueFrom": "ALL_READS",
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/metric_accumulation_level"
                        },
                        {
                            "source": "#hs_metrics.cwl/minimum_base_quality",
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/minimum_base_quality"
                        },
                        {
                            "source": "#hs_metrics.cwl/minimum_mapping_quality",
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/minimum_mapping_quality"
                        },
                        {
                            "source": "#hs_metrics.cwl/summary_intervals",
                            "valueFrom": "summary-$(self.label)",
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/output_prefix"
                        },
                        {
                            "default": false,
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/per_base_coverage"
                        },
                        {
                            "default": false,
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/per_target_coverage"
                        },
                        {
                            "source": "#hs_metrics.cwl/reference",
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/reference"
                        },
                        {
                            "source": "#hs_metrics.cwl/summary_intervals",
                            "valueFrom": "$(self.file)",
                            "id": "#hs_metrics.cwl/collect_summary_hs_metrics/target_intervals"
                        }
                    ],
                    "out": [
                        "#hs_metrics.cwl/collect_summary_hs_metrics/hs_metrics"
                    ],
                    "id": "#hs_metrics.cwl/collect_summary_hs_metrics"
                }
            ],
            "id": "#hs_metrics.cwl"
        },
        {
            "class": "Workflow",
            "label": "mutect parallel workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#mutect.cwl/interval_list"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#mutect.cwl/normal_bam"
                },
                {
                    "type": "string",
                    "id": "#mutect.cwl/reference"
                },
                {
                    "type": "int",
                    "id": "#mutect.cwl/scatter_count"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#mutect.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#mutect.cwl/filter/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#mutect.cwl/filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#mutect.cwl/filter/unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#mutect.cwl/unfiltered_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#fp_filter.cwl",
                    "in": [
                        {
                            "source": "#mutect.cwl/tumor_bam",
                            "id": "#mutect.cwl/filter/bam"
                        },
                        {
                            "source": "#mutect.cwl/reference",
                            "id": "#mutect.cwl/filter/reference"
                        },
                        {
                            "valueFrom": "mutect",
                            "id": "#mutect.cwl/filter/variant_caller"
                        },
                        {
                            "source": "#mutect.cwl/index/indexed_vcf",
                            "id": "#mutect.cwl/filter/vcf"
                        }
                    ],
                    "out": [
                        "#mutect.cwl/filter/unfiltered_vcf",
                        "#mutect.cwl/filter/filtered_vcf"
                    ],
                    "id": "#mutect.cwl/filter"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#mutect.cwl/merge/merged_vcf",
                            "id": "#mutect.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#mutect.cwl/index/indexed_vcf"
                    ],
                    "id": "#mutect.cwl/index"
                },
                {
                    "run": "#merge_vcf.cwl",
                    "in": [
                        {
                            "source": "#mutect.cwl/mutect/vcf",
                            "id": "#mutect.cwl/merge/vcfs"
                        }
                    ],
                    "out": [
                        "#mutect.cwl/merge/merged_vcf"
                    ],
                    "id": "#mutect.cwl/merge"
                },
                {
                    "scatter": "#mutect.cwl/mutect/interval_list",
                    "run": "#mutect.cwl_2",
                    "in": [
                        {
                            "source": "#mutect.cwl/split_interval_list/split_interval_lists",
                            "id": "#mutect.cwl/mutect/interval_list"
                        },
                        {
                            "source": "#mutect.cwl/normal_bam",
                            "id": "#mutect.cwl/mutect/normal_bam"
                        },
                        {
                            "source": "#mutect.cwl/reference",
                            "id": "#mutect.cwl/mutect/reference"
                        },
                        {
                            "source": "#mutect.cwl/tumor_bam",
                            "id": "#mutect.cwl/mutect/tumor_bam"
                        }
                    ],
                    "out": [
                        "#mutect.cwl/mutect/vcf"
                    ],
                    "id": "#mutect.cwl/mutect"
                },
                {
                    "run": "#split_interval_list.cwl",
                    "in": [
                        {
                            "source": "#mutect.cwl/interval_list",
                            "id": "#mutect.cwl/split_interval_list/interval_list"
                        },
                        {
                            "source": "#mutect.cwl/scatter_count",
                            "id": "#mutect.cwl/split_interval_list/scatter_count"
                        }
                    ],
                    "out": [
                        "#mutect.cwl/split_interval_list/split_interval_lists"
                    ],
                    "id": "#mutect.cwl/split_interval_list"
                }
            ],
            "id": "#mutect.cwl"
        },
        {
            "class": "Workflow",
            "label": "phase VCF",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": "${if (self.nameext === \".bam\") {return self.basename + \".bai\"} else {return self.basename + \".crai\"}}",
                    "id": "#phase_vcf.cwl/bam"
                },
                {
                    "type": "File",
                    "id": "#phase_vcf.cwl/germline_vcf"
                },
                {
                    "type": "string",
                    "id": "#phase_vcf.cwl/normal_sample_name"
                },
                {
                    "type": "string",
                    "id": "#phase_vcf.cwl/reference"
                },
                {
                    "type": "File",
                    "id": "#phase_vcf.cwl/reference_dict"
                },
                {
                    "type": "File",
                    "id": "#phase_vcf.cwl/somatic_vcf"
                },
                {
                    "type": "string",
                    "id": "#phase_vcf.cwl/tumor_sample_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#phase_vcf.cwl/bgzip_and_index_phased_vcf/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#phase_vcf.cwl/phased_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#bgzip_and_index.cwl",
                    "in": [
                        {
                            "source": "#phase_vcf.cwl/sort/sorted_vcf",
                            "id": "#phase_vcf.cwl/bgzip_and_index/vcf"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/bgzip_and_index/indexed_vcf"
                    ],
                    "id": "#phase_vcf.cwl/bgzip_and_index"
                },
                {
                    "run": "#bgzip_and_index.cwl",
                    "in": [
                        {
                            "source": "#phase_vcf.cwl/phase_vcf/phased_vcf",
                            "id": "#phase_vcf.cwl/bgzip_and_index_phased_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/bgzip_and_index_phased_vcf/indexed_vcf"
                    ],
                    "id": "#phase_vcf.cwl/bgzip_and_index_phased_vcf"
                },
                {
                    "run": "#pvacseq_combine_variants.cwl",
                    "in": [
                        {
                            "source": "#phase_vcf.cwl/index_renamed_germline/indexed_vcf",
                            "id": "#phase_vcf.cwl/combine_variants/germline_vcf"
                        },
                        {
                            "source": "#phase_vcf.cwl/reference",
                            "id": "#phase_vcf.cwl/combine_variants/reference"
                        },
                        {
                            "source": "#phase_vcf.cwl/index_filtered_somatic/indexed_vcf",
                            "id": "#phase_vcf.cwl/combine_variants/somatic_vcf"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/combine_variants/combined_vcf"
                    ],
                    "id": "#phase_vcf.cwl/combine_variants"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#phase_vcf.cwl/select_somatic_tumor_sample/filtered_vcf",
                            "id": "#phase_vcf.cwl/index_filtered_somatic/vcf"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/index_filtered_somatic/indexed_vcf"
                    ],
                    "id": "#phase_vcf.cwl/index_filtered_somatic"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#phase_vcf.cwl/rename_germline_vcf/renamed_vcf",
                            "id": "#phase_vcf.cwl/index_renamed_germline/vcf"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/index_renamed_germline/indexed_vcf"
                    ],
                    "id": "#phase_vcf.cwl/index_renamed_germline"
                },
                {
                    "run": "#read_backed_phasing.cwl",
                    "in": [
                        {
                            "source": "#phase_vcf.cwl/bam",
                            "id": "#phase_vcf.cwl/phase_vcf/bam"
                        },
                        {
                            "source": "#phase_vcf.cwl/reference",
                            "id": "#phase_vcf.cwl/phase_vcf/reference"
                        },
                        {
                            "source": "#phase_vcf.cwl/bgzip_and_index/indexed_vcf",
                            "id": "#phase_vcf.cwl/phase_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/phase_vcf/phased_vcf"
                    ],
                    "id": "#phase_vcf.cwl/phase_vcf"
                },
                {
                    "run": "#replace_vcf_sample_name.cwl",
                    "in": [
                        {
                            "source": "#phase_vcf.cwl/germline_vcf",
                            "id": "#phase_vcf.cwl/rename_germline_vcf/input_vcf"
                        },
                        {
                            "source": "#phase_vcf.cwl/tumor_sample_name",
                            "id": "#phase_vcf.cwl/rename_germline_vcf/new_sample_name"
                        },
                        {
                            "source": "#phase_vcf.cwl/normal_sample_name",
                            "id": "#phase_vcf.cwl/rename_germline_vcf/sample_to_replace"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/rename_germline_vcf/renamed_vcf"
                    ],
                    "id": "#phase_vcf.cwl/rename_germline_vcf"
                },
                {
                    "run": "#select_variants.cwl",
                    "in": [
                        {
                            "default": "somatic_tumor_only",
                            "id": "#phase_vcf.cwl/select_somatic_tumor_sample/output_vcf_basename"
                        },
                        {
                            "source": "#phase_vcf.cwl/reference",
                            "id": "#phase_vcf.cwl/select_somatic_tumor_sample/reference"
                        },
                        {
                            "source": "#phase_vcf.cwl/tumor_sample_name",
                            "valueFrom": "${ return [self]; }",
                            "id": "#phase_vcf.cwl/select_somatic_tumor_sample/samples_to_include"
                        },
                        {
                            "source": "#phase_vcf.cwl/somatic_vcf",
                            "id": "#phase_vcf.cwl/select_somatic_tumor_sample/vcf"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/select_somatic_tumor_sample/filtered_vcf"
                    ],
                    "id": "#phase_vcf.cwl/select_somatic_tumor_sample"
                },
                {
                    "run": "#sort_vcf.cwl",
                    "in": [
                        {
                            "source": "#phase_vcf.cwl/reference_dict",
                            "id": "#phase_vcf.cwl/sort/reference_dict"
                        },
                        {
                            "source": "#phase_vcf.cwl/combine_variants/combined_vcf",
                            "id": "#phase_vcf.cwl/sort/vcf"
                        }
                    ],
                    "out": [
                        "#phase_vcf.cwl/sort/sorted_vcf"
                    ],
                    "id": "#phase_vcf.cwl/sort"
                }
            ],
            "id": "#phase_vcf.cwl"
        },
        {
            "class": "Workflow",
            "label": "pindel parallel workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "default": 400,
                    "id": "#pindel.cwl/insert_size"
                },
                {
                    "type": "File",
                    "id": "#pindel.cwl/interval_list"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#pindel.cwl/normal_bam"
                },
                {
                    "type": "string",
                    "id": "#pindel.cwl/reference"
                },
                {
                    "type": "int",
                    "default": 50,
                    "id": "#pindel.cwl/scatter_count"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#pindel.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#pindel.cwl/filter/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#pindel.cwl/filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#pindel.cwl/filter/unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#pindel.cwl/unfiltered_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/somaticfilter/vcf",
                            "id": "#pindel.cwl/bgzip/file"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/bgzip/bgzipped_file"
                    ],
                    "id": "#pindel.cwl/bgzip"
                },
                {
                    "run": "#cat_all.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/pindel_cat/per_region_pindel_out",
                            "id": "#pindel.cwl/cat_all/region_pindel_outs"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/cat_all/all_region_pindel_head"
                    ],
                    "id": "#pindel.cwl/cat_all"
                },
                {
                    "run": "#fp_filter.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/tumor_bam",
                            "id": "#pindel.cwl/filter/bam"
                        },
                        {
                            "source": "#pindel.cwl/reference",
                            "id": "#pindel.cwl/filter/reference"
                        },
                        {
                            "valueFrom": "pindel",
                            "id": "#pindel.cwl/filter/variant_caller"
                        },
                        {
                            "source": "#pindel.cwl/reindex/indexed_vcf",
                            "id": "#pindel.cwl/filter/vcf"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/filter/unfiltered_vcf",
                        "#pindel.cwl/filter/filtered_vcf"
                    ],
                    "id": "#pindel.cwl/filter"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/bgzip/bgzipped_file",
                            "id": "#pindel.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/index/indexed_vcf"
                    ],
                    "id": "#pindel.cwl/index"
                },
                {
                    "scatter": "#pindel.cwl/pindel_cat/region_file",
                    "run": "#pindel_cat.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/insert_size",
                            "id": "#pindel.cwl/pindel_cat/insert_size"
                        },
                        {
                            "source": "#pindel.cwl/normal_bam",
                            "id": "#pindel.cwl/pindel_cat/normal_bam"
                        },
                        {
                            "source": "#pindel.cwl/reference",
                            "id": "#pindel.cwl/pindel_cat/reference"
                        },
                        {
                            "source": "#pindel.cwl/split_interval_list_to_bed/split_beds",
                            "id": "#pindel.cwl/pindel_cat/region_file"
                        },
                        {
                            "source": "#pindel.cwl/tumor_bam",
                            "id": "#pindel.cwl/pindel_cat/tumor_bam"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/pindel_cat/per_region_pindel_out"
                    ],
                    "id": "#pindel.cwl/pindel_cat"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/remove_end_tags/processed_vcf",
                            "id": "#pindel.cwl/reindex/vcf"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/reindex/indexed_vcf"
                    ],
                    "id": "#pindel.cwl/reindex"
                },
                {
                    "run": "#remove_end_tags.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/index/indexed_vcf",
                            "id": "#pindel.cwl/remove_end_tags/vcf"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/remove_end_tags/processed_vcf"
                    ],
                    "id": "#pindel.cwl/remove_end_tags"
                },
                {
                    "run": "#pindel_somatic_filter.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/cat_all/all_region_pindel_head",
                            "id": "#pindel.cwl/somaticfilter/pindel_output_summary"
                        },
                        {
                            "source": "#pindel.cwl/reference",
                            "id": "#pindel.cwl/somaticfilter/reference"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/somaticfilter/vcf"
                    ],
                    "id": "#pindel.cwl/somaticfilter"
                },
                {
                    "run": "#split_interval_list_to_bed.cwl",
                    "in": [
                        {
                            "source": "#pindel.cwl/interval_list",
                            "id": "#pindel.cwl/split_interval_list_to_bed/interval_list"
                        },
                        {
                            "source": "#pindel.cwl/scatter_count",
                            "id": "#pindel.cwl/split_interval_list_to_bed/scatter_count"
                        }
                    ],
                    "out": [
                        "#pindel.cwl/split_interval_list_to_bed/split_beds"
                    ],
                    "id": "#pindel.cwl/split_interval_list_to_bed"
                }
            ],
            "id": "#pindel.cwl"
        },
        {
            "class": "Workflow",
            "label": "Per-region pindel",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "default": 400,
                    "id": "#pindel_cat.cwl/insert_size"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#pindel_cat.cwl/normal_bam"
                },
                {
                    "type": "string",
                    "id": "#pindel_cat.cwl/reference"
                },
                {
                    "type": "File",
                    "id": "#pindel_cat.cwl/region_file"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#pindel_cat.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#pindel_cat.cwl/cat/pindel_out",
                    "id": "#pindel_cat.cwl/per_region_pindel_out"
                }
            ],
            "steps": [
                {
                    "run": "#cat_out.cwl",
                    "in": [
                        {
                            "source": [
                                "#pindel_cat.cwl/pindel/deletions",
                                "#pindel_cat.cwl/pindel/insertions",
                                "#pindel_cat.cwl/pindel/tandems",
                                "#pindel_cat.cwl/pindel/long_insertions",
                                "#pindel_cat.cwl/pindel/inversions"
                            ],
                            "id": "#pindel_cat.cwl/cat/pindel_outs"
                        }
                    ],
                    "out": [
                        "#pindel_cat.cwl/cat/pindel_out"
                    ],
                    "id": "#pindel_cat.cwl/cat"
                },
                {
                    "run": "#pindel.cwl_2",
                    "in": [
                        {
                            "source": "#pindel_cat.cwl/insert_size",
                            "id": "#pindel_cat.cwl/pindel/insert_size"
                        },
                        {
                            "source": "#pindel_cat.cwl/normal_bam",
                            "id": "#pindel_cat.cwl/pindel/normal_bam"
                        },
                        {
                            "source": "#pindel_cat.cwl/reference",
                            "id": "#pindel_cat.cwl/pindel/reference"
                        },
                        {
                            "source": "#pindel_cat.cwl/region_file",
                            "id": "#pindel_cat.cwl/pindel/region_file"
                        },
                        {
                            "source": "#pindel_cat.cwl/tumor_bam",
                            "id": "#pindel_cat.cwl/pindel/tumor_bam"
                        }
                    ],
                    "out": [
                        "#pindel_cat.cwl/pindel/deletions",
                        "#pindel_cat.cwl/pindel/insertions",
                        "#pindel_cat.cwl/pindel/tandems",
                        "#pindel_cat.cwl/pindel/long_insertions",
                        "#pindel_cat.cwl/pindel/inversions"
                    ],
                    "id": "#pindel_cat.cwl/pindel"
                }
            ],
            "id": "#pindel_cat.cwl"
        },
        {
            "class": "Workflow",
            "label": "Workflow to run pVACseq from detect_variants and rnaseq pipeline outputs",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#pvacseq.cwl/additional_report_columns/sample_name"
                            ]
                        }
                    ],
                    "id": "#pvacseq.cwl/additional_report_columns"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#pvacseq.cwl/allele_specific_binding_thresholds"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#pvacseq.cwl/alleles"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/binding_threshold"
                },
                {
                    "type": "File",
                    "id": "#pvacseq.cwl/detect_variants_vcf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#pvacseq.cwl/downstream_sequence_length"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "int"
                        }
                    ],
                    "id": "#pvacseq.cwl/epitope_lengths"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#pvacseq.cwl/exclude_nas"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#pvacseq.cwl/expn_val"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "kallisto",
                    "id": "#pvacseq.cwl/expression_tool"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/fasta_size"
                },
                {
                    "type": "File",
                    "id": "#pvacseq.cwl/gene_expression_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#pvacseq.cwl/maximum_transcript_support_level/1",
                                "#pvacseq.cwl/maximum_transcript_support_level/2",
                                "#pvacseq.cwl/maximum_transcript_support_level/3",
                                "#pvacseq.cwl/maximum_transcript_support_level/4",
                                "#pvacseq.cwl/maximum_transcript_support_level/5"
                            ]
                        }
                    ],
                    "id": "#pvacseq.cwl/maximum_transcript_support_level"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#pvacseq.cwl/minimum_fold_change"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/n_threads"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#pvacseq.cwl/net_chop_method/cterm",
                                "#pvacseq.cwl/net_chop_method/20s"
                            ]
                        }
                    ],
                    "id": "#pvacseq.cwl/net_chop_method"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#pvacseq.cwl/net_chop_threshold"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#pvacseq.cwl/netmhc_stab"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/normal_cov"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "NORMAL",
                    "id": "#pvacseq.cwl/normal_sample_name"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#pvacseq.cwl/normal_vaf"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/peptide_sequence_length"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#pvacseq.cwl/phased_proximal_variants_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#pvacseq.cwl/prediction_algorithms"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/readcount_minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/readcount_minimum_mapping_quality"
                },
                {
                    "type": "string",
                    "id": "#pvacseq.cwl/reference_fasta"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#pvacseq.cwl/rnaseq_bam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "TUMOR",
                    "id": "#pvacseq.cwl/sample_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/tdna_cov"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#pvacseq.cwl/tdna_vaf"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#pvacseq.cwl/top_score_metric/lowest",
                                "#pvacseq.cwl/top_score_metric/median"
                            ]
                        }
                    ],
                    "id": "#pvacseq.cwl/top_score_metric"
                },
                {
                    "type": "File",
                    "id": "#pvacseq.cwl/transcript_expression_file"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#pvacseq.cwl/trna_cov"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#pvacseq.cwl/trna_vaf"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "CHROM",
                        "POS",
                        "ID",
                        "REF",
                        "ALT"
                    ],
                    "id": "#pvacseq.cwl/variants_to_table_fields"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "GT",
                        "AD",
                        "AF",
                        "DP",
                        "RAD",
                        "RAF",
                        "RDP",
                        "GX",
                        "TX"
                    ],
                    "id": "#pvacseq.cwl/variants_to_table_genotype_fields"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "HGVSc",
                        "HGVSp"
                    ],
                    "id": "#pvacseq.cwl/vep_to_table_fields"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#pvacseq.cwl/add_vep_fields_to_table/annotated_variants_tsv",
                    "id": "#pvacseq.cwl/annotated_tsv"
                },
                {
                    "type": "File",
                    "outputSource": "#pvacseq.cwl/add_transcript_expression_data_to_vcf/annotated_expression_vcf",
                    "id": "#pvacseq.cwl/annotated_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/combined_all_epitopes",
                    "id": "#pvacseq.cwl/combined_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/combined_filtered_epitopes",
                    "id": "#pvacseq.cwl/combined_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/combined_ranked_epitopes",
                    "id": "#pvacseq.cwl/combined_ranked_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/mhc_i_all_epitopes",
                    "id": "#pvacseq.cwl/mhc_i_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/mhc_i_filtered_epitopes",
                    "id": "#pvacseq.cwl/mhc_i_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/mhc_i_ranked_epitopes",
                    "id": "#pvacseq.cwl/mhc_i_ranked_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/mhc_ii_all_epitopes",
                    "id": "#pvacseq.cwl/mhc_ii_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/mhc_ii_filtered_epitopes",
                    "id": "#pvacseq.cwl/mhc_ii_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#pvacseq.cwl/pvacseq/mhc_ii_ranked_epitopes",
                    "id": "#pvacseq.cwl/mhc_ii_ranked_epitopes"
                }
            ],
            "steps": [
                {
                    "run": "#vcf_expression_annotator.cwl",
                    "in": [
                        {
                            "default": "gene",
                            "id": "#pvacseq.cwl/add_gene_expression_data_to_vcf/data_type"
                        },
                        {
                            "source": "#pvacseq.cwl/gene_expression_file",
                            "id": "#pvacseq.cwl/add_gene_expression_data_to_vcf/expression_file"
                        },
                        {
                            "source": "#pvacseq.cwl/expression_tool",
                            "id": "#pvacseq.cwl/add_gene_expression_data_to_vcf/expression_tool"
                        },
                        {
                            "source": "#pvacseq.cwl/sample_name",
                            "id": "#pvacseq.cwl/add_gene_expression_data_to_vcf/sample_name"
                        },
                        {
                            "source": "#pvacseq.cwl/add_tumor_rna_bam_readcount_to_vcf/annotated_bam_readcount_vcf",
                            "id": "#pvacseq.cwl/add_gene_expression_data_to_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#pvacseq.cwl/add_gene_expression_data_to_vcf/annotated_expression_vcf"
                    ],
                    "id": "#pvacseq.cwl/add_gene_expression_data_to_vcf"
                },
                {
                    "run": "#vcf_expression_annotator.cwl",
                    "in": [
                        {
                            "default": "transcript",
                            "id": "#pvacseq.cwl/add_transcript_expression_data_to_vcf/data_type"
                        },
                        {
                            "source": "#pvacseq.cwl/transcript_expression_file",
                            "id": "#pvacseq.cwl/add_transcript_expression_data_to_vcf/expression_file"
                        },
                        {
                            "source": "#pvacseq.cwl/expression_tool",
                            "id": "#pvacseq.cwl/add_transcript_expression_data_to_vcf/expression_tool"
                        },
                        {
                            "source": "#pvacseq.cwl/sample_name",
                            "id": "#pvacseq.cwl/add_transcript_expression_data_to_vcf/sample_name"
                        },
                        {
                            "source": "#pvacseq.cwl/add_gene_expression_data_to_vcf/annotated_expression_vcf",
                            "id": "#pvacseq.cwl/add_transcript_expression_data_to_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#pvacseq.cwl/add_transcript_expression_data_to_vcf/annotated_expression_vcf"
                    ],
                    "id": "#pvacseq.cwl/add_transcript_expression_data_to_vcf"
                },
                {
                    "run": "#vcf_readcount_annotator.cwl",
                    "in": [
                        {
                            "default": "RNA",
                            "id": "#pvacseq.cwl/add_tumor_rna_bam_readcount_to_vcf/data_type"
                        },
                        {
                            "source": "#pvacseq.cwl/tumor_rna_bam_readcount/indel_bam_readcount_tsv",
                            "id": "#pvacseq.cwl/add_tumor_rna_bam_readcount_to_vcf/indel_bam_readcount_tsv"
                        },
                        {
                            "source": "#pvacseq.cwl/sample_name",
                            "id": "#pvacseq.cwl/add_tumor_rna_bam_readcount_to_vcf/sample_name"
                        },
                        {
                            "source": "#pvacseq.cwl/tumor_rna_bam_readcount/snv_bam_readcount_tsv",
                            "id": "#pvacseq.cwl/add_tumor_rna_bam_readcount_to_vcf/snv_bam_readcount_tsv"
                        },
                        {
                            "source": "#pvacseq.cwl/tumor_rna_bam_readcount/normalized_vcf",
                            "id": "#pvacseq.cwl/add_tumor_rna_bam_readcount_to_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#pvacseq.cwl/add_tumor_rna_bam_readcount_to_vcf/annotated_bam_readcount_vcf"
                    ],
                    "id": "#pvacseq.cwl/add_tumor_rna_bam_readcount_to_vcf"
                },
                {
                    "run": "#add_vep_fields_to_table.cwl",
                    "in": [
                        {
                            "source": "#pvacseq.cwl/variants_to_table/variants_tsv",
                            "id": "#pvacseq.cwl/add_vep_fields_to_table/tsv"
                        },
                        {
                            "source": "#pvacseq.cwl/index/indexed_vcf",
                            "id": "#pvacseq.cwl/add_vep_fields_to_table/vcf"
                        },
                        {
                            "source": "#pvacseq.cwl/vep_to_table_fields",
                            "id": "#pvacseq.cwl/add_vep_fields_to_table/vep_fields"
                        }
                    ],
                    "out": [
                        "#pvacseq.cwl/add_vep_fields_to_table/annotated_variants_tsv"
                    ],
                    "id": "#pvacseq.cwl/add_vep_fields_to_table"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#pvacseq.cwl/add_transcript_expression_data_to_vcf/annotated_expression_vcf",
                            "id": "#pvacseq.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#pvacseq.cwl/index/indexed_vcf"
                    ],
                    "id": "#pvacseq.cwl/index"
                },
                {
                    "run": "#pvacseq.cwl_2",
                    "in": [
                        {
                            "source": "#pvacseq.cwl/additional_report_columns",
                            "id": "#pvacseq.cwl/pvacseq/additional_report_columns"
                        },
                        {
                            "source": "#pvacseq.cwl/alleles",
                            "id": "#pvacseq.cwl/pvacseq/alleles"
                        },
                        {
                            "source": "#pvacseq.cwl/downstream_sequence_length",
                            "id": "#pvacseq.cwl/pvacseq/downstream_sequence_length"
                        },
                        {
                            "source": "#pvacseq.cwl/epitope_lengths",
                            "id": "#pvacseq.cwl/pvacseq/epitope_lengths"
                        },
                        {
                            "source": "#pvacseq.cwl/exclude_nas",
                            "id": "#pvacseq.cwl/pvacseq/exclude_nas"
                        },
                        {
                            "source": "#pvacseq.cwl/expn_val",
                            "id": "#pvacseq.cwl/pvacseq/expn_val"
                        },
                        {
                            "source": "#pvacseq.cwl/fasta_size",
                            "id": "#pvacseq.cwl/pvacseq/fasta_size"
                        },
                        {
                            "source": "#pvacseq.cwl/index/indexed_vcf",
                            "id": "#pvacseq.cwl/pvacseq/input_vcf"
                        },
                        {
                            "source": "#pvacseq.cwl/maximum_transcript_support_level",
                            "id": "#pvacseq.cwl/pvacseq/maximum_transcript_support_level"
                        },
                        {
                            "source": "#pvacseq.cwl/minimum_fold_change",
                            "id": "#pvacseq.cwl/pvacseq/minimum_fold_change"
                        },
                        {
                            "source": "#pvacseq.cwl/n_threads",
                            "id": "#pvacseq.cwl/pvacseq/n_threads"
                        },
                        {
                            "source": "#pvacseq.cwl/net_chop_method",
                            "id": "#pvacseq.cwl/pvacseq/net_chop_method"
                        },
                        {
                            "source": "#pvacseq.cwl/net_chop_threshold",
                            "id": "#pvacseq.cwl/pvacseq/net_chop_threshold"
                        },
                        {
                            "source": "#pvacseq.cwl/netmhc_stab",
                            "id": "#pvacseq.cwl/pvacseq/netmhc_stab"
                        },
                        {
                            "source": "#pvacseq.cwl/normal_cov",
                            "id": "#pvacseq.cwl/pvacseq/normal_cov"
                        },
                        {
                            "source": "#pvacseq.cwl/normal_sample_name",
                            "id": "#pvacseq.cwl/pvacseq/normal_sample_name"
                        },
                        {
                            "source": "#pvacseq.cwl/normal_vaf",
                            "id": "#pvacseq.cwl/pvacseq/normal_vaf"
                        },
                        {
                            "source": "#pvacseq.cwl/peptide_sequence_length",
                            "id": "#pvacseq.cwl/pvacseq/peptide_sequence_length"
                        },
                        {
                            "source": "#pvacseq.cwl/phased_proximal_variants_vcf",
                            "id": "#pvacseq.cwl/pvacseq/phased_proximal_variants_vcf"
                        },
                        {
                            "source": "#pvacseq.cwl/prediction_algorithms",
                            "id": "#pvacseq.cwl/pvacseq/prediction_algorithms"
                        },
                        {
                            "source": "#pvacseq.cwl/sample_name",
                            "id": "#pvacseq.cwl/pvacseq/sample_name"
                        },
                        {
                            "source": "#pvacseq.cwl/tdna_cov",
                            "id": "#pvacseq.cwl/pvacseq/tdna_cov"
                        },
                        {
                            "source": "#pvacseq.cwl/tdna_vaf",
                            "id": "#pvacseq.cwl/pvacseq/tdna_vaf"
                        },
                        {
                            "source": "#pvacseq.cwl/top_score_metric",
                            "id": "#pvacseq.cwl/pvacseq/top_score_metric"
                        },
                        {
                            "source": "#pvacseq.cwl/trna_cov",
                            "id": "#pvacseq.cwl/pvacseq/trna_cov"
                        },
                        {
                            "source": "#pvacseq.cwl/trna_vaf",
                            "id": "#pvacseq.cwl/pvacseq/trna_vaf"
                        }
                    ],
                    "out": [
                        "#pvacseq.cwl/pvacseq/mhc_i_all_epitopes",
                        "#pvacseq.cwl/pvacseq/mhc_i_filtered_epitopes",
                        "#pvacseq.cwl/pvacseq/mhc_i_ranked_epitopes",
                        "#pvacseq.cwl/pvacseq/mhc_ii_all_epitopes",
                        "#pvacseq.cwl/pvacseq/mhc_ii_filtered_epitopes",
                        "#pvacseq.cwl/pvacseq/mhc_ii_ranked_epitopes",
                        "#pvacseq.cwl/pvacseq/combined_all_epitopes",
                        "#pvacseq.cwl/pvacseq/combined_filtered_epitopes",
                        "#pvacseq.cwl/pvacseq/combined_ranked_epitopes"
                    ],
                    "id": "#pvacseq.cwl/pvacseq"
                },
                {
                    "run": "#bam_readcount.cwl",
                    "in": [
                        {
                            "source": "#pvacseq.cwl/rnaseq_bam",
                            "id": "#pvacseq.cwl/tumor_rna_bam_readcount/bam"
                        },
                        {
                            "source": "#pvacseq.cwl/readcount_minimum_base_quality",
                            "id": "#pvacseq.cwl/tumor_rna_bam_readcount/min_base_quality"
                        },
                        {
                            "source": "#pvacseq.cwl/readcount_minimum_mapping_quality",
                            "id": "#pvacseq.cwl/tumor_rna_bam_readcount/min_mapping_quality"
                        },
                        {
                            "source": "#pvacseq.cwl/reference_fasta",
                            "id": "#pvacseq.cwl/tumor_rna_bam_readcount/reference_fasta"
                        },
                        {
                            "source": "#pvacseq.cwl/sample_name",
                            "id": "#pvacseq.cwl/tumor_rna_bam_readcount/sample"
                        },
                        {
                            "source": "#pvacseq.cwl/detect_variants_vcf",
                            "id": "#pvacseq.cwl/tumor_rna_bam_readcount/vcf"
                        }
                    ],
                    "out": [
                        "#pvacseq.cwl/tumor_rna_bam_readcount/snv_bam_readcount_tsv",
                        "#pvacseq.cwl/tumor_rna_bam_readcount/indel_bam_readcount_tsv",
                        "#pvacseq.cwl/tumor_rna_bam_readcount/normalized_vcf"
                    ],
                    "id": "#pvacseq.cwl/tumor_rna_bam_readcount"
                },
                {
                    "run": "#variants_to_table.cwl",
                    "in": [
                        {
                            "source": "#pvacseq.cwl/variants_to_table_fields",
                            "id": "#pvacseq.cwl/variants_to_table/fields"
                        },
                        {
                            "source": "#pvacseq.cwl/variants_to_table_genotype_fields",
                            "id": "#pvacseq.cwl/variants_to_table/genotype_fields"
                        },
                        {
                            "source": "#pvacseq.cwl/reference_fasta",
                            "id": "#pvacseq.cwl/variants_to_table/reference"
                        },
                        {
                            "source": "#pvacseq.cwl/index/indexed_vcf",
                            "id": "#pvacseq.cwl/variants_to_table/vcf"
                        }
                    ],
                    "out": [
                        "#pvacseq.cwl/variants_to_table/variants_tsv"
                    ],
                    "id": "#pvacseq.cwl/variants_to_table"
                }
            ],
            "id": "#pvacseq.cwl"
        },
        {
            "class": "Workflow",
            "label": "Exome QC workflow",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#labelled_file.yml/labelled_file"
                        }
                    ]
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#qc_exome.cwl/bait_intervals"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#qc_exome.cwl/bam"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#qc_exome.cwl/minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#qc_exome.cwl/minimum_mapping_quality"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#qc_exome.cwl/omni_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#qc_exome.cwl/per_base_intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#qc_exome.cwl/per_target_intervals"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ALL_READS",
                    "id": "#qc_exome.cwl/picard_metric_accumulation_level"
                },
                {
                    "type": "string",
                    "id": "#qc_exome.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#qc_exome.cwl/summary_intervals"
                },
                {
                    "type": "File",
                    "id": "#qc_exome.cwl/target_intervals"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#qc_exome.cwl/collect_alignment_summary_metrics/alignment_summary_metrics",
                    "id": "#qc_exome.cwl/alignment_summary_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#qc_exome.cwl/samtools_flagstat/flagstats",
                    "id": "#qc_exome.cwl/flagstats"
                },
                {
                    "type": "File",
                    "outputSource": "#qc_exome.cwl/collect_roi_hs_metrics/hs_metrics",
                    "id": "#qc_exome.cwl/hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#qc_exome.cwl/collect_insert_size_metrics/insert_size_histogram",
                    "id": "#qc_exome.cwl/insert_size_histogram"
                },
                {
                    "type": "File",
                    "outputSource": "#qc_exome.cwl/collect_insert_size_metrics/insert_size_metrics",
                    "id": "#qc_exome.cwl/insert_size_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#qc_exome.cwl/collect_detailed_hs_metrics/per_base_coverage_metrics",
                    "id": "#qc_exome.cwl/per_base_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#qc_exome.cwl/collect_detailed_hs_metrics/per_base_hs_metrics",
                    "id": "#qc_exome.cwl/per_base_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#qc_exome.cwl/collect_detailed_hs_metrics/per_target_coverage_metrics",
                    "id": "#qc_exome.cwl/per_target_coverage_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#qc_exome.cwl/collect_detailed_hs_metrics/per_target_hs_metrics",
                    "id": "#qc_exome.cwl/per_target_hs_metrics"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#qc_exome.cwl/collect_detailed_hs_metrics/summary_hs_metrics",
                    "id": "#qc_exome.cwl/summary_hs_metrics"
                },
                {
                    "type": "File",
                    "outputSource": "#qc_exome.cwl/verify_bam_id/verify_bam_id_depth",
                    "id": "#qc_exome.cwl/verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputSource": "#qc_exome.cwl/verify_bam_id/verify_bam_id_metrics",
                    "id": "#qc_exome.cwl/verify_bam_id_metrics"
                }
            ],
            "steps": [
                {
                    "run": "#collect_alignment_summary_metrics.cwl",
                    "in": [
                        {
                            "source": "#qc_exome.cwl/bam",
                            "id": "#qc_exome.cwl/collect_alignment_summary_metrics/bam"
                        },
                        {
                            "source": "#qc_exome.cwl/picard_metric_accumulation_level",
                            "id": "#qc_exome.cwl/collect_alignment_summary_metrics/metric_accumulation_level"
                        },
                        {
                            "source": "#qc_exome.cwl/reference",
                            "id": "#qc_exome.cwl/collect_alignment_summary_metrics/reference"
                        }
                    ],
                    "out": [
                        "#qc_exome.cwl/collect_alignment_summary_metrics/alignment_summary_metrics"
                    ],
                    "id": "#qc_exome.cwl/collect_alignment_summary_metrics"
                },
                {
                    "run": "#hs_metrics.cwl",
                    "in": [
                        {
                            "source": "#qc_exome.cwl/bam",
                            "id": "#qc_exome.cwl/collect_detailed_hs_metrics/bam"
                        },
                        {
                            "source": "#qc_exome.cwl/minimum_base_quality",
                            "id": "#qc_exome.cwl/collect_detailed_hs_metrics/minimum_base_quality"
                        },
                        {
                            "source": "#qc_exome.cwl/minimum_mapping_quality",
                            "id": "#qc_exome.cwl/collect_detailed_hs_metrics/minimum_mapping_quality"
                        },
                        {
                            "source": "#qc_exome.cwl/per_base_intervals",
                            "id": "#qc_exome.cwl/collect_detailed_hs_metrics/per_base_intervals"
                        },
                        {
                            "source": "#qc_exome.cwl/per_target_intervals",
                            "id": "#qc_exome.cwl/collect_detailed_hs_metrics/per_target_intervals"
                        },
                        {
                            "source": "#qc_exome.cwl/reference",
                            "id": "#qc_exome.cwl/collect_detailed_hs_metrics/reference"
                        },
                        {
                            "source": "#qc_exome.cwl/summary_intervals",
                            "id": "#qc_exome.cwl/collect_detailed_hs_metrics/summary_intervals"
                        }
                    ],
                    "out": [
                        "#qc_exome.cwl/collect_detailed_hs_metrics/per_base_coverage_metrics",
                        "#qc_exome.cwl/collect_detailed_hs_metrics/per_base_hs_metrics",
                        "#qc_exome.cwl/collect_detailed_hs_metrics/per_target_coverage_metrics",
                        "#qc_exome.cwl/collect_detailed_hs_metrics/per_target_hs_metrics",
                        "#qc_exome.cwl/collect_detailed_hs_metrics/summary_hs_metrics"
                    ],
                    "id": "#qc_exome.cwl/collect_detailed_hs_metrics"
                },
                {
                    "run": "#collect_insert_size_metrics.cwl",
                    "in": [
                        {
                            "source": "#qc_exome.cwl/bam",
                            "id": "#qc_exome.cwl/collect_insert_size_metrics/bam"
                        },
                        {
                            "source": "#qc_exome.cwl/picard_metric_accumulation_level",
                            "id": "#qc_exome.cwl/collect_insert_size_metrics/metric_accumulation_level"
                        },
                        {
                            "source": "#qc_exome.cwl/reference",
                            "id": "#qc_exome.cwl/collect_insert_size_metrics/reference"
                        }
                    ],
                    "out": [
                        "#qc_exome.cwl/collect_insert_size_metrics/insert_size_metrics",
                        "#qc_exome.cwl/collect_insert_size_metrics/insert_size_histogram"
                    ],
                    "id": "#qc_exome.cwl/collect_insert_size_metrics"
                },
                {
                    "run": "#collect_hs_metrics.cwl",
                    "in": [
                        {
                            "source": "#qc_exome.cwl/bait_intervals",
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/bait_intervals"
                        },
                        {
                            "source": "#qc_exome.cwl/bam",
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/bam"
                        },
                        {
                            "valueFrom": "ALL_READS",
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/metric_accumulation_level"
                        },
                        {
                            "source": "#qc_exome.cwl/minimum_base_quality",
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/minimum_base_quality"
                        },
                        {
                            "source": "#qc_exome.cwl/minimum_mapping_quality",
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/minimum_mapping_quality"
                        },
                        {
                            "valueFrom": "roi",
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/output_prefix"
                        },
                        {
                            "default": false,
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/per_base_coverage"
                        },
                        {
                            "default": false,
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/per_target_coverage"
                        },
                        {
                            "source": "#qc_exome.cwl/reference",
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/reference"
                        },
                        {
                            "source": "#qc_exome.cwl/target_intervals",
                            "id": "#qc_exome.cwl/collect_roi_hs_metrics/target_intervals"
                        }
                    ],
                    "out": [
                        "#qc_exome.cwl/collect_roi_hs_metrics/hs_metrics"
                    ],
                    "id": "#qc_exome.cwl/collect_roi_hs_metrics"
                },
                {
                    "run": "#samtools_flagstat.cwl",
                    "in": [
                        {
                            "source": "#qc_exome.cwl/bam",
                            "id": "#qc_exome.cwl/samtools_flagstat/bam"
                        }
                    ],
                    "out": [
                        "#qc_exome.cwl/samtools_flagstat/flagstats"
                    ],
                    "id": "#qc_exome.cwl/samtools_flagstat"
                },
                {
                    "run": "#select_variants.cwl",
                    "in": [
                        {
                            "source": "#qc_exome.cwl/target_intervals",
                            "id": "#qc_exome.cwl/select_variants/interval_list"
                        },
                        {
                            "source": "#qc_exome.cwl/reference",
                            "id": "#qc_exome.cwl/select_variants/reference"
                        },
                        {
                            "source": "#qc_exome.cwl/omni_vcf",
                            "id": "#qc_exome.cwl/select_variants/vcf"
                        }
                    ],
                    "out": [
                        "#qc_exome.cwl/select_variants/filtered_vcf"
                    ],
                    "id": "#qc_exome.cwl/select_variants"
                },
                {
                    "run": "#verify_bam_id.cwl",
                    "in": [
                        {
                            "source": "#qc_exome.cwl/bam",
                            "id": "#qc_exome.cwl/verify_bam_id/bam"
                        },
                        {
                            "source": "#qc_exome.cwl/select_variants/filtered_vcf",
                            "id": "#qc_exome.cwl/verify_bam_id/vcf"
                        }
                    ],
                    "out": [
                        "#qc_exome.cwl/verify_bam_id/verify_bam_id_metrics",
                        "#qc_exome.cwl/verify_bam_id/verify_bam_id_depth"
                    ],
                    "id": "#qc_exome.cwl/verify_bam_id"
                }
            ],
            "id": "#qc_exome.cwl"
        },
        {
            "class": "Workflow",
            "label": "adapter for sequence_align_and_tag",
            "doc": "Some workflow engines won't stage files in our nested structure, so parse it out here",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#sequence_data.yml/sequence_data"
                        }
                    ]
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "doc": "bwa-indexed reference file",
                    "id": "#sequence_align_and_tag_adapter.cwl/reference"
                },
                {
                    "type": "#sequence_data.yml/sequence_data",
                    "doc": "the unaligned sequence data with readgroup information",
                    "id": "#sequence_align_and_tag_adapter.cwl/unaligned"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#sequence_align_and_tag_adapter.cwl/align_and_tag/aligned_bam",
                    "id": "#sequence_align_and_tag_adapter.cwl/aligned_bam"
                }
            ],
            "steps": [
                {
                    "run": "#sequence_align_and_tag.cwl",
                    "in": [
                        {
                            "source": "#sequence_align_and_tag_adapter.cwl/unaligned",
                            "valueFrom": "$(self.sequence.hasOwnProperty('bam')? self.sequence.bam : null)",
                            "id": "#sequence_align_and_tag_adapter.cwl/align_and_tag/bam"
                        },
                        {
                            "source": "#sequence_align_and_tag_adapter.cwl/unaligned",
                            "valueFrom": "$(self.sequence.hasOwnProperty('fastq1')? self.sequence.fastq1 : null)",
                            "id": "#sequence_align_and_tag_adapter.cwl/align_and_tag/fastq1"
                        },
                        {
                            "source": "#sequence_align_and_tag_adapter.cwl/unaligned",
                            "valueFrom": "$(self.sequence.hasOwnProperty('fastq2')? self.sequence.fastq2 : null)",
                            "id": "#sequence_align_and_tag_adapter.cwl/align_and_tag/fastq2"
                        },
                        {
                            "source": "#sequence_align_and_tag_adapter.cwl/unaligned",
                            "valueFrom": "$(self.readgroup)",
                            "id": "#sequence_align_and_tag_adapter.cwl/align_and_tag/readgroup"
                        },
                        {
                            "source": "#sequence_align_and_tag_adapter.cwl/reference",
                            "id": "#sequence_align_and_tag_adapter.cwl/align_and_tag/reference"
                        }
                    ],
                    "out": [
                        "#sequence_align_and_tag_adapter.cwl/align_and_tag/aligned_bam"
                    ],
                    "id": "#sequence_align_and_tag_adapter.cwl/align_and_tag"
                }
            ],
            "id": "#sequence_align_and_tag_adapter.cwl"
        },
        {
            "class": "Workflow",
            "label": "Raw sequence data to BQSR",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#sequence_data.yml/sequence_data"
                        }
                    ]
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#sequence_to_bqsr.cwl/bqsr_intervals"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#sequence_to_bqsr.cwl/dbsnp_vcf"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "final.bam",
                    "id": "#sequence_to_bqsr.cwl/final_name"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#sequence_to_bqsr.cwl/known_indels"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#sequence_to_bqsr.cwl/mills"
                },
                {
                    "type": "string",
                    "id": "#sequence_to_bqsr.cwl/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#sequence_data.yml/sequence_data"
                    },
                    "id": "#sequence_to_bqsr.cwl/unaligned"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#sequence_to_bqsr.cwl/index_bam/indexed_bam",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#sequence_to_bqsr.cwl/final_bam"
                },
                {
                    "type": "File",
                    "outputSource": "#sequence_to_bqsr.cwl/mark_duplicates_and_sort/metrics_file",
                    "id": "#sequence_to_bqsr.cwl/mark_duplicates_metrics_file"
                }
            ],
            "steps": [
                {
                    "scatter": [
                        "#sequence_to_bqsr.cwl/align/unaligned"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#sequence_align_and_tag_adapter.cwl",
                    "in": [
                        {
                            "source": "#sequence_to_bqsr.cwl/reference",
                            "id": "#sequence_to_bqsr.cwl/align/reference"
                        },
                        {
                            "source": "#sequence_to_bqsr.cwl/unaligned",
                            "id": "#sequence_to_bqsr.cwl/align/unaligned"
                        }
                    ],
                    "out": [
                        "#sequence_to_bqsr.cwl/align/aligned_bam"
                    ],
                    "id": "#sequence_to_bqsr.cwl/align"
                },
                {
                    "run": "#apply_bqsr.cwl",
                    "in": [
                        {
                            "source": "#sequence_to_bqsr.cwl/mark_duplicates_and_sort/sorted_bam",
                            "id": "#sequence_to_bqsr.cwl/apply_bqsr/bam"
                        },
                        {
                            "source": "#sequence_to_bqsr.cwl/bqsr/bqsr_table",
                            "id": "#sequence_to_bqsr.cwl/apply_bqsr/bqsr_table"
                        },
                        {
                            "source": "#sequence_to_bqsr.cwl/final_name",
                            "id": "#sequence_to_bqsr.cwl/apply_bqsr/output_name"
                        },
                        {
                            "source": "#sequence_to_bqsr.cwl/reference",
                            "id": "#sequence_to_bqsr.cwl/apply_bqsr/reference"
                        }
                    ],
                    "out": [
                        "#sequence_to_bqsr.cwl/apply_bqsr/bqsr_bam"
                    ],
                    "id": "#sequence_to_bqsr.cwl/apply_bqsr"
                },
                {
                    "run": "#bqsr.cwl",
                    "in": [
                        {
                            "source": "#sequence_to_bqsr.cwl/mark_duplicates_and_sort/sorted_bam",
                            "id": "#sequence_to_bqsr.cwl/bqsr/bam"
                        },
                        {
                            "source": "#sequence_to_bqsr.cwl/bqsr_intervals",
                            "id": "#sequence_to_bqsr.cwl/bqsr/intervals"
                        },
                        {
                            "source": [
                                "#sequence_to_bqsr.cwl/dbsnp_vcf",
                                "#sequence_to_bqsr.cwl/mills",
                                "#sequence_to_bqsr.cwl/known_indels"
                            ],
                            "id": "#sequence_to_bqsr.cwl/bqsr/known_sites"
                        },
                        {
                            "source": "#sequence_to_bqsr.cwl/reference",
                            "id": "#sequence_to_bqsr.cwl/bqsr/reference"
                        }
                    ],
                    "out": [
                        "#sequence_to_bqsr.cwl/bqsr/bqsr_table"
                    ],
                    "id": "#sequence_to_bqsr.cwl/bqsr"
                },
                {
                    "run": "#index_bam.cwl",
                    "in": [
                        {
                            "source": "#sequence_to_bqsr.cwl/apply_bqsr/bqsr_bam",
                            "id": "#sequence_to_bqsr.cwl/index_bam/bam"
                        }
                    ],
                    "out": [
                        "#sequence_to_bqsr.cwl/index_bam/indexed_bam"
                    ],
                    "id": "#sequence_to_bqsr.cwl/index_bam"
                },
                {
                    "run": "#mark_duplicates_and_sort.cwl",
                    "in": [
                        {
                            "source": "#sequence_to_bqsr.cwl/name_sort/name_sorted_bam",
                            "id": "#sequence_to_bqsr.cwl/mark_duplicates_and_sort/bam"
                        }
                    ],
                    "out": [
                        "#sequence_to_bqsr.cwl/mark_duplicates_and_sort/sorted_bam",
                        "#sequence_to_bqsr.cwl/mark_duplicates_and_sort/metrics_file"
                    ],
                    "id": "#sequence_to_bqsr.cwl/mark_duplicates_and_sort"
                },
                {
                    "run": "#merge_bams_samtools.cwl",
                    "in": [
                        {
                            "source": "#sequence_to_bqsr.cwl/align/aligned_bam",
                            "id": "#sequence_to_bqsr.cwl/merge/bams"
                        },
                        {
                            "source": "#sequence_to_bqsr.cwl/final_name",
                            "id": "#sequence_to_bqsr.cwl/merge/name"
                        }
                    ],
                    "out": [
                        "#sequence_to_bqsr.cwl/merge/merged_bam"
                    ],
                    "id": "#sequence_to_bqsr.cwl/merge"
                },
                {
                    "run": "#name_sort.cwl",
                    "in": [
                        {
                            "source": "#sequence_to_bqsr.cwl/merge/merged_bam",
                            "id": "#sequence_to_bqsr.cwl/name_sort/bam"
                        }
                    ],
                    "out": [
                        "#sequence_to_bqsr.cwl/name_sort/name_sorted_bam"
                    ],
                    "id": "#sequence_to_bqsr.cwl/name_sort"
                }
            ],
            "id": "#sequence_to_bqsr.cwl"
        },
        {
            "class": "Workflow",
            "label": "strelka workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "id": "#strelka_and_post_processing.cwl/cpu_reserved"
                },
                {
                    "type": "boolean",
                    "id": "#strelka_and_post_processing.cwl/exome_mode"
                },
                {
                    "type": "File",
                    "id": "#strelka_and_post_processing.cwl/interval_list"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#strelka_and_post_processing.cwl/normal_bam"
                },
                {
                    "type": "string",
                    "id": "#strelka_and_post_processing.cwl/reference"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#strelka_and_post_processing.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#strelka_and_post_processing.cwl/filter/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#strelka_and_post_processing.cwl/filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#strelka_and_post_processing.cwl/filter/unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#strelka_and_post_processing.cwl/unfiltered_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#fp_filter.cwl",
                    "in": [
                        {
                            "source": "#strelka_and_post_processing.cwl/tumor_bam",
                            "id": "#strelka_and_post_processing.cwl/filter/bam"
                        },
                        {
                            "source": "#strelka_and_post_processing.cwl/reference",
                            "id": "#strelka_and_post_processing.cwl/filter/reference"
                        },
                        {
                            "valueFrom": "strelka",
                            "id": "#strelka_and_post_processing.cwl/filter/variant_caller"
                        },
                        {
                            "source": "#strelka_and_post_processing.cwl/region_filter/filtered_vcf",
                            "id": "#strelka_and_post_processing.cwl/filter/vcf"
                        }
                    ],
                    "out": [
                        "#strelka_and_post_processing.cwl/filter/unfiltered_vcf",
                        "#strelka_and_post_processing.cwl/filter/filtered_vcf"
                    ],
                    "id": "#strelka_and_post_processing.cwl/filter"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#strelka_and_post_processing.cwl/merge/merged_vcf",
                            "id": "#strelka_and_post_processing.cwl/index_full/vcf"
                        }
                    ],
                    "out": [
                        "#strelka_and_post_processing.cwl/index_full/indexed_vcf"
                    ],
                    "id": "#strelka_and_post_processing.cwl/index_full"
                },
                {
                    "run": "#merge_vcf.cwl",
                    "in": [
                        {
                            "source": "#strelka_and_post_processing.cwl/process/processed_vcf",
                            "id": "#strelka_and_post_processing.cwl/merge/vcfs"
                        }
                    ],
                    "out": [
                        "#strelka_and_post_processing.cwl/merge/merged_vcf"
                    ],
                    "id": "#strelka_and_post_processing.cwl/merge"
                },
                {
                    "scatter": "#strelka_and_post_processing.cwl/process/vcf",
                    "run": "#strelka_process_vcf.cwl",
                    "in": [
                        {
                            "source": [
                                "#strelka_and_post_processing.cwl/strelka/snvs",
                                "#strelka_and_post_processing.cwl/strelka/indels"
                            ],
                            "id": "#strelka_and_post_processing.cwl/process/vcf"
                        }
                    ],
                    "out": [
                        "#strelka_and_post_processing.cwl/process/processed_vcf"
                    ],
                    "id": "#strelka_and_post_processing.cwl/process"
                },
                {
                    "run": "#select_variants.cwl",
                    "in": [
                        {
                            "source": "#strelka_and_post_processing.cwl/interval_list",
                            "id": "#strelka_and_post_processing.cwl/region_filter/interval_list"
                        },
                        {
                            "source": "#strelka_and_post_processing.cwl/reference",
                            "id": "#strelka_and_post_processing.cwl/region_filter/reference"
                        },
                        {
                            "source": "#strelka_and_post_processing.cwl/index_full/indexed_vcf",
                            "id": "#strelka_and_post_processing.cwl/region_filter/vcf"
                        }
                    ],
                    "out": [
                        "#strelka_and_post_processing.cwl/region_filter/filtered_vcf"
                    ],
                    "id": "#strelka_and_post_processing.cwl/region_filter"
                },
                {
                    "run": "#strelka.cwl",
                    "in": [
                        {
                            "source": "#strelka_and_post_processing.cwl/cpu_reserved",
                            "id": "#strelka_and_post_processing.cwl/strelka/cpu_reserved"
                        },
                        {
                            "source": "#strelka_and_post_processing.cwl/exome_mode",
                            "id": "#strelka_and_post_processing.cwl/strelka/exome_mode"
                        },
                        {
                            "source": "#strelka_and_post_processing.cwl/normal_bam",
                            "id": "#strelka_and_post_processing.cwl/strelka/normal_bam"
                        },
                        {
                            "source": "#strelka_and_post_processing.cwl/reference",
                            "id": "#strelka_and_post_processing.cwl/strelka/reference"
                        },
                        {
                            "source": "#strelka_and_post_processing.cwl/tumor_bam",
                            "id": "#strelka_and_post_processing.cwl/strelka/tumor_bam"
                        }
                    ],
                    "out": [
                        "#strelka_and_post_processing.cwl/strelka/indels",
                        "#strelka_and_post_processing.cwl/strelka/snvs"
                    ],
                    "id": "#strelka_and_post_processing.cwl/strelka"
                }
            ],
            "id": "#strelka_and_post_processing.cwl"
        },
        {
            "class": "Workflow",
            "label": "process VCF workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#strelka_process_vcf.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#strelka_process_vcf.cwl/index/indexed_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#strelka_process_vcf.cwl/processed_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#add_strelka_gt.cwl",
                    "in": [
                        {
                            "source": "#strelka_process_vcf.cwl/vcf",
                            "id": "#strelka_process_vcf.cwl/add_gt/vcf"
                        }
                    ],
                    "out": [
                        "#strelka_process_vcf.cwl/add_gt/processed_vcf"
                    ],
                    "id": "#strelka_process_vcf.cwl/add_gt"
                },
                {
                    "run": "#bgzip.cwl",
                    "in": [
                        {
                            "source": "#strelka_process_vcf.cwl/add_gt/processed_vcf",
                            "id": "#strelka_process_vcf.cwl/bgzip/file"
                        }
                    ],
                    "out": [
                        "#strelka_process_vcf.cwl/bgzip/bgzipped_file"
                    ],
                    "id": "#strelka_process_vcf.cwl/bgzip"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#strelka_process_vcf.cwl/bgzip/bgzipped_file",
                            "id": "#strelka_process_vcf.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#strelka_process_vcf.cwl/index/indexed_vcf"
                    ],
                    "id": "#strelka_process_vcf.cwl/index"
                }
            ],
            "id": "#strelka_process_vcf.cwl"
        },
        {
            "class": "Workflow",
            "label": "varscan somatic workflow",
            "inputs": [
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#varscan.cwl/max_normal_freq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#varscan.cwl/min_coverage"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#varscan.cwl/min_var_freq"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#varscan.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#varscan.cwl/p_value"
                },
                {
                    "type": "string",
                    "id": "#varscan.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#varscan.cwl/roi_bed"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#varscan.cwl/strand_filter"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#varscan.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_indels/germline_hc",
                    "id": "#varscan.cwl/germline_hc_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_snvs/germline_hc",
                    "id": "#varscan.cwl/germline_hc_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_indels/germline",
                    "id": "#varscan.cwl/germline_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_snvs/germline",
                    "id": "#varscan.cwl/germline_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/somatic/indels",
                    "id": "#varscan.cwl/indels"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_indels/loh_hc",
                    "id": "#varscan.cwl/loh_hc_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_snvs/loh_hc",
                    "id": "#varscan.cwl/loh_hc_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_indels/loh",
                    "id": "#varscan.cwl/loh_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_snvs/loh",
                    "id": "#varscan.cwl/loh_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/somatic/snvs",
                    "id": "#varscan.cwl/snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_indels/somatic_hc",
                    "id": "#varscan.cwl/somatic_hc_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_snvs/somatic_hc",
                    "id": "#varscan.cwl/somatic_hc_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_indels/somatic",
                    "id": "#varscan.cwl/somatic_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan.cwl/process_somatic_snvs/somatic",
                    "id": "#varscan.cwl/somatic_snvs"
                }
            ],
            "steps": [
                {
                    "run": "#varscan_process_somatic.cwl",
                    "in": [
                        {
                            "source": "#varscan.cwl/max_normal_freq",
                            "id": "#varscan.cwl/process_somatic_indels/max_normal_freq"
                        },
                        {
                            "source": "#varscan.cwl/somatic/indels",
                            "id": "#varscan.cwl/process_somatic_indels/variants"
                        }
                    ],
                    "out": [
                        "#varscan.cwl/process_somatic_indels/somatic_hc",
                        "#varscan.cwl/process_somatic_indels/somatic",
                        "#varscan.cwl/process_somatic_indels/germline_hc",
                        "#varscan.cwl/process_somatic_indels/germline",
                        "#varscan.cwl/process_somatic_indels/loh_hc",
                        "#varscan.cwl/process_somatic_indels/loh"
                    ],
                    "id": "#varscan.cwl/process_somatic_indels"
                },
                {
                    "run": "#varscan_process_somatic.cwl",
                    "in": [
                        {
                            "source": "#varscan.cwl/max_normal_freq",
                            "id": "#varscan.cwl/process_somatic_snvs/max_normal_freq"
                        },
                        {
                            "source": "#varscan.cwl/somatic/snvs",
                            "id": "#varscan.cwl/process_somatic_snvs/variants"
                        }
                    ],
                    "out": [
                        "#varscan.cwl/process_somatic_snvs/somatic_hc",
                        "#varscan.cwl/process_somatic_snvs/somatic",
                        "#varscan.cwl/process_somatic_snvs/germline_hc",
                        "#varscan.cwl/process_somatic_snvs/germline",
                        "#varscan.cwl/process_somatic_snvs/loh_hc",
                        "#varscan.cwl/process_somatic_snvs/loh"
                    ],
                    "id": "#varscan.cwl/process_somatic_snvs"
                },
                {
                    "run": "#varscan_somatic.cwl",
                    "in": [
                        {
                            "source": "#varscan.cwl/min_coverage",
                            "id": "#varscan.cwl/somatic/min_coverage"
                        },
                        {
                            "source": "#varscan.cwl/min_var_freq",
                            "id": "#varscan.cwl/somatic/min_var_freq"
                        },
                        {
                            "source": "#varscan.cwl/normal_bam",
                            "id": "#varscan.cwl/somatic/normal_bam"
                        },
                        {
                            "source": "#varscan.cwl/p_value",
                            "id": "#varscan.cwl/somatic/p_value"
                        },
                        {
                            "source": "#varscan.cwl/reference",
                            "id": "#varscan.cwl/somatic/reference"
                        },
                        {
                            "source": "#varscan.cwl/roi_bed",
                            "id": "#varscan.cwl/somatic/roi_bed"
                        },
                        {
                            "source": "#varscan.cwl/strand_filter",
                            "id": "#varscan.cwl/somatic/strand_filter"
                        },
                        {
                            "source": "#varscan.cwl/tumor_bam",
                            "id": "#varscan.cwl/somatic/tumor_bam"
                        }
                    ],
                    "out": [
                        "#varscan.cwl/somatic/snvs",
                        "#varscan.cwl/somatic/indels"
                    ],
                    "id": "#varscan.cwl/somatic"
                }
            ],
            "id": "#varscan.cwl"
        },
        {
            "class": "Workflow",
            "label": "Varscan Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#varscan_pre_and_post_processing.cwl/interval_list"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/max_normal_freq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "id": "#varscan_pre_and_post_processing.cwl/min_coverage"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.1,
                    "id": "#varscan_pre_and_post_processing.cwl/min_var_freq"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.99,
                    "id": "#varscan_pre_and_post_processing.cwl/p_value"
                },
                {
                    "type": "string",
                    "id": "#varscan_pre_and_post_processing.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "id": "#varscan_pre_and_post_processing.cwl/strand_filter"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#varscan_pre_and_post_processing.cwl/filter/filtered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#varscan_pre_and_post_processing.cwl/filter/unfiltered_vcf",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/unfiltered_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#bgzip_and_index.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/varscan/somatic_hc_indels",
                            "id": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_hc_indels/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/bgzip_and_index_hc_indels/indexed_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_hc_indels"
                },
                {
                    "run": "#bgzip_and_index.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/varscan/somatic_hc_snvs",
                            "id": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_hc_snvs/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/bgzip_and_index_hc_snvs/indexed_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_hc_snvs"
                },
                {
                    "run": "#bgzip_and_index.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/varscan/somatic_indels",
                            "id": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_indels/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/bgzip_and_index_indels/indexed_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_indels"
                },
                {
                    "run": "#bgzip_and_index.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/varscan/somatic_snvs",
                            "id": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_snvs/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/bgzip_and_index_snvs/indexed_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_snvs"
                },
                {
                    "run": "#fp_filter.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/tumor_bam",
                            "id": "#varscan_pre_and_post_processing.cwl/filter/bam"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/min_var_freq",
                            "id": "#varscan_pre_and_post_processing.cwl/filter/min_var_freq"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/reference",
                            "id": "#varscan_pre_and_post_processing.cwl/filter/reference"
                        },
                        {
                            "valueFrom": "varscan",
                            "id": "#varscan_pre_and_post_processing.cwl/filter/variant_caller"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/index/indexed_vcf",
                            "id": "#varscan_pre_and_post_processing.cwl/filter/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/filter/unfiltered_vcf",
                        "#varscan_pre_and_post_processing.cwl/filter/filtered_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/filter"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/merge/merged_vcf",
                            "id": "#varscan_pre_and_post_processing.cwl/index/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/index/indexed_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/index"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/merge_indels/merged_vcf",
                            "id": "#varscan_pre_and_post_processing.cwl/index_indels/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/index_indels/indexed_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/index_indels"
                },
                {
                    "run": "#index_vcf.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/merge_snvs/merged_vcf",
                            "id": "#varscan_pre_and_post_processing.cwl/index_snvs/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/index_snvs/indexed_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/index_snvs"
                },
                {
                    "run": "#intervals_to_bed.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/interval_list",
                            "id": "#varscan_pre_and_post_processing.cwl/intervals_to_bed/interval_list"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/intervals_to_bed/interval_bed"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/intervals_to_bed"
                },
                {
                    "run": "#merge_vcf.cwl",
                    "in": [
                        {
                            "source": [
                                "#varscan_pre_and_post_processing.cwl/index_snvs/indexed_vcf",
                                "#varscan_pre_and_post_processing.cwl/index_indels/indexed_vcf"
                            ],
                            "id": "#varscan_pre_and_post_processing.cwl/merge/vcfs"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/merge/merged_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/merge"
                },
                {
                    "run": "#set_filter_status.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_hc_indels/indexed_vcf",
                            "id": "#varscan_pre_and_post_processing.cwl/merge_indels/filtered_vcf"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/reference",
                            "id": "#varscan_pre_and_post_processing.cwl/merge_indels/reference"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_indels/indexed_vcf",
                            "id": "#varscan_pre_and_post_processing.cwl/merge_indels/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/merge_indels/merged_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/merge_indels"
                },
                {
                    "run": "#set_filter_status.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_hc_snvs/indexed_vcf",
                            "id": "#varscan_pre_and_post_processing.cwl/merge_snvs/filtered_vcf"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/reference",
                            "id": "#varscan_pre_and_post_processing.cwl/merge_snvs/reference"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/bgzip_and_index_snvs/indexed_vcf",
                            "id": "#varscan_pre_and_post_processing.cwl/merge_snvs/vcf"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/merge_snvs/merged_vcf"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/merge_snvs"
                },
                {
                    "run": "#varscan.cwl",
                    "in": [
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/max_normal_freq",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/max_normal_freq"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/min_coverage",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/min_coverage"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/min_var_freq",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/min_var_freq"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/normal_bam",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/normal_bam"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/p_value",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/p_value"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/reference",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/reference"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/intervals_to_bed/interval_bed",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/roi_bed"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/strand_filter",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/strand_filter"
                        },
                        {
                            "source": "#varscan_pre_and_post_processing.cwl/tumor_bam",
                            "id": "#varscan_pre_and_post_processing.cwl/varscan/tumor_bam"
                        }
                    ],
                    "out": [
                        "#varscan_pre_and_post_processing.cwl/varscan/somatic_snvs",
                        "#varscan_pre_and_post_processing.cwl/varscan/somatic_indels",
                        "#varscan_pre_and_post_processing.cwl/varscan/somatic_hc_snvs",
                        "#varscan_pre_and_post_processing.cwl/varscan/somatic_hc_indels"
                    ],
                    "id": "#varscan_pre_and_post_processing.cwl/varscan"
                }
            ],
            "id": "#varscan_pre_and_post_processing.cwl"
        },
        {
            "class": "Workflow",
            "label": "Add snv and indel bam-readcount files to a vcf",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        {
                            "type": "enum",
                            "symbols": [
                                "#vcf_readcount_annotator.cwl/data_type/DNA",
                                "#vcf_readcount_annotator.cwl/data_type/RNA"
                            ]
                        }
                    ],
                    "id": "#vcf_readcount_annotator.cwl/data_type"
                },
                {
                    "type": "File",
                    "id": "#vcf_readcount_annotator.cwl/indel_bam_readcount_tsv"
                },
                {
                    "type": "string",
                    "id": "#vcf_readcount_annotator.cwl/sample_name"
                },
                {
                    "type": "File",
                    "id": "#vcf_readcount_annotator.cwl/snv_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#vcf_readcount_annotator.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#vcf_readcount_annotator.cwl/add_indel_bam_readcount_to_vcf/annotated_bam_readcount_vcf",
                    "id": "#vcf_readcount_annotator.cwl/annotated_bam_readcount_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#vcf_readcount_annotator.cwl_2",
                    "in": [
                        {
                            "source": "#vcf_readcount_annotator.cwl/indel_bam_readcount_tsv",
                            "id": "#vcf_readcount_annotator.cwl/add_indel_bam_readcount_to_vcf/bam_readcount_tsv"
                        },
                        {
                            "source": "#vcf_readcount_annotator.cwl/data_type",
                            "id": "#vcf_readcount_annotator.cwl/add_indel_bam_readcount_to_vcf/data_type"
                        },
                        {
                            "source": "#vcf_readcount_annotator.cwl/sample_name",
                            "id": "#vcf_readcount_annotator.cwl/add_indel_bam_readcount_to_vcf/sample_name"
                        },
                        {
                            "default": "indel",
                            "id": "#vcf_readcount_annotator.cwl/add_indel_bam_readcount_to_vcf/variant_type"
                        },
                        {
                            "source": "#vcf_readcount_annotator.cwl/add_snv_bam_readcount_to_vcf/annotated_bam_readcount_vcf",
                            "id": "#vcf_readcount_annotator.cwl/add_indel_bam_readcount_to_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#vcf_readcount_annotator.cwl/add_indel_bam_readcount_to_vcf/annotated_bam_readcount_vcf"
                    ],
                    "id": "#vcf_readcount_annotator.cwl/add_indel_bam_readcount_to_vcf"
                },
                {
                    "run": "#vcf_readcount_annotator.cwl_2",
                    "in": [
                        {
                            "source": "#vcf_readcount_annotator.cwl/snv_bam_readcount_tsv",
                            "id": "#vcf_readcount_annotator.cwl/add_snv_bam_readcount_to_vcf/bam_readcount_tsv"
                        },
                        {
                            "source": "#vcf_readcount_annotator.cwl/data_type",
                            "id": "#vcf_readcount_annotator.cwl/add_snv_bam_readcount_to_vcf/data_type"
                        },
                        {
                            "source": "#vcf_readcount_annotator.cwl/sample_name",
                            "id": "#vcf_readcount_annotator.cwl/add_snv_bam_readcount_to_vcf/sample_name"
                        },
                        {
                            "default": "snv",
                            "id": "#vcf_readcount_annotator.cwl/add_snv_bam_readcount_to_vcf/variant_type"
                        },
                        {
                            "source": "#vcf_readcount_annotator.cwl/vcf",
                            "id": "#vcf_readcount_annotator.cwl/add_snv_bam_readcount_to_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#vcf_readcount_annotator.cwl/add_snv_bam_readcount_to_vcf/annotated_bam_readcount_vcf"
                    ],
                    "id": "#vcf_readcount_annotator.cwl/add_snv_bam_readcount_to_vcf"
                }
            ],
            "id": "#vcf_readcount_annotator.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "add GT tags",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "/usr/bin/perl",
                "/usr/bin/add_strelka_gt.pl",
                "$(inputs.vcf.path)",
                "$(runtime.outdir)"
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#add_strelka_gt.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "add_gt.vcf"
                    },
                    "id": "#add_strelka_gt.cwl/processed_vcf"
                }
            ],
            "id": "#add_strelka_gt.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "add VEP annotation to report",
            "baseCommand": [
                "vep-annotation-reporter"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "griffithlab/vatools:3.1.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.prefix).annotated.tsv"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "variants",
                    "id": "#add_vep_fields_to_table.cwl/prefix"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#add_vep_fields_to_table.cwl/tsv"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#add_vep_fields_to_table.cwl/vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "default": [
                        "Consequence",
                        "SYMBOL",
                        "Feature",
                        "HGVSc",
                        "HGVSp"
                    ],
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#add_vep_fields_to_table.cwl/vep_fields"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.prefix).annotated.tsv"
                    },
                    "id": "#add_vep_fields_to_table.cwl/annotated_variants_tsv"
                }
            ],
            "id": "#add_vep_fields_to_table.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "apply BQSR",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx16g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "PrintReads"
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.output_name)"
                },
                "-preserveQ",
                "6",
                "-SQQ",
                "10",
                "-SQQ",
                "20",
                "-SQQ",
                "30",
                "-nct",
                "8",
                "--disable_indel_quals"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 18000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#apply_bqsr.cwl/bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-BQSR",
                        "position": 3
                    },
                    "id": "#apply_bqsr.cwl/bqsr_table"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "Final.bam",
                    "id": "#apply_bqsr.cwl/output_name"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#apply_bqsr.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#apply_bqsr.cwl/bqsr_bam"
                }
            ],
            "id": "#apply_bqsr.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "run bam-readcount",
            "baseCommand": [
                "/usr/bin/python",
                "/usr/bin/bam_readcount_helper.py"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/bam_readcount_helper-cwl:1.1.1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(runtime.outdir)",
                    "position": -3
                }
            ],
            "stdout": "$(inputs.sample)_bam_readcount.tsv",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -5
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bam_readcount.cwl_2/bam"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 20,
                    "inputBinding": {
                        "position": -2
                    },
                    "id": "#bam_readcount.cwl_2/min_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "inputBinding": {
                        "position": -1
                    },
                    "id": "#bam_readcount.cwl_2/min_mapping_quality"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "NOPREFIX",
                    "inputBinding": {
                        "position": -4
                    },
                    "id": "#bam_readcount.cwl_2/prefix"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": -6
                    },
                    "id": "#bam_readcount.cwl_2/reference_fasta"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": -7
                    },
                    "id": "#bam_readcount.cwl_2/sample"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -8
                    },
                    "id": "#bam_readcount.cwl_2/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n    var name = \"_bam_readcount_indel.tsv\";\n    if (inputs.prefix.equals(\"NOPREFIX\")) {\n        name = inputs.sample + name;\n    }\n    else {\n        name = inputs.prefix + \"_\" + inputs.sample + name;\n    }\n    return name;\n}\n"
                    },
                    "id": "#bam_readcount.cwl_2/indel_bam_readcount_tsv"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n    var name = \"_bam_readcount_snv.tsv\";\n    if (inputs.prefix.equals(\"NOPREFIX\")) {\n        name = inputs.sample + name;\n    }\n    else {\n        name = inputs.prefix + \"_\" + inputs.sample + name;\n    }\n    return name;\n}\n"
                    },
                    "id": "#bam_readcount.cwl_2/snv_bam_readcount_tsv"
                }
            ],
            "id": "#bam_readcount.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "BAM to CRAM conversion",
            "baseCommand": [
                "/opt/samtools/bin/samtools",
                "view",
                "-C"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "stdout": "$(inputs.bam.nameroot).cram",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#bam_to_cram.cwl/bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-T",
                        "position": 1
                    },
                    "id": "#bam_to_cram.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#bam_to_cram.cwl/cram",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).cram"
                    }
                }
            ],
            "id": "#bam_to_cram.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Picard: BAM to FASTQ",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx4g",
                "-jar",
                "/opt/picard/picard.jar",
                "SamToFastq",
                "VALIDATION_STRINGENCY=SILENT"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 6000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/rnaseq"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "F=$(runtime.outdir)/read1.fastq"
                },
                {
                    "valueFrom": "F2=$(runtime.outdir)/read2.fastq"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "I=",
                        "separate": false,
                        "position": 1
                    },
                    "id": "#bam_to_fastq.cwl/bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "read1.fastq"
                    },
                    "id": "#bam_to_fastq.cwl/fastq1"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "read2.fastq"
                    },
                    "id": "#bam_to_fastq.cwl/fastq2"
                }
            ],
            "id": "#bam_to_fastq.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "bgzip VCF",
            "baseCommand": [
                "/opt/htslib/bin/bgzip"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "stdout": "$(inputs.file.basename).gz",
            "arguments": [
                "-c"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#bgzip.cwl/file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#bgzip.cwl/bgzipped_file",
                    "outputBinding": {
                        "glob": "$(inputs.file.basename).gz"
                    }
                }
            ],
            "id": "#bgzip.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "create BQSR table",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx16g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "BaseRecalibrator"
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/bqsr.table"
                },
                "--preserve_qscores_less_than",
                "6",
                "--disable_auto_index_creation_and_locking_when_reading_rods",
                "--disable_bam_indexing",
                "-dfrac",
                ".1",
                "-nct",
                "4"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 18000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bqsr.cwl/bam"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "-L"
                        }
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "default": [
                        "chr1",
                        "chr2",
                        "chr3",
                        "chr4",
                        "chr5",
                        "chr6",
                        "chr7",
                        "chr8",
                        "chr9",
                        "chr10",
                        "chr11",
                        "chr12",
                        "chr13",
                        "chr14",
                        "chr15",
                        "chr16",
                        "chr17",
                        "chr18",
                        "chr19",
                        "chr20",
                        "chr21",
                        "chr22"
                    ],
                    "id": "#bqsr.cwl/intervals"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File",
                        "inputBinding": {
                            "prefix": "-knownSites",
                            "position": 4
                        }
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#bqsr.cwl/known_sites"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 2
                    },
                    "id": "#bqsr.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "bqsr.table"
                    },
                    "id": "#bqsr.cwl/bqsr_table"
                }
            ],
            "id": "#bqsr.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/bin/cat"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:xenial"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                {
                    "shellQuote": false,
                    "valueFrom": "|"
                },
                "/bin/grep",
                "ChrID",
                "/dev/stdin"
            ],
            "stdout": "all_region_pindel.head",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": -1
                    },
                    "id": "#cat_all.cwl/region_pindel_outs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat_all.cwl/all_region_pindel_head",
                    "outputBinding": {
                        "glob": "all_region_pindel.head"
                    }
                }
            ],
            "id": "#cat_all.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/bin/cat"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:xenial"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "stdout": "per_chromosome_pindel.out",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat_out.cwl/pindel_outs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat_out.cwl/pindel_out",
                    "outputBinding": {
                        "glob": "per_chromosome_pindel.out"
                    }
                }
            ],
            "id": "#cat_out.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/usr/bin/python",
                "/usr/local/bin/cnvkit.py",
                "batch"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "etal/cnvkit:0.9.5"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 4000,
                    "tmpdirMin": 10000
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 5,
                        "prefix": "--access"
                    },
                    "id": "#cnvkit_batch.cwl/access"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "--targets"
                    },
                    "id": "#cnvkit_batch.cwl/bait_intervals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 7,
                        "prefix": "--diagram"
                    },
                    "id": "#cnvkit_batch.cwl/diagram"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "--drop-low-coverage"
                    },
                    "id": "#cnvkit_batch.cwl/drop_low_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-y"
                    },
                    "id": "#cnvkit_batch.cwl/male_reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "hybrid",
                    "inputBinding": {
                        "position": 6,
                        "prefix": "--method"
                    },
                    "id": "#cnvkit_batch.cwl/method"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--normal"
                    },
                    "id": "#cnvkit_batch.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "--fasta"
                    },
                    "id": "#cnvkit_batch.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-r"
                    },
                    "id": "#cnvkit_batch.cwl/reference_cnn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 8,
                        "prefix": "--scatter"
                    },
                    "id": "#cnvkit_batch.cwl/scatter_plot"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cnvkit_batch.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot)-diagram.pdf"
                    },
                    "id": "#cnvkit_batch.cwl/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot)-scatter.pdf"
                    },
                    "id": "#cnvkit_batch.cwl/cn_scatter_plot"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${  \n    var glob_base = \".antitarget.bed\";\n    if (inputs.bait_intervals) {\n        glob_base = inputs.bait_intervals.nameroot + glob_base;\n    }   \n    return glob_base;\n}  \n"
                    },
                    "id": "#cnvkit_batch.cwl/intervals_antitarget"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".target.bed\";\n    if (inputs.bait_intervals) {\n        glob_base = inputs.bait_intervals.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/intervals_target"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".antitargetcoverage.cnn\";\n    if (inputs.normal_bam) {\n        glob_base = inputs.normal_bam.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/normal_antitarget_coverage"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".targetcoverage.cnn\";\n    if (inputs.normal_bam) {\n        glob_base = inputs.normal_bam.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/normal_target_coverage"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "reference.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/reference_coverage"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).antitargetcoverage.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).cnr"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).cns"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).targetcoverage.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_target_coverage"
                }
            ],
            "id": "#cnvkit_batch.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "collect alignment summary metrics",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx16g",
                "-jar",
                "/usr/picard/picard.jar",
                "CollectAlignmentSummaryMetrics"
            ],
            "arguments": [
                "OUTPUT=",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.bam.nameroot).AlignmentSummaryMetrics.txt"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 18000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/picard-cwl:2.18.1"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "INPUT="
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#collect_alignment_summary_metrics.cwl/bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "METRIC_ACCUMULATION_LEVEL="
                    },
                    "id": "#collect_alignment_summary_metrics.cwl/metric_accumulation_level"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "REFERENCE_SEQUENCE="
                    },
                    "id": "#collect_alignment_summary_metrics.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).AlignmentSummaryMetrics.txt"
                    },
                    "id": "#collect_alignment_summary_metrics.cwl/alignment_summary_metrics"
                }
            ],
            "id": "#collect_alignment_summary_metrics.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "collect HS metrics",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx48g",
                "-jar",
                "/usr/picard/picard.jar",
                "CollectHsMetrics"
            ],
            "arguments": [
                "O=",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.bam.nameroot).$(inputs.output_prefix)-HsMetrics.txt"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 52000
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/picard-cwl:2.18.1"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "BAIT_INTERVALS="
                    },
                    "id": "#collect_hs_metrics.cwl/bait_intervals"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "I="
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#collect_hs_metrics.cwl/bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "METRIC_ACCUMULATION_LEVEL="
                    },
                    "id": "#collect_hs_metrics.cwl/metric_accumulation_level"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 1,
                    "inputBinding": {
                        "prefix": "MINIMUM_BASE_QUALITY="
                    },
                    "id": "#collect_hs_metrics.cwl/minimum_base_quality"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 1,
                    "inputBinding": {
                        "prefix": "MINIMUM_MAPPING_QUALITY="
                    },
                    "id": "#collect_hs_metrics.cwl/minimum_mapping_quality"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "out",
                    "id": "#collect_hs_metrics.cwl/output_prefix"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "PER_BASE_COVERAGE=",
                        "valueFrom": "${\n    if(self) {\n        return inputs.bam.nameroot + \".\" + inputs.output_prefix + \"-PerBaseCoverage.txt\"\n    } else {\n        return false;\n    }\n}\n"
                    },
                    "id": "#collect_hs_metrics.cwl/per_base_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "PER_TARGET_COVERAGE=",
                        "valueFrom": "${\n    if(self) {\n        return inputs.bam.nameroot + \".\" + inputs.output_prefix + \"-PerTargetCoverage.txt\"\n    } else {\n        return false;\n    }\n}\n"
                    },
                    "id": "#collect_hs_metrics.cwl/per_target_coverage"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "R="
                    },
                    "id": "#collect_hs_metrics.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "TARGET_INTERVALS="
                    },
                    "id": "#collect_hs_metrics.cwl/target_intervals"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).$(inputs.output_prefix)-HsMetrics.txt"
                    },
                    "id": "#collect_hs_metrics.cwl/hs_metrics"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).$(inputs.output_prefix)-PerBaseCoverage.txt"
                    },
                    "id": "#collect_hs_metrics.cwl/per_base_coverage_metrics"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).$(inputs.output_prefix)-PerTargetCoverage.txt"
                    },
                    "id": "#collect_hs_metrics.cwl/per_target_coverage_metrics"
                }
            ],
            "id": "#collect_hs_metrics.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "collect insert size metrics",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx16g",
                "-jar",
                "/usr/picard/picard.jar",
                "CollectInsertSizeMetrics"
            ],
            "arguments": [
                "O=",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.bam.nameroot).InsertSizeMetrics.txt"
                },
                "H=",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.bam.nameroot).InsertSizeHistogram.pdf"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 18000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/picard-cwl:2.18.1"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "I="
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#collect_insert_size_metrics.cwl/bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "METRIC_ACCUMULATION_LEVEL="
                    },
                    "id": "#collect_insert_size_metrics.cwl/metric_accumulation_level"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "REFERENCE_SEQUENCE="
                    },
                    "id": "#collect_insert_size_metrics.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).InsertSizeHistogram.pdf"
                    },
                    "id": "#collect_insert_size_metrics.cwl/insert_size_histogram"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).InsertSizeMetrics.txt"
                    },
                    "id": "#collect_insert_size_metrics.cwl/insert_size_metrics"
                }
            ],
            "id": "#collect_insert_size_metrics.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "CombineVariants (GATK 3.6)",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx8g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "CombineVariants"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 9000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                }
            ],
            "arguments": [
                "-genotypeMergeOptions",
                "PRIORITIZE",
                "--rod_priority_list",
                "mutect,varscan,strelka,pindel",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/combined.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant:mutect",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#combine_variants.cwl/mutect_vcf"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant:pindel",
                        "position": 5
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#combine_variants.cwl/pindel_vcf"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#combine_variants.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant:strelka",
                        "position": 4
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#combine_variants.cwl/strelka_vcf"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant:varscan",
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#combine_variants.cwl/varscan_vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "combined.vcf.gz"
                    },
                    "id": "#combine_variants.cwl/combined_vcf"
                }
            ],
            "id": "#combine_variants.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Concordance checking between Tumor and Normal BAM",
            "baseCommand": [
                "/usr/bin/somalier"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 8000,
                    "tmpdirMin": 10000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "brentp/somalier:v0.1.5"
                }
            ],
            "arguments": [
                "-o",
                "concordance"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#concordance.cwl/bam_1"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#concordance.cwl/bam_2"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 5
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#concordance.cwl/bam_3"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-f",
                        "position": 2
                    },
                    "id": "#concordance.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-s",
                        "position": 1
                    },
                    "id": "#concordance.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "concordance.somalier.pairs.tsv"
                    },
                    "id": "#concordance.cwl/somalier_pairs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "concordance.somalier.samples.tsv"
                    },
                    "id": "#concordance.cwl/somalier_samples"
                }
            ],
            "id": "#concordance.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "CombineVariants (GATK 3.6)",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx8g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "CombineVariants"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 9000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle"
                }
            ],
            "arguments": [
                "-genotypeMergeOptions",
                "PRIORITIZE",
                "--rod_priority_list",
                "callers,docm",
                "--setKey",
                "null",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/merged.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant:callers",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#docm_add_variants.cwl/callers_vcf"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant:docm",
                        "position": 3
                    },
                    "id": "#docm_add_variants.cwl/docm_vcf"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#docm_add_variants.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "merged.vcf.gz"
                    },
                    "id": "#docm_add_variants.cwl/merged_vcf"
                }
            ],
            "id": "#docm_add_variants.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "HaplotypeCaller (GATK 3.6)",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx8g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "HaplotypeCaller"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 9000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "arguments": [
                "-gt_mode",
                "GENOTYPE_GIVEN_ALLELES",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/docm_raw_variants.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 3
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#docm_gatk_haplotype_caller.cwl/bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--alleles",
                        "position": 4
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#docm_gatk_haplotype_caller.cwl/docm_vcf"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-L",
                        "position": 5
                    },
                    "id": "#docm_gatk_haplotype_caller.cwl/interval_list"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#docm_gatk_haplotype_caller.cwl/normal_bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#docm_gatk_haplotype_caller.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "docm_raw_variants.vcf"
                    },
                    "id": "#docm_gatk_haplotype_caller.cwl/docm_raw_variants"
                }
            ],
            "id": "#docm_gatk_haplotype_caller.cwl"
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:xenial"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 2000
                },
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "baseCommand": [
                "/usr/bin/awk",
                "{getline; printf \"HLA-\"$2 \" HLA-\"$3 \" HLA-\"$4 \" HLA-\"$5 \" HLA-\"$6 \" HLA-\"$7}"
            ],
            "arguments": [
                {
                    "shellQuote": false,
                    "valueFrom": ">"
                },
                "helper.txt"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -1
                    },
                    "id": "#extract_hla_alleles.cwl/allele_file"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "outputBinding": {
                        "glob": "helper.txt",
                        "loadContents": true,
                        "outputEval": "$(self[0].contents.split(\" \"))"
                    },
                    "id": "#extract_hla_alleles.cwl/allele_string"
                }
            ],
            "id": "#extract_hla_alleles.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "cle_annotated_vcf_filter",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/docm_and_coding_indel_selection.pl"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "$(inputs.vcf.path)",
                "$(runtime.outdir)"
            ],
            "inputs": [
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "filter",
                        "position": 1
                    },
                    "id": "#filter_vcf_cle.cwl/filter"
                },
                {
                    "type": "File",
                    "id": "#filter_vcf_cle.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated_filtered.vcf"
                    },
                    "id": "#filter_vcf_cle.cwl/cle_filtered_vcf"
                }
            ],
            "id": "#filter_vcf_cle.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Coding Variant filter",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/vcf_check.pl"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/vep_helper-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(inputs.vcf.path)"
                },
                {
                    "valueFrom": "$(runtime.outdir)/annotated.coding_variant_filtered.vcf"
                },
                "/usr/bin/perl",
                "/opt/vep/src/ensembl-vep/filter_vep",
                "--format",
                "vcf",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/annotated.coding_variant_filtered.vcf"
                },
                "--ontology",
                "--filter",
                "Consequence is coding_sequence_variant"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i",
                        "position": 1
                    },
                    "id": "#filter_vcf_coding_variant.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.coding_variant_filtered.vcf"
                    },
                    "id": "#filter_vcf_coding_variant.cwl/filtered_vcf"
                }
            ],
            "id": "#filter_vcf_coding_variant.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "filter variants at sites below a given sequence depth in each sample",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/depth-filter:0.1.2"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "baseCommand": [
                "/opt/conda/bin/python3",
                "/usr/bin/depth_filter.py"
            ],
            "arguments": [
                {
                    "valueFrom": "$(runtime.outdir)/depth_filtered.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "--minimum_depth",
                        "position": -3
                    },
                    "id": "#filter_vcf_depth.cwl/minimum_depth"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": -1
                    },
                    "id": "#filter_vcf_depth.cwl/sample_names"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -2
                    },
                    "id": "#filter_vcf_depth.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "depth_filtered.vcf"
                    },
                    "id": "#filter_vcf_depth.cwl/depth_filtered_vcf"
                }
            ],
            "id": "#filter_vcf_depth.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Filter variants from the DoCM detector",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/docm_filter.pl"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.4.2"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "$(runtime.outdir)/docm_filtered_variants.vcf"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -4
                    },
                    "id": "#filter_vcf_docm.cwl/docm_raw_variants"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 1,
                        "valueFrom": "${\n  if(inputs.filter_docm_variants){\n    return \"1\";\n  } else {\n    return \"0\";\n  }\n}\n"
                    },
                    "id": "#filter_vcf_docm.cwl/filter_docm_variants"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -3
                    },
                    "id": "#filter_vcf_docm.cwl/normal_bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -2
                    },
                    "id": "#filter_vcf_docm.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "docm_filtered_variants.vcf"
                    },
                    "id": "#filter_vcf_docm.cwl/docm_filtered_variants"
                }
            ],
            "id": "#filter_vcf_docm.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "gnomADe_AF filter",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/vcf_check.pl"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/vep_helper-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(inputs.vcf.path)"
                },
                {
                    "valueFrom": "$(runtime.outdir)/annotated.af_filtered.vcf"
                },
                "/usr/bin/perl",
                "/opt/vep/src/ensembl-vep/filter_vep",
                "--format",
                "vcf",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/annotated.af_filtered.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "float",
                    "inputBinding": {
                        "valueFrom": "${\n    return [\n        \"--filter\",\n        [\n            \"gnomADe_AF\", \"<\", inputs.maximum_population_allele_frequency,\n            \"or not\", \"gnomADe_AF\"\n        ].join(\" \")\n    ]\n}\n",
                        "position": 2
                    },
                    "id": "#filter_vcf_gnomADe_allele_freq.cwl/maximum_population_allele_frequency"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i",
                        "position": 1
                    },
                    "id": "#filter_vcf_gnomADe_allele_freq.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.af_filtered.vcf"
                    },
                    "id": "#filter_vcf_gnomADe_allele_freq.cwl/filtered_vcf"
                }
            ],
            "id": "#filter_vcf_gnomADe_allele_freq.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "filter vcf for variants with high percentage of mapq0 reads",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/mapq0-filter:v0.3"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 8000,
                    "tmpdirMin": 10000
                }
            ],
            "arguments": [
                "/bin/bash",
                "/usr/bin/mapq0_vcf_filter.sh",
                {
                    "valueFrom": "$(runtime.outdir)/mapq_filtered.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#filter_vcf_mapq0.cwl/reference"
                },
                {
                    "type": "float",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#filter_vcf_mapq0.cwl/threshold"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#filter_vcf_mapq0.cwl/tumor_bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#filter_vcf_mapq0.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "mapq_filtered.vcf.gz"
                    },
                    "id": "#filter_vcf_mapq0.cwl/mapq0_filtered_vcf"
                }
            ],
            "id": "#filter_vcf_mapq0.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "use the binomial/llr somatic filter to weed out low confidence variants",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/somatic-llr-filter:v0.4.3"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "baseCommand": [
                "/opt/conda/bin/python3",
                "/usr/bin/somatic_llr_filter.py"
            ],
            "arguments": [
                "--overwrite",
                {
                    "valueFrom": "$(runtime.outdir)/somatic_llr_filtered.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "float",
                    "inputBinding": {
                        "prefix": "--llr-threshold",
                        "position": -2
                    },
                    "id": "#filter_vcf_somatic_llr.cwl/threshold"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -1
                    },
                    "id": "#filter_vcf_somatic_llr.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "somatic_llr_filtered.vcf"
                    },
                    "id": "#filter_vcf_somatic_llr.cwl/somatic_llr_filtered_vcf"
                }
            ],
            "id": "#filter_vcf_somatic_llr.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "False Positive filter",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/fpfilter.pl"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/fp_filter-cwl:1.0.1"
                }
            ],
            "arguments": [
                "--bam-readcount",
                "/usr/bin/bam-readcount",
                "--samtools",
                "/opt/samtools/bin/samtools",
                "--output",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.output_vcf_basename).vcf"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--bam-file",
                        "position": 2
                    },
                    "id": "#fp_filter.cwl_2/bam"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.05,
                    "inputBinding": {
                        "prefix": "--min-var-freq",
                        "position": 5
                    },
                    "id": "#fp_filter.cwl_2/min_var_freq"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fpfilter",
                    "id": "#fp_filter.cwl_2/output_vcf_basename"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--reference",
                        "position": 1
                    },
                    "id": "#fp_filter.cwl_2/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "TUMOR",
                    "inputBinding": {
                        "prefix": "--sample",
                        "position": 4
                    },
                    "id": "#fp_filter.cwl_2/sample_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--vcf-file",
                        "position": 3
                    },
                    "id": "#fp_filter.cwl_2/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_vcf_basename).vcf"
                    },
                    "id": "#fp_filter.cwl_2/filtered_vcf"
                }
            ],
            "id": "#fp_filter.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "GATK HaplotypeCaller",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx8g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "GenotypeGVCFs"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 9000
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.5.0"
                }
            ],
            "arguments": [
                "-o",
                "genotype.vcf.gz"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File",
                        "inputBinding": {
                            "prefix": "--variant"
                        }
                    },
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#gatk_genotypegvcfs.cwl/gvcfs"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#gatk_genotypegvcfs.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "genotype.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk_genotypegvcfs.cwl/genotype_vcf"
                }
            ],
            "id": "#gatk_genotypegvcfs.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "GATK HaplotypeCaller",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx8g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "HaplotypeCaller"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 10000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.5.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#gatk_haplotype_caller.cwl/bam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-contamination",
                        "position": 7
                    },
                    "id": "#gatk_haplotype_caller.cwl/contamination_fraction"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--dbsnp",
                        "position": 6
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk_haplotype_caller.cwl/dbsnp_vcf"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-ERC",
                        "position": 3
                    },
                    "id": "#gatk_haplotype_caller.cwl/emit_reference_confidence"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "-GQB"
                        }
                    },
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#gatk_haplotype_caller.cwl/gvcf_gq_bands"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "-L"
                        }
                    },
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#gatk_haplotype_caller.cwl/intervals"
                },
                {
                    "type": "string",
                    "default": "output.g.vcf.gz",
                    "inputBinding": {
                        "prefix": "-o",
                        "position": 8
                    },
                    "id": "#gatk_haplotype_caller.cwl/output_file_name"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#gatk_haplotype_caller.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file_name)"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#gatk_haplotype_caller.cwl/gvcf"
                }
            ],
            "id": "#gatk_haplotype_caller.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Picard: RNA Seq Metrics",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx16g",
                "-jar",
                "/opt/picard/picard.jar",
                "CollectRnaSeqMetrics"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 18000,
                    "coresMin": 1
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/rnaseq"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "O=$(runtime.outdir)/rna_metrics.txt"
                },
                {
                    "valueFrom": "CHART=$(runtime.outdir)/rna_metrics.pdf"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "I=",
                        "separate": false
                    },
                    "id": "#generate_qc_metrics.cwl/bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "REF_FLAT=",
                        "separate": false
                    },
                    "id": "#generate_qc_metrics.cwl/refFlat"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "RIBOSOMAL_INTERVALS=",
                        "separate": false
                    },
                    "id": "#generate_qc_metrics.cwl/ribosomal_intervals"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#generate_qc_metrics.cwl/strand/first",
                                "#generate_qc_metrics.cwl/strand/second",
                                "#generate_qc_metrics.cwl/strand/unstranded"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "valueFrom": "${\n    if (inputs.strand) {\n        if (inputs.strand == 'first') {  \n            return ['STRAND=SECOND_READ_TRANSCRIPTION_STRAND'];\n        } else if (inputs.strand == 'second') {\n            return ['STRAND=FIRST_READ_TRANSCRIPTION_STRAND'];\n        } else {\n            return ['STRAND=NONE'];\n        }\n    } else {\n            return ['STRAND=NONE']\n    }\n}\n"
                    },
                    "id": "#generate_qc_metrics.cwl/strand"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "rna_metrics.pdf"
                    },
                    "id": "#generate_qc_metrics.cwl/chart"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "rna_metrics.txt"
                    },
                    "id": "#generate_qc_metrics.cwl/metrics"
                }
            ],
            "id": "#generate_qc_metrics.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "grolar- pizzly gene fusion output parser",
            "baseCommand": [
                "Rscript",
                "grolar.R"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 16000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/grolar-cwl:1.0"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "grolar.R",
                            "entry": "args <- commandArgs(trailingOnly = TRUE)\n#adapted from https://github.com/MattBashton/grolar\n\n# Load JSON output from pizzly add in gene co-ordinates + compute distance when on same chr\n\n# Set up\n# Change to your own output location\n\n# CRAN libs\nlibrary(jsonlite)\nlibrary(dplyr)\n\n\nspecies <- args[2]\nassembly_version <- args[3]\n\nif (species == \"homo_sapiens\"){\n  if (assembly_version == \"GRCh38\"){\n    library(EnsDb.Hsapiens.v86)\n    edb <- EnsDb.Hsapiens.v86\n  } else if (assembly_version == \"GRCh37\") {\n    library(EnsDb.Hsapiens.v75)\n    edb <- EnsDb.Hsapiens.v75\n  } else {\n    message(\"Unknown assembly passed to grolar:\", assembly_version)\n    message(\"Options are: GRCh37, GRCh38\")\n    quit(status=1)\n  }\n} else if (species == \"mus_musculus\"){\n  if (assembly_version == \"GRCm38\"){\n    library(EnsDb.Mmusculus.v79)\n    edb <- EnsDb.Mmusculus.v79\n  } else if (assembly_version == \"GRCm37\"){\n    library(EnsDb.Mmusculus.v75)\n    edb <- EnsDb.Mmusculus.v75\n  } else {\n    message(\"Unknown assembly passed to grolar:\", assembly_version)\n    message(\"Options are: GRCm38, GRCm37\")\n    quit(status=1)\n  }\n\n} else {\n  message(\"Unknown species passed to grolar:\", species)\n  message(\"Options are: homo_sapiens, mus_musculus\")\n  quit(status=1)\n}\nlistColumns(edb)\nsupportedFilters(edb)\n\n# This function will flatten out the JSON giving you a list of gene A and gene\n# B sorted by splitcount then paircount\nGetFusionz <- function(JSON_file) {\n\n  cat(paste(\"input file:\", JSON_file, \"###\", \"\\n\"))\n  cat(\"Reading JSON..\\n\")\n  JSON <- fromJSON(JSON_file, flatten = TRUE)\n  cat(\"Extracting gene dataframe\\n\")\n  JSON_level1 <- JSON$genes\n  cat(\"Sorting by number of events\\n\")\n  idx <- order(JSON_level1$splitcount, JSON_level1$paircount, decreasing = TRUE)\n  output <- JSON_level1[idx,]\n  # Clean up IDs\n  output$geneA.id <- gsub(\".\\\\d+$\", \"\", output$geneA.id, perl = TRUE)\n  output$geneB.id <- gsub(\".\\\\d+$\", \"\", output$geneB.id, perl = TRUE)\n  cat(paste0(\"Writing out table: \", JSON_file, \"_fusions_filt_sorted.txt\", \"\\n\"))\n  write.table(output[,c(-3,-4)], file = paste0(JSON_file, \"_fusions_filt_sorted.simple.txt\"), quote = FALSE, sep = \"\\t\", row.names = FALSE, col.names = TRUE)\n  cat(\"\\n\")\n  return(TRUE)\n}\n\n\n# This function will flatten out the JSON giving you a list of gene A and gene B\n# sorted by splitcount then paircount, it will also get co-ordinates for each\n# gene, and if on same chr caculate distance between the two\nGetFusionz_and_namez <- function(JSON_file) {\n\n  # To test\n  cat(paste(\"### input file:\", JSON_file, \"###\", \"\\n\"))\n  cat(\"Reading JSON..\\n\")\n  JSON <- fromJSON(JSON_file, flatten = TRUE)\n  cat(\"Extracting gene dataframe\\n\")\n  JSON_level1 <- JSON$genes\n  output <- JSON_level1\n\n  if(length(output) < 1){\n    print(\"No fusions exist in pizzly input. Creating empty output file\")\n    file.create(paste0(basename(JSON_file), \"_fusions_filt_sorted.txt\"))\n    quit(status=0)\n  }\n\n  # Drop weird cols\n  output <- output[,c(-3,-4)]\n\n  # Clean up IDs\n  output$geneA.id <- gsub(\".\\\\d+$\", \"\", output$geneA.id, perl = TRUE)\n  output$geneB.id <- gsub(\".\\\\d+$\", \"\", output$geneB.id, perl = TRUE)\n\n  # Add uniq-key\n  output <- cbind(rownames(output), output)\n  tmp <- colnames(output)[-1]\n  colnames(output) <- c(\"ID\", tmp)\n  #colnames(output)\n  #head(output)\n\n  # Now extract geneA geneB locations\n  # get all geneAs\n  cat(\"Getting co-ordinates for gene A\\n\")\n  geneAs <- output$geneA.id\n  geneAs_info <- genes(edb,\n        columns = c(\"gene_id\",\"seq_name\",\"gene_seq_start\",\"gene_seq_end\",\"seq_strand\"),\n        filter = GeneIdFilter(geneAs),\n        return.type = \"DataFrame\")\n\n  # get all geneBs\n  cat(\"Getting co-ordinates for gene B\\n\")\n  geneBs <- output$geneB.id\n  geneBs_info <- genes(edb,\n                       columns = c(\"gene_id\",\"seq_name\",\"gene_seq_start\",\"gene_seq_end\",\"seq_strand\"),\n                       filter = GeneIdFilter(geneBs),\n                       return.type = \"DataFrame\")\n\n  # Rename cols\n  colnames(geneAs_info) <- paste0(\"geneA.\", colnames(geneAs_info))\n  colnames(geneBs_info) <- paste0(\"geneB.\", colnames(geneBs_info))\n  #colnames(geneAs_info)\n  #colnames(geneBs_info)\n\n  # Merge in geneA_info\n  cat(\"Merging DFs\\n\")\n  tmp1 <- merge(output, geneAs_info, by.x = \"geneA.id\", by.y = \"geneA.gene_id\", all.x = TRUE)\n  tmp2 <- merge(output, geneBs_info, by.x = \"geneB.id\", by.y = \"geneB.gene_id\", all.x = TRUE)\n\n  # Check we have the same length\n  stopifnot(nrow(tmp1) == nrow(tmp2))\n\n  # Merge these DFs\n  output <- merge(tmp1, tmp2[,c(2,8:11)], by = \"ID\")[,c(1,3,4,2,5,8,9,10,11,6,7,12,13,14,15)]\n  colnames(output)\n\n  # Now use mutate\n  cat(\"Finding genes on same chr\\n\")\n  super_identical <- Vectorize(identical, c(\"x\", \"y\"))\n  # Need to convert from DataFrame to data.frame\n  output <- as.data.frame(output)\n  output <- mutate(output, same_chr = super_identical(output$geneA.seq_name,output$geneB.seq_name))\n  identical_idx <- which(output$same_chr == TRUE)\n\n  # New function for getting distance\n  GetDistance <- function(RowIdx, dat) {\n    OurRow <- dat[RowIdx,]\n    # If we have NA annotation return NA\n    if(any(is.na(c(dat[RowIdx,]$geneA.seq_name, dat[RowIdx,]$geneB.seq_name)))) {\n      return(NA)\n    }\n    # Test which starts 1st geneA or geneB\n      geneA_1st <- ifelse(OurRow$geneA.gene_seq_end < OurRow$geneB.gene_seq_start, TRUE,FALSE)\n    if(geneA_1st == TRUE) {\n      return(OurRow$geneB.gene_seq_start - OurRow$geneA.gene_seq_end)\n    } else if(geneA_1st == FALSE) {\n      return(OurRow$geneA.gene_seq_start - OurRow$geneB.gene_seq_end)\n    }\n  }\n\n  # Test\n  #GetDistance(22, output)\n  #GetDistance(476, output)\n  #GetDistance(5916, output)\n\n  #Only run if our index has at least one TRUE value\n  if(sum(identical_idx)) {\n\n    # Get distances\n    cat(\"Computing gene distances\\n\")\n    geneDistance <- sapply(identical_idx, function(x) GetDistance(x, output))\n    output[identical_idx,\"gene_distance\"] <- geneDistance\n\n  }\n\n  # Sort by splitcount then paircount\n  cat(\"Sorting by number of events\\n\")\n  idx <- order(output$splitcount, output$paircount, decreasing = TRUE)\n  output <- output[idx,]\n\n  # Write out output\n  cat(paste0(\"Writing out table: \", JSON_file, \"_fusions_filt_sorted.txt\", \"\\n\"))\n  write.table(output, file = paste0(basename(JSON_file), \"_fusions_filt_sorted.txt\"), quote = FALSE, sep = \"\\t\", row.names = FALSE, col.names = TRUE)\n  cat(\"\\n\")\n  return(TRUE)\n}\n\n\n\nGetFusionz_and_namez(args[1])\n"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "default": "GRCh38",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#grolar.cwl/assembly"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#grolar.cwl/pizzly_calls"
                },
                {
                    "type": "string",
                    "default": "homo_sapiens",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#grolar.cwl/species"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "pizzly.json_fusions_filt_sorted.txt"
                    },
                    "id": "#grolar.cwl/parsed_fusion_calls"
                }
            ],
            "id": "#grolar.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "HISAT2: align",
            "baseCommand": [
                "/usr/bin/hisat2"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000,
                    "coresMin": 16
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/rnaseq"
                }
            ],
            "arguments": [
                "-p",
                "$(runtime.cores)",
                "--dta",
                {
                    "shellQuote": false,
                    "valueFrom": "|"
                },
                "/usr/bin/sambamba",
                "view",
                "-S",
                "-f",
                "bam",
                "-l",
                "0",
                "/dev/stdin",
                {
                    "shellQuote": false,
                    "valueFrom": "|"
                },
                "/usr/bin/sambamba",
                "sort",
                "-t",
                "$(runtime.cores)",
                "-m",
                "8G",
                "-o",
                "$(runtime.outdir)/aligned.bam",
                "/dev/stdin"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-1",
                        "position": -2
                    },
                    "id": "#hisat2_align.cwl/fastq1"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-2",
                        "position": -1
                    },
                    "id": "#hisat2_align.cwl/fastq2"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "--rg"
                        }
                    },
                    "inputBinding": {
                        "position": -4
                    },
                    "id": "#hisat2_align.cwl/read_group_fields"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--rg-id",
                        "position": -5
                    },
                    "id": "#hisat2_align.cwl/read_group_id"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".1.ht2",
                        ".2.ht2",
                        ".3.ht2",
                        ".4.ht2",
                        ".5.ht2",
                        ".6.ht2",
                        ".7.ht2",
                        ".8.ht2"
                    ],
                    "inputBinding": {
                        "prefix": "-x",
                        "position": -3
                    },
                    "id": "#hisat2_align.cwl/reference_index"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#hisat2_align.cwl/strand/first",
                                "#hisat2_align.cwl/strand/second",
                                "#hisat2_align.cwl/strand/unstranded"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "valueFrom": "${\n    if (inputs.strand) {\n        if (inputs.strand == 'first') {\n            return ['--rna-strandness RF'];\n        } else if (inputs.strand == 'second') {\n            return ['--rna-strandness FR'];\n        } else {\n            return [];\n        }\n    } else {\n            return []\n    }\n}\n",
                        "position": -6
                    },
                    "id": "#hisat2_align.cwl/strand"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "aligned.bam"
                    },
                    "id": "#hisat2_align.cwl/aligned_bam"
                }
            ],
            "id": "#hisat2_align.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "samtools index",
            "arguments": [
                "/opt/samtools/bin/samtools",
                "index",
                "$(runtime.outdir)/$(inputs.bam.basename)",
                "$(runtime.outdir)/$(inputs.bam.basename).bai",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "cp",
                "$(inputs.bam.basename).bai",
                "$(runtime.outdir)/$(inputs.bam.nameroot).bai"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "${ var f = inputs.bam; delete f.secondaryFiles; return f }"
                    ]
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#index_bam.cwl/bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.bam.basename)"
                    },
                    "id": "#index_bam.cwl/indexed_bam"
                }
            ],
            "id": "#index_bam.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "samtools index cram",
            "arguments": [
                "/opt/samtools/bin/samtools",
                "index",
                "$(runtime.outdir)/$(inputs.cram.basename)",
                "$(runtime.outdir)/$(inputs.cram.basename).crai",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "cp",
                "$(inputs.cram.basename).crai",
                "$(runtime.outdir)/$(inputs.cram.nameroot).crai"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "${ var f = inputs.cram; delete f.secondaryFiles; return f }"
                    ]
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#index_cram.cwl/cram"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".crai",
                        "^.crai"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.cram.basename)"
                    },
                    "id": "#index_cram.cwl/indexed_cram"
                }
            ],
            "id": "#index_cram.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "vcf index",
            "arguments": [
                "cp",
                "$(inputs.vcf.path)",
                "$(runtime.outdir)/$(inputs.vcf.basename)",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "/usr/bin/tabix",
                "-p",
                "vcf"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "valueFrom": "$(self.basename)",
                        "position": 1
                    },
                    "id": "#index_vcf.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.vcf.basename)"
                    },
                    "id": "#index_vcf.cwl/indexed_vcf"
                }
            ],
            "id": "#index_vcf.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/intervals_to_bed.pl"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/perl_helper-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "stdout": "interval_list.bed",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#intervals_to_bed.cwl/interval_list"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#intervals_to_bed.cwl/interval_bed",
                    "outputBinding": {
                        "glob": "interval_list.bed"
                    }
                }
            ],
            "id": "#intervals_to_bed.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Kallisto: Quant",
            "baseCommand": [
                "/usr/bin/kallisto"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 32000,
                    "coresMin": 8
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/rnaseq"
                }
            ],
            "arguments": [
                "quant",
                "-t",
                "$(runtime.cores)",
                "-b",
                "100",
                "--fusion",
                "-o",
                "kallisto"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "array",
                            "items": "File"
                        }
                    },
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#kallisto.cwl/fastqs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i",
                        "position": 2
                    },
                    "id": "#kallisto.cwl/kallisto_index"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#kallisto.cwl/strand/first",
                                "#kallisto.cwl/strand/second",
                                "#kallisto.cwl/strand/unstranded"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "valueFrom": "${\n    if (inputs.strand) {\n        if (inputs.strand == 'first') {\n            return ['--fr-stranded'];\n        } else if (inputs.strand == 'second') {\n            return ['--rf-stranded'];\n        } else {\n            return [];\n        }\n    } else {\n            return [];\n    }\n}\n",
                        "position": 1
                    },
                    "id": "#kallisto.cwl/strand"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "kallisto/abundance.h5"
                    },
                    "id": "#kallisto.cwl/expression_transcript_h5"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "kallisto/abundance.tsv"
                    },
                    "id": "#kallisto.cwl/expression_transcript_table"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "kallisto/fusion.txt"
                    },
                    "id": "#kallisto.cwl/fusion_evidence"
                }
            ],
            "id": "#kallisto.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Helper script to pull the k-mer size used in generating a kallisto index from the index file",
            "baseCommand": [
                "perl",
                "extractor.pl"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 16000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:bionic"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "extractor.pl",
                            "entry": "my $filename = $ARGV[0];\nopen(my $fh, $filename);\nbinmode $fh;\nread($fh, my $version, 8);\ndie \"unexpected index version!\" unless unpack('Q', $version) == 10;\nread($fh, my $kmer_size, 4);\nprint unpack('L', $kmer_size);\n"
                        }
                    ]
                }
            ],
            "stdout": "kmer_temp.txt",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#kmer_size_from_index.cwl/kallisto_index"
                }
            ],
            "outputs": [
                {
                    "type": "int",
                    "outputBinding": {
                        "glob": "kmer_temp.txt",
                        "loadContents": true,
                        "outputEval": "$(parseInt(self[0].contents))"
                    },
                    "id": "#kmer_size_from_index.cwl/kmer_length"
                }
            ],
            "id": "#kmer_size_from_index.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Set up and execute manta",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/manta_somatic-cwl:1.5.0"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 12,
                    "ramMin": 24000,
                    "tmpdirMin": 10000
                }
            ],
            "baseCommand": [
                "/usr/bin/python",
                "/usr/bin/manta/bin/configManta.py"
            ],
            "arguments": [
                {
                    "position": -1,
                    "valueFrom": "$(runtime.outdir)",
                    "prefix": "--runDir"
                },
                {
                    "shellQuote": false,
                    "valueFrom": "&&"
                },
                "/usr/bin/python",
                "runWorkflow.py",
                "-m",
                "local",
                {
                    "position": 1,
                    "valueFrom": "$(runtime.cores)",
                    "prefix": "-j"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": -5,
                        "prefix": "--callRegions"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "doc": "bgzip-compressed, tabix-indexed BED file specifiying regions to which variant analysis will be restricted",
                    "id": "#manta_somatic.cwl/call_regions"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": -6,
                        "prefix": "--exome"
                    },
                    "doc": "toggles on settings for WES",
                    "id": "#manta_somatic.cwl/non_wgs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": -2,
                        "prefix": "--normalBam"
                    },
                    "secondaryFiles": "${if (self.nameext === \".bam\") {return self.basename + \".bai\"} else {return self.basename + \".crai\"}}",
                    "id": "#manta_somatic.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": -7,
                        "prefix": "--outputContig"
                    },
                    "doc": "if true, outputs assembled contig sequences in final VCF files, in the INFO field CONTIG",
                    "id": "#manta_somatic.cwl/output_contigs"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": -4,
                        "prefix": "--referenceFasta"
                    },
                    "id": "#manta_somatic.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -3,
                        "prefix": "--tumorBam"
                    },
                    "secondaryFiles": "${if (self.nameext === \".bam\") {return self.basename + \".bai\"} else {return self.basename + \".crai\"}}",
                    "id": "#manta_somatic.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results/variants/candidateSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/all_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/diploidSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/diploid_variants"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results/variants/candidateSmallIndels.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/small_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/somaticSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/somatic_variants"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/tumorSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/tumor_only_variants"
                }
            ],
            "id": "#manta_somatic.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Mark duplicates and Sort",
            "baseCommand": [
                "/bin/bash",
                "markduplicates_helper.sh"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "coresMin": 8,
                    "ramMin": 40000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/mark_duplicates-cwl:1.0.1"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "markduplicates_helper.sh",
                            "entry": "set -o pipefail\nset -o errexit\n\ndeclare MD_BARCODE_TAG\nif [ ! -z \"$6\" ]; then\n  MD_BARCODE_TAG=\"BARCODE_TAG=$6\"\n/usr/bin/java -Xmx16g -jar /opt/picard/picard.jar MarkDuplicates I=$1 O=/dev/stdout ASSUME_SORT_ORDER=$5 METRICS_FILE=$4 QUIET=true COMPRESSION_LEVEL=0 VALIDATION_STRINGENCY=LENIENT \"$MD_BARCODE_TAG\" | /usr/bin/sambamba sort -t $2 -m 18G -o $3 /dev/stdin\nelse\n  /usr/bin/java -Xmx16g -jar /opt/picard/picard.jar MarkDuplicates I=$1 O=/dev/stdout ASSUME_SORT_ORDER=$5 METRICS_FILE=$4 QUIET=true COMPRESSION_LEVEL=0 VALIDATION_STRINGENCY=LENIENT | /usr/bin/sambamba sort -t $2 -m 18G -o $3 /dev/stdin\nfi\n"
                        }
                    ]
                }
            ],
            "arguments": [
                {
                    "position": 2,
                    "valueFrom": "$(runtime.cores)"
                },
                {
                    "position": 4,
                    "valueFrom": "$(inputs.bam.nameroot).mark_dups_metrics.txt"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#mark_duplicates_and_sort.cwl/bam"
                },
                {
                    "type": "string",
                    "default": "queryname",
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#mark_duplicates_and_sort.cwl/input_sort_order"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "MarkedSorted.bam",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#mark_duplicates_and_sort.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).mark_dups_metrics.txt"
                    },
                    "id": "#mark_duplicates_and_sort.cwl/metrics_file"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#mark_duplicates_and_sort.cwl/sorted_bam"
                }
            ],
            "id": "#mark_duplicates_and_sort.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Sambamba: merge",
            "baseCommand": [
                "/usr/bin/sambamba_merge"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 8000,
                    "coresMin": 4
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/biscuit:0.3.8.2"
                }
            ],
            "arguments": [
                "$(runtime.cores)",
                "$(runtime.outdir)/merged.bam"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#merge_bams.cwl/bams"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "outputBinding": {
                        "glob": "merged.bam"
                    },
                    "id": "#merge_bams.cwl/merged_bam"
                }
            ],
            "id": "#merge_bams.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Samtools: merge",
            "baseCommand": [
                "/opt/samtools/bin/samtools",
                "merge"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 8000,
                    "coresMin": 4
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                }
            ],
            "arguments": [
                "$(inputs.name).merged.bam"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#merge_bams_samtools.cwl/bams"
                },
                {
                    "type": "string",
                    "id": "#merge_bams_samtools.cwl/name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.name).merged.bam"
                    },
                    "id": "#merge_bams_samtools.cwl/merged_bam"
                }
            ],
            "id": "#merge_bams_samtools.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "vcf merge",
            "baseCommand": [
                "/opt/bcftools/bin/bcftools",
                "concat"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "--allow-overlaps",
                "--remove-duplicates",
                "--output-type",
                "z",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.merged_vcf_basename).vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "merged",
                    "id": "#merge_vcf.cwl/merged_vcf_basename"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#merge_vcf.cwl/vcfs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.merged_vcf_basename).vcf.gz"
                    },
                    "id": "#merge_vcf.cwl/merged_vcf"
                }
            ],
            "id": "#merge_vcf.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Mutect2 (GATK 4)",
            "baseCommand": [
                "/bin/bash",
                "Mutect2.sh"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 20000,
                    "tmpdirMin": 100000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "broadinstitute/gatk:4.1.2.0"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "Mutect2.sh",
                            "entry": "set -o pipefail\nset -o errexit\n\nTUMOR=`(samtools view -H $3 | grep \"^@RG\" | sed \"s/.*SM:\\([^\\t]*\\).*/\\1/g\" | head -n 1)` #Extracting the sample name from the TUMOR bam.\nNORMAL=`(samtools view -H $4 | grep \"^@RG\" | sed \"s/.*SM:\\([^\\t]*\\).*/\\1/g\" | head -n 1)` #Extracting the sample name from the NORMAL bam.\n/gatk/gatk Mutect2 -O $1 -R $2 -I $3 -tumor $TUMOR -I $4 -normal $NORMAL -L $5 #Running Mutect2.\ngunzip mutect.vcf.gz #Unzipping the Mutect2 output vcf file to alter the header names.\ngrep \"^##\" mutect.vcf >mutect.final.vcf #Extracting all the lines above #CHROM in the vcf to a new output vcf.\ngrep \"^#CHROM\" mutect.vcf | sed \"s/\\t$TUMOR/\\tTUMOR/g; s/\\t$NORMAL/\\tNORMAL/g\" >> mutect.final.vcf #Concatenating the #CHROM line with substituted sample headers to the output vcf.\ngrep -v \"^#\" mutect.vcf >> mutect.final.vcf #Concatenating the sites to the output vcf.\nbgzip mutect.final.vcf #Bzipping the final output vcf.\ntabix mutect.final.vcf.gz #Indexing the bzipped output vcf.\nmv mutect.vcf.gz.stats mutect.final.vcf.gz.stats #Renaming the .stats file to match the name conversion of the final output vcf.\n/gatk/gatk FilterMutectCalls -R $2 -V mutect.final.vcf.gz -O mutect.final.filtered.vcf.gz #Running FilterMutectCalls on the output vcf.\n"
                        }
                    ]
                }
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "mutect.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#mutect.cwl_2/interval_list"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 4
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#mutect.cwl_2/normal_bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#mutect.cwl_2/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#mutect.cwl_2/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "mutect.final.filtered.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#mutect.cwl_2/vcf"
                }
            ],
            "id": "#mutect.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "sort BAM by name",
            "baseCommand": [
                "/usr/bin/sambamba",
                "sort"
            ],
            "arguments": [
                "-t",
                {
                    "valueFrom": "$(runtime.cores)"
                },
                "-m",
                "12G",
                "-n",
                "-o",
                {
                    "valueFrom": "$(inputs.bam.nameroot).NameSorted.bam"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000,
                    "coresMin": 8
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/sambamba-cwl:0.6.4"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#name_sort.cwl/bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).NameSorted.bam"
                    },
                    "id": "#name_sort.cwl/name_sorted_bam"
                }
            ],
            "id": "#name_sort.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Normalize variants",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx8g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "LeftAlignAndTrimVariants"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 9000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/normalized.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#normalize_variants.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#normalize_variants.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "outputBinding": {
                        "glob": "normalized.vcf.gz"
                    },
                    "id": "#normalize_variants.cwl/normalized_vcf"
                }
            ],
            "id": "#normalize_variants.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Run optitype on dna samples",
            "baseCommand": [
                "/bin/bash",
                "/usr/bin/optitype_script.sh"
            ],
            "arguments": [
                {
                    "valueFrom": "$(runtime.tmpdir)"
                },
                {
                    "valueFrom": "$(runtime.outdir)"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 64000,
                    "coresMin": 4,
                    "tmpdirMin": 20000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/immuno_tools-cwl:1.0.0"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "doc": "File to be HLA-typed",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#optitype_dna.cwl/cram"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "optitype",
                    "doc": "A prefix that will be used to name all files produced by the script",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#optitype_dna.cwl/optitype_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.optitype_name)_coverage_plot.pdf"
                    },
                    "id": "#optitype_dna.cwl/optitype_plot"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.optitype_name)_result.tsv"
                    },
                    "id": "#optitype_dna.cwl/optitype_tsv"
                }
            ],
            "id": "#optitype_dna.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "pindel v0.2.5b8",
            "arguments": [
                "/usr/bin/perl",
                "/usr/bin/pindel_helper.pl",
                "$(inputs.normal_bam.path)",
                "$(inputs.tumor_bam.path)",
                "$(inputs.insert_size)"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000,
                    "tmpdirMin": 100000,
                    "coresMin": 4
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.4.2"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-c"
                    },
                    "id": "#pindel.cwl_2/chromosome"
                },
                {
                    "type": "int",
                    "default": 400,
                    "id": "#pindel.cwl_2/insert_size"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#pindel.cwl_2/normal_bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-f"
                    },
                    "id": "#pindel.cwl_2/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-j"
                    },
                    "id": "#pindel.cwl_2/region_file"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#pindel.cwl_2/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_D"
                    },
                    "id": "#pindel.cwl_2/deletions"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_SI"
                    },
                    "id": "#pindel.cwl_2/insertions"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_INV"
                    },
                    "id": "#pindel.cwl_2/inversions"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_LI"
                    },
                    "id": "#pindel.cwl_2/long_insertions"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "all_TD"
                    },
                    "id": "#pindel.cwl_2/tandems"
                }
            ],
            "id": "#pindel.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "pindel somatic filter v1",
            "arguments": [
                "/usr/bin/perl",
                "/usr/bin/write_pindel_filter_config.pl",
                "$(inputs.pindel_output_summary.path)",
                "$(inputs.reference)",
                "$(runtime.outdir)",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "/usr/bin/perl",
                "/usr/bin/somatic_indelfilter.pl",
                "filter.config"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000
                },
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#pindel_somatic_filter.cwl/pindel_output_summary"
                },
                {
                    "type": "string",
                    "id": "#pindel_somatic_filter.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "pindel.out.vcf"
                    },
                    "id": "#pindel_somatic_filter.cwl/vcf"
                }
            ],
            "id": "#pindel_somatic_filter.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "pizzly gene fusion detector",
            "baseCommand": [
                "pizzly"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 16000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/pizzly-cwl"
                }
            ],
            "arguments": [
                "--output",
                "pizzly"
            ],
            "inputs": [
                {
                    "type": "File",
                    "doc": "fusion evidence generated by kallisto",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#pizzly.cwl/fusion_evidence"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 31,
                    "doc": "k-mer size used when generating the kallisto index",
                    "inputBinding": {
                        "prefix": "-k",
                        "position": 1
                    },
                    "id": "#pizzly.cwl/kallisto_kmer_size"
                },
                {
                    "type": "File",
                    "doc": "reference transcriptome in FASTA format",
                    "inputBinding": {
                        "prefix": "--fasta",
                        "position": 3
                    },
                    "id": "#pizzly.cwl/reference_transcriptome"
                },
                {
                    "type": "File",
                    "doc": "reference transcriptome annotations in GTF format",
                    "inputBinding": {
                        "prefix": "--gtf",
                        "position": 2
                    },
                    "id": "#pizzly.cwl/transcriptome_annotations"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "pizzly.fusions.fasta"
                    },
                    "id": "#pizzly.cwl/filtered_fusion_seqs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "pizzly.json"
                    },
                    "id": "#pizzly.cwl/filtered_fusions_json"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "pizzly.unfiltered.fusions.fasta"
                    },
                    "id": "#pizzly.cwl/unfiltered_fusion_seqs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "pizzly.unfiltered.json"
                    },
                    "id": "#pizzly.cwl/unfiltered_fusions_json"
                }
            ],
            "id": "#pizzly.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "run pVACseq",
            "baseCommand": [
                "ln",
                "-s"
            ],
            "arguments": [
                {
                    "valueFrom": "$TMPDIR",
                    "shellQuote": false
                },
                "/tmp/pvacseq",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "export",
                "TMPDIR=/tmp/pvacseq",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "/opt/conda/bin/pvacseq",
                "run",
                "--iedb-install-directory",
                "/opt/iedb",
                "--pass-only",
                {
                    "position": 5,
                    "valueFrom": "$(runtime.outdir)"
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "griffithlab/pvactools:1.5.1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000,
                    "coresMin": "$(inputs.n_threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#pvacseq.cwl_2/additional_report_columns/sample_name"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-a"
                    },
                    "id": "#pvacseq.cwl_2/additional_report_columns"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--allele-specific-binding-thresholds"
                    },
                    "id": "#pvacseq.cwl_2/allele_specific_binding_thresholds"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 3,
                        "itemSeparator": ",",
                        "separate": false,
                        "prefix": ""
                    },
                    "id": "#pvacseq.cwl_2/alleles"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-b"
                    },
                    "id": "#pvacseq.cwl_2/binding_threshold"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-d"
                    },
                    "id": "#pvacseq.cwl_2/downstream_sequence_length"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "int"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-e",
                        "itemSeparator": ",",
                        "separate": false
                    },
                    "id": "#pvacseq.cwl_2/epitope_lengths"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--exclude-NAs"
                    },
                    "id": "#pvacseq.cwl_2/exclude_nas"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "--expn-val"
                    },
                    "id": "#pvacseq.cwl_2/expn_val"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-s"
                    },
                    "id": "#pvacseq.cwl_2/fasta_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-r"
                    },
                    "id": "#pvacseq.cwl_2/iedb_retries"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#pvacseq.cwl_2/input_vcf"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-k"
                    },
                    "id": "#pvacseq.cwl_2/keep_tmp_files"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#pvacseq.cwl_2/maximum_transcript_support_level/1",
                                "#pvacseq.cwl_2/maximum_transcript_support_level/2",
                                "#pvacseq.cwl_2/maximum_transcript_support_level/3",
                                "#pvacseq.cwl_2/maximum_transcript_support_level/4",
                                "#pvacseq.cwl_2/maximum_transcript_support_level/5"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "prefix": "--maximum-transcript-support-level"
                    },
                    "id": "#pvacseq.cwl_2/maximum_transcript_support_level"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-c"
                    },
                    "id": "#pvacseq.cwl_2/minimum_fold_change"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--n-threads"
                    },
                    "default": 8,
                    "id": "#pvacseq.cwl_2/n_threads"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#pvacseq.cwl_2/net_chop_method/cterm",
                                "#pvacseq.cwl_2/net_chop_method/20s"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "prefix": "--net-chop-method"
                    },
                    "id": "#pvacseq.cwl_2/net_chop_method"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "--net-chop-threshold"
                    },
                    "id": "#pvacseq.cwl_2/net_chop_threshold"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--netmhc-stab"
                    },
                    "id": "#pvacseq.cwl_2/netmhc_stab"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--normal-cov"
                    },
                    "id": "#pvacseq.cwl_2/normal_cov"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--normal-sample-name"
                    },
                    "id": "#pvacseq.cwl_2/normal_sample_name"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "--normal-vaf"
                    },
                    "id": "#pvacseq.cwl_2/normal_vaf"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-l"
                    },
                    "id": "#pvacseq.cwl_2/peptide_sequence_length"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "inputBinding": {
                        "prefix": "-p"
                    },
                    "id": "#pvacseq.cwl_2/phased_proximal_variants_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#pvacseq.cwl_2/prediction_algorithms"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#pvacseq.cwl_2/sample_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--tdna-cov"
                    },
                    "id": "#pvacseq.cwl_2/tdna_cov"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "--tdna-vaf"
                    },
                    "id": "#pvacseq.cwl_2/tdna_vaf"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#pvacseq.cwl_2/top_score_metric/lowest",
                                "#pvacseq.cwl_2/top_score_metric/median"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-m"
                    },
                    "id": "#pvacseq.cwl_2/top_score_metric"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--trna-cov"
                    },
                    "id": "#pvacseq.cwl_2/trna_cov"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "--trna-vaf"
                    },
                    "id": "#pvacseq.cwl_2/trna_vaf"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "combined/$(inputs.sample_name).all_epitopes.tsv"
                    },
                    "id": "#pvacseq.cwl_2/combined_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "combined/$(inputs.sample_name).filtered.tsv"
                    },
                    "id": "#pvacseq.cwl_2/combined_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "combined/$(inputs.sample_name).filtered.condensed.ranked.tsv"
                    },
                    "id": "#pvacseq.cwl_2/combined_ranked_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "MHC_Class_I/$(inputs.sample_name).all_epitopes.tsv"
                    },
                    "id": "#pvacseq.cwl_2/mhc_i_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "MHC_Class_I/$(inputs.sample_name).filtered.tsv"
                    },
                    "id": "#pvacseq.cwl_2/mhc_i_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "MHC_Class_I/$(inputs.sample_name).filtered.condensed.ranked.tsv"
                    },
                    "id": "#pvacseq.cwl_2/mhc_i_ranked_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "MHC_Class_II/$(inputs.sample_name).all_epitopes.tsv"
                    },
                    "id": "#pvacseq.cwl_2/mhc_ii_all_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "MHC_Class_II/$(inputs.sample_name).filtered.tsv"
                    },
                    "id": "#pvacseq.cwl_2/mhc_ii_filtered_epitopes"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "MHC_Class_II/$(inputs.sample_name).filtered.condensed.ranked.tsv"
                    },
                    "id": "#pvacseq.cwl_2/mhc_ii_ranked_epitopes"
                }
            ],
            "id": "#pvacseq.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "Combine germline and somatic vcf for pVACseq phasing",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx8g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "CombineVariants"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 9000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "arguments": [
                "--assumeIdenticalSamples",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/combined_somatic_plus_germline.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-V",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#pvacseq_combine_variants.cwl/germline_vcf"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#pvacseq_combine_variants.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-V",
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#pvacseq_combine_variants.cwl/somatic_vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "combined_somatic_plus_germline.vcf"
                    },
                    "id": "#pvacseq_combine_variants.cwl/combined_vcf"
                }
            ],
            "id": "#pvacseq_combine_variants.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Read-backed phasing",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx8g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "ReadBackedPhasing"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 9000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "arguments": [
                "-L",
                {
                    "valueFrom": "$(inputs.vcf)"
                },
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/phased.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-I",
                        "position": 2
                    },
                    "secondaryFiles": "${if (self.nameext === \".bam\") {return self.basename + \".bai\"} else {return self.basename + \".crai\"}}",
                    "id": "#read_backed_phasing.cwl/bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#read_backed_phasing.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-V",
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#read_backed_phasing.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "phased.vcf"
                    },
                    "id": "#read_backed_phasing.cwl/phased_vcf"
                }
            ],
            "id": "#read_backed_phasing.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "remove END INFO tags",
            "baseCommand": [
                "/opt/bcftools/bin/bcftools",
                "annotate"
            ],
            "arguments": [
                "-x",
                "INFO/END",
                "-Oz",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/pindel.noend.vcf.gz"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#remove_end_tags.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "pindel.noend.vcf.gz"
                    },
                    "id": "#remove_end_tags.cwl/processed_vcf"
                }
            ],
            "id": "#remove_end_tags.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/bin/bash",
                "rename_sample.sh"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 8000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/bcftools-cwl:1.9"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "rename_sample.sh",
                            "entry": "#!/bin/bash\nset -eou pipefail\nbasen=`basename \"$3\"`\nbasen=\"renamed.$basen\"\necho \"$1 $2\" > sample_update.txt\n/opt/bcftools/bin/bcftools reheader -s sample_update.txt -o \"$basen\" \"$3\"\n"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "doc": "vcf file to filter",
                    "id": "#replace_vcf_sample_name.cwl/input_vcf"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "doc": "Sample name to replace the other",
                    "id": "#replace_vcf_sample_name.cwl/new_sample_name"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    },
                    "doc": "Sample name to be replaced",
                    "id": "#replace_vcf_sample_name.cwl/sample_to_replace"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(\"renamed.\" + inputs.input_vcf.basename)"
                    },
                    "id": "#replace_vcf_sample_name.cwl/renamed_vcf"
                }
            ],
            "id": "#replace_vcf_sample_name.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "samtools flagstat",
            "baseCommand": [
                "/opt/samtools/bin/samtools",
                "flagstat"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                }
            ],
            "stdout": "$(inputs.bam.basename).flagstat",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#samtools_flagstat.cwl/bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#samtools_flagstat.cwl/flagstats",
                    "outputBinding": {
                        "glob": "$(inputs.bam.basename).flagstat"
                    }
                }
            ],
            "id": "#samtools_flagstat.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "SelectVariants (GATK 3.6)",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx4g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "SelectVariants"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.output_vcf_basename).vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--excludeFiltered",
                        "position": 4
                    },
                    "id": "#select_variants.cwl/exclude_filtered"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-L",
                        "position": 3
                    },
                    "id": "#select_variants.cwl/interval_list"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "select_variants",
                    "id": "#select_variants.cwl/output_vcf_basename"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#select_variants.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "--sample_name",
                        "position": 5
                    },
                    "doc": "include genotypes from this sample",
                    "id": "#select_variants.cwl/samples_to_include"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#select_variants.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.output_vcf_basename).vcf.gz"
                    },
                    "id": "#select_variants.cwl/filtered_vcf"
                }
            ],
            "id": "#select_variants.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "align with bwa_mem and tag",
            "doc": "Due to workflow runner limitations, use sequence_align_and_tag_adapter.cwl subworkflow to call this",
            "baseCommand": [
                "/bin/bash",
                "sequence_alignment_helper.sh"
            ],
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#sequence_data.yml/sequence_data"
                        }
                    ]
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 8,
                    "ramMin": 20000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/alignment_helper-cwl:1.0.0"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "sequence_alignment_helper.sh",
                            "entry": "set -o pipefail\nset -o errexit\nset -o nounset\n\nwhile getopts \"b:?1:?2:?g:r:n:\" opt; do\n    case \"$opt\" in\n        b)\n            MODE=bam\n            BAM=\"$OPTARG\"\n            ;;\n        1)\n            MODE=fastq\n            FASTQ1=\"$OPTARG\"\n            ;;\n        2)  \n            MODE=fastq\n            FASTQ2=\"$OPTARG\"\n            ;;\n        g)\n            READGROUP=\"$OPTARG\"\n            ;;\n        r)\n            REFERENCE=\"$OPTARG\"\n            ;;\n        n)\n            NTHREADS=\"$OPTARG\"\n            ;;\n    esac\ndone\n\nif [[ \"$MODE\" == 'fastq' ]]; then\n    /usr/local/bin/bwa mem -K 100000000 -t \"$NTHREADS\" -Y -R \"$READGROUP\" \"$REFERENCE\" \"$FASTQ1\" \"$FASTQ2\" | /usr/local/bin/samblaster -a --addMateTags | /opt/samtools/bin/samtools view -b -S /dev/stdin\nfi\nif [[ \"$MODE\" == 'bam' ]]; then\n    /usr/bin/java -Xmx4g -jar /opt/picard/picard.jar SamToFastq I=\"$BAM\" INTERLEAVE=true INCLUDE_NON_PF_READS=true FASTQ=/dev/stdout | /usr/local/bin/bwa mem -K 100000000 -t \"$NTHREADS\" -Y -p -R \"$READGROUP\" \"$REFERENCE\" /dev/stdin | /usr/local/bin/samblaster -a --addMateTags | /opt/samtools/bin/samtools view -b -S /dev/stdin\nfi\n"
                        }
                    ]
                }
            ],
            "stdout": "refAlign.bam",
            "arguments": [
                {
                    "valueFrom": "$(runtime.cores)",
                    "position": 5,
                    "prefix": "-n"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-b"
                    },
                    "id": "#sequence_align_and_tag.cwl/bam"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-1"
                    },
                    "id": "#sequence_align_and_tag.cwl/fastq1"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-2"
                    },
                    "id": "#sequence_align_and_tag.cwl/fastq2"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-g"
                    },
                    "id": "#sequence_align_and_tag.cwl/readgroup"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-r"
                    },
                    "doc": "bwa-indexed reference file",
                    "id": "#sequence_align_and_tag.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#sequence_align_and_tag.cwl/aligned_bam",
                    "outputBinding": {
                        "glob": "refAlign.bam"
                    }
                }
            ],
            "id": "#sequence_align_and_tag.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "create filtered VCF",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx4g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "VariantFiltration"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                }
            ],
            "arguments": [
                "--maskName",
                "processSomatic",
                "--filterNotInMask",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/output.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--mask",
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#set_filter_status.cwl/filtered_vcf"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#set_filter_status.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#set_filter_status.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output.vcf.gz"
                    },
                    "id": "#set_filter_status.cwl/merged_vcf"
                }
            ],
            "id": "#set_filter_status.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Sort VCF",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx16g",
                "-jar",
                "/opt/picard/picard.jar",
                "SortVcf"
            ],
            "arguments": [
                "O=",
                {
                    "valueFrom": "$(runtime.outdir)/sorted.vcf"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 18000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/picard-cwl:2.18.1"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "SEQUENCE_DICTIONARY="
                    },
                    "id": "#sort_vcf.cwl/reference_dict"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "I="
                    },
                    "id": "#sort_vcf.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "sorted.vcf"
                    },
                    "id": "#sort_vcf.cwl/sorted_vcf"
                }
            ],
            "id": "#sort_vcf.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/split_interval_list_helper.pl"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "OUTPUT=$(runtime.outdir)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "INPUT=",
                        "separate": false,
                        "position": 1
                    },
                    "id": "#split_interval_list.cwl/interval_list"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "SCATTER_COUNT=",
                        "separate": false,
                        "position": 2
                    },
                    "id": "#split_interval_list.cwl/scatter_count"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.interval_list"
                    },
                    "id": "#split_interval_list.cwl/split_interval_lists"
                }
            ],
            "id": "#split_interval_list.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/split_interval_list_to_bed_helper.pl"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.4.2"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "OUTPUT=$(runtime.outdir)"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "INPUT=",
                        "separate": false,
                        "position": 1
                    },
                    "id": "#split_interval_list_to_bed.cwl/interval_list"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "SCATTER_COUNT=",
                        "separate": false,
                        "position": 2
                    },
                    "id": "#split_interval_list_to_bed.cwl/scatter_count"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.interval.bed"
                    },
                    "id": "#split_interval_list_to_bed.cwl/split_beds"
                }
            ],
            "id": "#split_interval_list_to_bed.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Staged Renamer",
            "doc": "Renames a file by staging and then `mv`ing it.  A workaround for workflow engines that don't support rename.cwl.  If running in cwltool, use the other one instead.",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000,
                    "coresMin": 1
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ubuntu:bionic"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.original)"
                    ]
                }
            ],
            "baseCommand": [
                "/bin/mv"
            ],
            "arguments": [
                "$(inputs.original.basename)",
                "$(inputs.name)"
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#staged_rename.cwl/name"
                },
                {
                    "type": "File",
                    "id": "#staged_rename.cwl/original"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.name)"
                    },
                    "id": "#staged_rename.cwl/replacement"
                }
            ],
            "id": "#staged_rename.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "strelka 2.9.9",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/docker_helper.pl"
            ],
            "requirements": [
                {
                    "dockerPull": "mgibio/strelka-cwl:2.9.9",
                    "class": "DockerRequirement"
                },
                {
                    "coresMin": 4,
                    "ramMin": 4000,
                    "class": "ResourceRequirement"
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(inputs.cpu_reserved)",
                    "position": 1
                },
                {
                    "valueFrom": "$(runtime.outdir)",
                    "position": 2
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#strelka.cwl/cpu_reserved"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "--exome",
                        "position": 6
                    },
                    "id": "#strelka.cwl/exome_mode"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--normalBam=",
                        "separate": false,
                        "position": 4
                    },
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#strelka.cwl/normal_bam"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--referenceFasta=",
                        "separate": false,
                        "position": 5
                    },
                    "id": "#strelka.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--tumorBam=",
                        "separate": false,
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#strelka.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results/variants/somatic.indels.vcf.gz"
                    },
                    "id": "#strelka.cwl/indels"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results/variants/somatic.snvs.vcf.gz"
                    },
                    "id": "#strelka.cwl/snvs"
                }
            ],
            "id": "#strelka.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "StringTie",
            "baseCommand": [
                "/usr/bin/stringtie"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000,
                    "coresMin": 12
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/rnaseq"
                }
            ],
            "arguments": [
                "-o",
                "$(runtime.outdir)/stringtie_transcripts.gtf",
                "-A",
                "$(runtime.outdir)/stringtie_gene_expression.tsv",
                "-p",
                "$(runtime.cores)",
                "-e"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#stringtie.cwl/bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-G",
                        "position": 2
                    },
                    "id": "#stringtie.cwl/reference_annotation"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-l",
                        "position": 3
                    },
                    "id": "#stringtie.cwl/sample_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#stringtie.cwl/strand/first",
                                "#stringtie.cwl/strand/second",
                                "#stringtie.cwl/strand/unstranded"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "valueFrom": "${\n    if (inputs.strand) {\n        if (inputs.strand == 'first') {\n            return ['--rf'];\n        } else if (inputs.strand == 'second') {\n            return ['--fr'];\n        } else {\n            return [];\n        }\n    } else {\n            return []\n    }\n}\n",
                        "position": 1
                    },
                    "id": "#stringtie.cwl/strand"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "stringtie_gene_expression.tsv"
                    },
                    "id": "#stringtie.cwl/gene_expression_tsv"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "stringtie_transcripts.gtf"
                    },
                    "id": "#stringtie.cwl/transcript_gtf"
                }
            ],
            "id": "#stringtie.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Kallisto: TranscriptToGene",
            "baseCommand": [
                "/usr/local/bin/Rscript"
            ],
            "arguments": [
                "/usr/src/transcript_to_gene.R"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 2000,
                    "coresMin": 1
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/rnaseq"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#transcript_to_gene.cwl/gene_transcript_lookup_table"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#transcript_to_gene.cwl/transcript_table_h5"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "gene_abundance.tsv"
                    },
                    "id": "#transcript_to_gene.cwl/gene_abundance"
                }
            ],
            "id": "#transcript_to_gene.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Trim FASTQ (flexbar)",
            "baseCommand": [
                "/opt/flexbar/flexbar"
            ],
            "arguments": [
                "--target",
                {
                    "valueFrom": "$(runtime.outdir)/trimmed_read"
                },
                "--threads",
                {
                    "valueFrom": "$(runtime.cores)"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 16000,
                    "tmpdirMin": 25000,
                    "coresMin": 4
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/bisulfite:v1.4"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "--adapter-min-overlap",
                        "position": 3
                    },
                    "id": "#trim_fastq.cwl/adapter_min_overlap"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--adapter-trim-end",
                        "position": 2
                    },
                    "id": "#trim_fastq.cwl/adapter_trim_end"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--adapters",
                        "position": 1
                    },
                    "id": "#trim_fastq.cwl/adapters"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "--max-uncalled",
                        "position": 5
                    },
                    "id": "#trim_fastq.cwl/max_uncalled"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "--min-read-length",
                        "position": 6
                    },
                    "id": "#trim_fastq.cwl/min_readlength"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--reads",
                        "position": 7
                    },
                    "id": "#trim_fastq.cwl/reads1"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--reads2",
                        "position": 8
                    },
                    "id": "#trim_fastq.cwl/reads2"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trimmed_read_1.fastq"
                    },
                    "id": "#trim_fastq.cwl/fastq1"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "trimmed_read_2.fastq"
                    },
                    "id": "#trim_fastq.cwl/fastq2"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "trimmed_read_*.fastq"
                    },
                    "id": "#trim_fastq.cwl/fastqs"
                }
            ],
            "id": "#trim_fastq.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "SelectVariants (GATK 3.6)",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx4g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "VariantsToTable"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "arguments": [
                "--allowMissingData",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/variants.tsv"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "-F"
                        }
                    },
                    "default": [
                        "CHROM",
                        "POS",
                        "ID",
                        "REF",
                        "ALT",
                        "set"
                    ],
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#variants_to_table.cwl/fields"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "-GF"
                        }
                    },
                    "default": [
                        "GT",
                        "AD",
                        "DP",
                        "AF"
                    ],
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#variants_to_table.cwl/genotype_fields"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#variants_to_table.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#variants_to_table.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "variants.tsv"
                    },
                    "id": "#variants_to_table.cwl/variants_tsv"
                }
            ],
            "id": "#variants_to_table.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "varscan v2.4.2 processSomatic",
            "arguments": [
                "cp",
                "$(inputs.variants.path)",
                "$(runtime.outdir)/$(inputs.variants.basename)",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "java",
                "-jar",
                "/opt/varscan/VarScan.jar",
                "processSomatic"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "--max-normal-freq",
                        "position": 2
                    },
                    "id": "#varscan_process_somatic.cwl/max_normal_freq"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "valueFrom": "$(runtime.outdir)/$(self.basename)",
                        "position": 1
                    },
                    "id": "#varscan_process_somatic.cwl/variants"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.Germline.vcf"
                    },
                    "id": "#varscan_process_somatic.cwl/germline"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.Germline.hc.vcf"
                    },
                    "id": "#varscan_process_somatic.cwl/germline_hc"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.LOH.vcf"
                    },
                    "id": "#varscan_process_somatic.cwl/loh"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.LOH.hc.vcf"
                    },
                    "id": "#varscan_process_somatic.cwl/loh_hc"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.Somatic.vcf"
                    },
                    "id": "#varscan_process_somatic.cwl/somatic"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.Somatic.hc.vcf"
                    },
                    "id": "#varscan_process_somatic.cwl/somatic_hc"
                }
            ],
            "id": "#varscan_process_somatic.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "varscan v2.4.2 somatic",
            "baseCommand": "/usr/bin/varscan_helper.sh",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 12000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/cle:v1.3.1"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#varscan_somatic.cwl/min_coverage"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.1,
                    "inputBinding": {
                        "position": 6
                    },
                    "id": "#varscan_somatic.cwl/min_var_freq"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#varscan_somatic.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.99,
                    "inputBinding": {
                        "position": 7
                    },
                    "id": "#varscan_somatic.cwl/p_value"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#varscan_somatic.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 8
                    },
                    "id": "#varscan_somatic.cwl/roi_bed"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#varscan_somatic.cwl/strand_filter"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#varscan_somatic.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output.indel.vcf"
                    },
                    "id": "#varscan_somatic.cwl/indels"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output.snp.vcf"
                    },
                    "id": "#varscan_somatic.cwl/snvs"
                }
            ],
            "id": "#varscan_somatic.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "add expression info to vcf",
            "baseCommand": [
                "vcf-expression-annotator"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "griffithlab/vatools:3.1.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/annotated.expression.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#vcf_expression_annotator.cwl/data_type"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#vcf_expression_annotator.cwl/expression_file"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#vcf_expression_annotator.cwl/expression_tool"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-s"
                    },
                    "id": "#vcf_expression_annotator.cwl/sample_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#vcf_expression_annotator.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.expression.vcf.gz"
                    },
                    "id": "#vcf_expression_annotator.cwl/annotated_expression_vcf"
                }
            ],
            "id": "#vcf_expression_annotator.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "add bam_readcount info to vcf",
            "baseCommand": [
                "vcf-readcount-annotator"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "griffithlab/vatools:3.1.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/annotated.bam_readcount.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#vcf_readcount_annotator.cwl_2/bam_readcount_tsv"
                },
                {
                    "type": [
                        {
                            "type": "enum",
                            "symbols": [
                                "#vcf_readcount_annotator.cwl_2/data_type/DNA",
                                "#vcf_readcount_annotator.cwl_2/data_type/RNA"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#vcf_readcount_annotator.cwl_2/data_type"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-s"
                    },
                    "id": "#vcf_readcount_annotator.cwl_2/sample_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#vcf_readcount_annotator.cwl_2/variant_type/snv",
                                "#vcf_readcount_annotator.cwl_2/variant_type/indel",
                                "#vcf_readcount_annotator.cwl_2/variant_type/all"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#vcf_readcount_annotator.cwl_2/variant_type"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#vcf_readcount_annotator.cwl_2/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.bam_readcount.vcf.gz"
                    },
                    "id": "#vcf_readcount_annotator.cwl_2/annotated_bam_readcount_vcf"
                }
            ],
            "id": "#vcf_readcount_annotator.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "Sanitize a VCF",
            "baseCommand": [
                "/bin/bash",
                "sanitize.sh"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000,
                    "coresMin": 1
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "sanitize.sh",
                            "entry": "set -eou pipefail\n\n# 1) removes lines containing non ACTGN bases, as they conflict with the VCF spec\n# and cause GATK to choke\n# 2) removes mutect-specific format tags containing underscores, which are likewise\n# illegal in the vcf spec\nbase=`basename $1`\noutbase=`echo $base | perl -pe 's/.vcf(.gz)?$//g'`\necho \"$1   $base    $outbase\"\nif [[ \"$1\" =~ \".gz\" ]];then\n    #gzipped input\n    gunzip -c \"$1\" | perl -a -F'\\t' -ne 'print $_ if $_ =~ /^#/ || $F[3] !~ /[^ACTGNactgn]/' | sed -e \"s/ALT_F1R2/ALTF1R2/g;s/ALT_F2R1/ALTF2R1/g;s/REF_F1R2/REFF1R2/g;s/REF_F2R1/REFF2R1/g\" >$outbase.sanitized.vcf\nelse\n    #non-gzipped input\n    cat \"$1\" | perl -a -F'\\t' -ne 'print $_ if $_ =~ /^#/ || $F[3] !~ /[^ACTGNactgn]/' | sed -e \"s/ALT_F1R2/ALTF1R2/g;s/ALT_F2R1/ALTF2R1/g;s/REF_F1R2/REFF1R2/g;s/REF_F2R1/REFF2R1/g\" >$outbase.sanitized.vcf\nfi\n/opt/htslib/bin/bgzip $outbase.sanitized.vcf\ntabix -p vcf $outbase.sanitized.vcf.gz\n"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#vcf_sanitize.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if(inputs.vcf.nameext.equals(\".gz\")){\n    return inputs.vcf.nameroot.replace(/.vcf$/, \"\") + \".sanitized.vcf.gz\";\n  }\n  return inputs.vcf.nameroot + \".sanitized.vcf.gz\";\n}\n"
                    },
                    "id": "#vcf_sanitize.cwl/sanitized_vcf"
                }
            ],
            "id": "#vcf_sanitize.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Ensembl Variant Effect Predictor",
            "baseCommand": [
                "/usr/bin/perl",
                "-I",
                "/opt/lib/perl/VEP/Plugins",
                "/usr/bin/variant_effect_predictor.pl"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 4,
                    "ramMin": 64000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/vep_helper-cwl:1.1.0"
                }
            ],
            "arguments": [
                "--format",
                "vcf",
                "--vcf",
                "--fork",
                "4",
                "--term",
                "SO",
                "--transcript_version",
                "--offline",
                "--cache",
                "--symbol",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/annotated.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--dir",
                        "position": 4
                    },
                    "id": "#vep.cwl/cache_dir"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "--coding_only",
                        "position": 3
                    },
                    "default": false,
                    "id": "#vep.cwl/coding_only"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "inputBinding": {
                        "valueFrom": "${\n    if (inputs.custom_clinvar_vcf) {\n        return [\"--custom\", inputs.custom_clinvar_vcf.path + \",clinvar,vcf,exact,0,CLINSIGN,PHENOTYPE,SCORE,RCVACC,TESTEDINGTR,PHENOTYPELIST,NUMSUBMIT,GUIDELINES\"]\n\n    }\n    else {\n        return []\n    }\n}\n",
                        "position": 7
                    },
                    "id": "#vep.cwl/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "inputBinding": {
                        "valueFrom": "${\n    if (inputs.custom_gnomad_vcf) {\n        return ['--check_existing', '--custom', inputs.custom_gnomad_vcf.path + ',gnomADe,vcf,exact,0,AF,AF_AFR,AF_AMR,AF_ASJ,AF_EAS,AF_FIN,AF_NFE,AF_OTH,AF_SAS']\n    }\n    else {\n        return []\n    }\n}\n",
                        "position": 6
                    },
                    "id": "#vep.cwl/custom_gnomad_vcf"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--assembly",
                        "position": 11
                    },
                    "doc": "genome assembly to use in vep. Examples: 'GRCh38' or 'GRCm38'",
                    "id": "#vep.cwl/ensembl_assembly"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--species",
                        "position": 13
                    },
                    "doc": "ensembl species - Must be present in the cache directory. Examples: 'homo_sapiens' or 'mus_musculus'",
                    "id": "#vep.cwl/ensembl_species"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--cache_version",
                        "position": 12
                    },
                    "doc": "ensembl version - Must be present in the cache directory. Example: '95'",
                    "id": "#vep.cwl/ensembl_version"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "--everything",
                        "position": 10
                    },
                    "id": "#vep.cwl/everything"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#vep.cwl/pick/pick",
                                "#vep.cwl/pick/flag_pick",
                                "#vep.cwl/pick/pick_allele",
                                "#vep.cwl/pick/per_gene",
                                "#vep.cwl/pick/pick_allele_gene",
                                "#vep.cwl/pick/flag_pick_allele",
                                "#vep.cwl/pick/flag_pick_allele_gene"
                            ]
                        }
                    ],
                    "default": "flag_pick",
                    "inputBinding": {
                        "prefix": "--",
                        "separate": false,
                        "position": 7
                    },
                    "id": "#vep.cwl/pick"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "--plugin"
                        }
                    },
                    "inputBinding": {
                        "position": 9
                    },
                    "id": "#vep.cwl/plugins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--fasta",
                        "position": 8
                    },
                    "id": "#vep.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--synonyms",
                        "position": 2
                    },
                    "id": "#vep.cwl/synonyms_file"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i",
                        "position": 1
                    },
                    "id": "#vep.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.vcf"
                    },
                    "id": "#vep.cwl/annotated_vcf"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.vcf_summary.html"
                    },
                    "id": "#vep.cwl/vep_summary"
                }
            ],
            "id": "#vep.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "verify BAM ID",
            "baseCommand": "/usr/local/bin/verifyBamID",
            "arguments": [
                "--out",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.bam.nameroot).VerifyBamId"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/verify_bam_id-cwl:1.1.3"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--bam"
                    },
                    "id": "#verify_bam_id.cwl/bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--vcf"
                    },
                    "id": "#verify_bam_id.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).VerifyBamId.depthSM"
                    },
                    "id": "#verify_bam_id.cwl/verify_bam_id_depth"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bam.nameroot).VerifyBamId.selfSM"
                    },
                    "id": "#verify_bam_id.cwl/verify_bam_id_metrics"
                }
            ],
            "id": "#verify_bam_id.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "run vt decompose",
            "baseCommand": [
                "vt",
                "decompose"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/vt:0.57721--hf74b74d_1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "-s",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/decomposed.vcf.gz"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#vt_decompose.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "decomposed.vcf.gz"
                    },
                    "id": "#vt_decompose.cwl/decomposed_vcf"
                }
            ],
            "id": "#vt_decompose.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
